package androidx.base;

import android.graphics.Bitmap;
import android.net.Uri;
import androidx.annotation.Px;
import androidx.base.xy;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.TimeUnit;

public final class az {
    public static final long a = TimeUnit.SECONDS.toNanos(5);
    public int b;
    public long c;
    public final Uri d;
    public final int e;
    public final List<gz> f;
    public final int g;
    public final int h;
    public final boolean i;
    public final int j;
    public final boolean k;
    public final boolean l;
    public final float m;
    public final float n;
    public final float o;
    public final boolean p;
    public final boolean q;
    public final Bitmap.Config r;
    public final xy.e s;

    public static final class b {
        public Uri a;
        public int b;
        public int c;
        public int d;
        public List<gz> e;
        public Bitmap.Config f;
        public xy.e g;

        public b(Uri uri, int i, Bitmap.Config config) {
            this.a = uri;
            this.b = i;
            this.f = config;
        }

        public b a(@Px int i, @Px int i2) {
            if (i < 0) {
                throw new IllegalArgumentException("Width must be positive number or 0.");
            } else if (i2 < 0) {
                throw new IllegalArgumentException("Height must be positive number or 0.");
            } else if (i2 == 0 && i == 0) {
                throw new IllegalArgumentException("At least one dimension has to be positive number.");
            } else {
                this.c = i;
                this.d = i2;
                return this;
            }
        }
    }

    public az(Uri uri, int i2, String str, List list, int i3, int i4, boolean z, boolean z2, int i5, boolean z3, float f2, float f3, float f4, boolean z4, boolean z5, Bitmap.Config config, xy.e eVar, a aVar) {
        this.d = uri;
        this.e = i2;
        if (list == null) {
            this.f = null;
        } else {
            this.f = Collections.unmodifiableList(list);
        }
        this.g = i3;
        this.h = i4;
        this.i = z;
        this.k = z2;
        this.j = i5;
        this.l = z3;
        this.m = f2;
        this.n = f3;
        this.o = f4;
        this.p = z4;
        this.q = z5;
        this.r = config;
        this.s = eVar;
    }

    public boolean a() {
        return (this.g == 0 && this.h == 0) ? false : true;
    }

    public String b() {
        long nanoTime = System.nanoTime() - this.c;
        if (nanoTime > a) {
            return d() + '+' + TimeUnit.NANOSECONDS.toSeconds(nanoTime) + 's';
        }
        return d() + '+' + TimeUnit.NANOSECONDS.toMillis(nanoTime) + "ms";
    }

    public boolean c() {
        return a() || this.m != 0.0f;
    }

    public String d() {
        StringBuilder j2 = b2.j("[R");
        j2.append(this.b);
        j2.append(']');
        return j2.toString();
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("Request{");
        int i2 = this.e;
        if (i2 > 0) {
            sb.append(i2);
        } else {
            sb.append(this.d);
        }
        List<gz> list = this.f;
        if (list != null && !list.isEmpty()) {
            for (gz gzVar : this.f) {
                sb.append(' ');
                sb.append(gzVar.b());
            }
        }
        if (this.g > 0) {
            sb.append(" resize(");
            sb.append(this.g);
            sb.append(',');
            sb.append(this.h);
            sb.append(')');
        }
        if (this.i) {
            sb.append(" centerCrop");
        }
        if (this.k) {
            sb.append(" centerInside");
        }
        if (this.m != 0.0f) {
            sb.append(" rotation(");
            sb.append(this.m);
            if (this.p) {
                sb.append(" @ ");
                sb.append(this.n);
                sb.append(',');
                sb.append(this.o);
            }
            sb.append(')');
        }
        if (this.q) {
            sb.append(" purgeable");
        }
        if (this.r != null) {
            sb.append(' ');
            sb.append(this.r);
        }
        sb.append('}');
        return sb.toString();
    }
}
