package androidx.base;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import androidx.base.cz;
import androidx.base.vy;
import androidx.base.xy;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.List;
import java.util.concurrent.Future;
import java.util.concurrent.atomic.AtomicInteger;
import okio.BufferedSource;
import okio.Okio;
import okio.Source;

public class fy implements Runnable {
    public static final Object a = new Object();
    public static final ThreadLocal<StringBuilder> b = new a();
    public static final AtomicInteger c = new AtomicInteger();
    public static final cz d = new b();
    public final int e = c.incrementAndGet();
    public final xy f;
    public final ly g;
    public final gy h;
    public final ez i;
    public final String j;
    public final az k;
    public final int l;
    public int m;
    public final cz n;
    public dy o;
    public List<dy> p;
    public Bitmap q;
    public Future<?> r;
    public xy.d s;
    public Exception t;
    public int u;
    public int v;
    public xy.e w;

    public static class a extends ThreadLocal<StringBuilder> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // java.lang.ThreadLocal
        public StringBuilder initialValue() {
            return new StringBuilder("Picasso-");
        }
    }

    public static class b extends cz {
        @Override // androidx.base.cz
        public boolean c(az azVar) {
            return true;
        }

        @Override // androidx.base.cz
        public cz.a f(az azVar, int i) {
            throw new IllegalStateException("Unrecognized type of request: " + azVar);
        }
    }

    public static class c implements Runnable {
        public final /* synthetic */ gz a;
        public final /* synthetic */ RuntimeException b;

        public c(gz gzVar, RuntimeException runtimeException) {
            this.a = gzVar;
            this.b = runtimeException;
        }

        public void run() {
            StringBuilder j = b2.j("Transformation ");
            j.append(this.a.b());
            j.append(" crashed with exception.");
            throw new RuntimeException(j.toString(), this.b);
        }
    }

    public static class d implements Runnable {
        public final /* synthetic */ StringBuilder a;

        public d(StringBuilder sb) {
            this.a = sb;
        }

        public void run() {
            throw new NullPointerException(this.a.toString());
        }
    }

    public static class e implements Runnable {
        public final /* synthetic */ gz a;

        public e(gz gzVar) {
            this.a = gzVar;
        }

        public void run() {
            StringBuilder j = b2.j("Transformation ");
            j.append(this.a.b());
            j.append(" returned input Bitmap but recycled it.");
            throw new IllegalStateException(j.toString());
        }
    }

    public static class f implements Runnable {
        public final /* synthetic */ gz a;

        public f(gz gzVar) {
            this.a = gzVar;
        }

        public void run() {
            StringBuilder j = b2.j("Transformation ");
            j.append(this.a.b());
            j.append(" mutated input Bitmap but failed to recycle the original.");
            throw new IllegalStateException(j.toString());
        }
    }

    public fy(xy xyVar, ly lyVar, gy gyVar, ez ezVar, dy dyVar, cz czVar) {
        this.f = xyVar;
        this.g = lyVar;
        this.h = gyVar;
        this.i = ezVar;
        this.o = dyVar;
        this.j = dyVar.i;
        az azVar = dyVar.b;
        this.k = azVar;
        this.w = azVar.s;
        this.l = dyVar.e;
        this.m = dyVar.f;
        this.n = czVar;
        this.v = czVar.e();
    }

    public static Bitmap a(List<gz> list, Bitmap bitmap) {
        int size = list.size();
        int i2 = 0;
        while (i2 < size) {
            gz gzVar = list.get(i2);
            try {
                Bitmap a2 = gzVar.a(bitmap);
                if (a2 == null) {
                    StringBuilder j2 = b2.j("Transformation ");
                    j2.append(gzVar.b());
                    j2.append(" returned null after ");
                    j2.append(i2);
                    j2.append(" previous transformation(s).\n\nTransformation list:\n");
                    for (gz gzVar2 : list) {
                        j2.append(gzVar2.b());
                        j2.append('\n');
                    }
                    xy.a.post(new d(j2));
                    return null;
                } else if (a2 == bitmap && bitmap.isRecycled()) {
                    xy.a.post(new e(gzVar));
                    return null;
                } else if (a2 == bitmap || bitmap.isRecycled()) {
                    i2++;
                    bitmap = a2;
                } else {
                    xy.a.post(new f(gzVar));
                    return null;
                }
            } catch (RuntimeException e2) {
                xy.a.post(new c(gzVar, e2));
                return null;
            }
        }
        return bitmap;
    }

    public static Bitmap c(Source source, az azVar) {
        BufferedSource buffer = Okio.buffer(source);
        boolean z = buffer.rangeEquals(0, iz.b) && buffer.rangeEquals(8, iz.c);
        boolean z2 = azVar.q && Build.VERSION.SDK_INT < 21;
        BitmapFactory.Options d2 = cz.d(azVar);
        boolean z3 = d2 != null && d2.inJustDecodeBounds;
        if (z || z2) {
            byte[] readByteArray = buffer.readByteArray();
            if (z3) {
                BitmapFactory.decodeByteArray(readByteArray, 0, readByteArray.length, d2);
                cz.b(azVar.g, azVar.h, d2, azVar);
            }
            return BitmapFactory.decodeByteArray(readByteArray, 0, readByteArray.length, d2);
        }
        InputStream inputStream = buffer.inputStream();
        if (z3) {
            ry ryVar = new ry(inputStream);
            ryVar.f = false;
            long j2 = ryVar.b + ((long) 1024);
            if (ryVar.d < j2) {
                ryVar.b(j2);
            }
            long j3 = ryVar.b;
            BitmapFactory.decodeStream(ryVar, null, d2);
            cz.b(azVar.g, azVar.h, d2, azVar);
            ryVar.a(j3);
            ryVar.f = true;
            inputStream = ryVar;
        }
        Bitmap decodeStream = BitmapFactory.decodeStream(inputStream, null, d2);
        if (decodeStream != null) {
            return decodeStream;
        }
        throw new IOException("Failed to decode stream.");
    }

    public static boolean f(boolean z, int i2, int i3, int i4, int i5) {
        return !z || (i4 != 0 && i2 > i4) || (i5 != 0 && i3 > i5);
    }

    /* JADX WARNING: Removed duplicated region for block: B:104:0x02b8  */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x02bc  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0256  */
    public static Bitmap g(az azVar, Bitmap bitmap, int i2) {
        int i3;
        int i4;
        int i5;
        int i6;
        Bitmap createBitmap;
        int i7;
        int i8;
        Matrix matrix;
        int i9;
        int i10;
        boolean z;
        float f2;
        float f3;
        float f4;
        float f5;
        float f6;
        float f7;
        float f8;
        float f9;
        int i11;
        int i12;
        float f10;
        float f11;
        float f12;
        int i13;
        boolean z2;
        int i14;
        int i15;
        int i16;
        float f13;
        int i17;
        int i18;
        int i19;
        double d2;
        int i20;
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        boolean z3 = azVar.l;
        Matrix matrix2 = new Matrix();
        if (azVar.c() || i2 != 0) {
            int i21 = azVar.g;
            int i22 = azVar.h;
            float f14 = azVar.m;
            if (f14 != 0.0f) {
                double d3 = (double) f14;
                double cos = Math.cos(Math.toRadians(d3));
                double sin = Math.sin(Math.toRadians(d3));
                if (azVar.p) {
                    matrix2.setRotate(f14, azVar.n, azVar.o);
                    double d4 = (double) azVar.n;
                    double d5 = 1.0d - cos;
                    Double.isNaN(d4);
                    Double.isNaN(d4);
                    double d6 = (double) azVar.o;
                    Double.isNaN(d6);
                    Double.isNaN(d6);
                    matrix = matrix2;
                    double d7 = (d6 * sin) + (d4 * d5);
                    Double.isNaN(d6);
                    Double.isNaN(d6);
                    Double.isNaN(d4);
                    Double.isNaN(d4);
                    double d8 = (d6 * d5) - (d4 * sin);
                    z = z3;
                    double d9 = (double) azVar.g;
                    Double.isNaN(d9);
                    Double.isNaN(d9);
                    i10 = width;
                    i9 = height;
                    double d10 = (d9 * cos) + d7;
                    Double.isNaN(d9);
                    Double.isNaN(d9);
                    double d11 = (d9 * sin) + d8;
                    Double.isNaN(d9);
                    double d12 = (double) azVar.h;
                    Double.isNaN(d12);
                    Double.isNaN(d12);
                    double d13 = sin * d12;
                    double d14 = d10 - d13;
                    Double.isNaN(d9);
                    Double.isNaN(d12);
                    Double.isNaN(d12);
                    double d15 = cos * d12;
                    double d16 = d15 + d11;
                    Double.isNaN(d12);
                    double d17 = d7 - d13;
                    Double.isNaN(d12);
                    double d18 = d15 + d8;
                    double max = Math.max(d17, Math.max(d14, Math.max(d7, d10)));
                    double min = Math.min(d17, Math.min(d14, Math.min(d7, d10)));
                    double max2 = Math.max(d18, Math.max(d16, Math.max(d8, d11)));
                    double min2 = Math.min(d18, Math.min(d16, Math.min(d8, d11)));
                    i20 = (int) Math.floor(max - min);
                    d2 = Math.floor(max2 - min2);
                } else {
                    i10 = width;
                    i9 = height;
                    z = z3;
                    matrix2.setRotate(f14);
                    double d19 = (double) azVar.g;
                    Double.isNaN(d19);
                    Double.isNaN(d19);
                    double d20 = d19 * cos;
                    Double.isNaN(d19);
                    Double.isNaN(d19);
                    double d21 = d19 * sin;
                    Double.isNaN(d19);
                    double d22 = (double) azVar.h;
                    Double.isNaN(d22);
                    Double.isNaN(d22);
                    double d23 = sin * d22;
                    matrix = matrix2;
                    double d24 = d20 - d23;
                    Double.isNaN(d19);
                    Double.isNaN(d22);
                    Double.isNaN(d22);
                    double d25 = cos * d22;
                    double d26 = d25 + d21;
                    Double.isNaN(d22);
                    double d27 = -d23;
                    Double.isNaN(d22);
                    double max3 = Math.max(d27, Math.max(d24, Math.max(0.0d, d20)));
                    double min3 = Math.min(d27, Math.min(d24, Math.min(0.0d, d20)));
                    double max4 = Math.max(d25, Math.max(d26, Math.max(0.0d, d21)));
                    double min4 = Math.min(d25, Math.min(d26, Math.min(0.0d, d21)));
                    i20 = (int) Math.floor(max3 - min3);
                    d2 = Math.floor(max4 - min4);
                }
                i22 = (int) d2;
                i21 = i20;
            } else {
                i10 = width;
                i9 = height;
                z = z3;
                matrix = matrix2;
            }
            if (i2 != 0) {
                switch (i2) {
                    case 3:
                    case 4:
                        i19 = 180;
                        break;
                    case 5:
                    case 6:
                        i19 = 90;
                        break;
                    case 7:
                    case 8:
                        i19 = 270;
                        break;
                    default:
                        i19 = 0;
                        break;
                }
                int i23 = (i2 == 2 || i2 == 7 || i2 == 4 || i2 == 5) ? -1 : 1;
                if (i19 != 0) {
                    matrix2 = matrix;
                    matrix2.preRotate((float) i19);
                    if (i19 == 90 || i19 == 270) {
                        i22 = i21;
                        i21 = i22;
                    }
                } else {
                    matrix2 = matrix;
                }
                if (i23 != 1) {
                    matrix2.postScale((float) i23, 1.0f);
                }
            } else {
                matrix2 = matrix;
            }
            if (azVar.i) {
                if (i21 != 0) {
                    i12 = i10;
                    f10 = ((float) i21) / ((float) i12);
                    i11 = i9;
                } else {
                    i12 = i10;
                    i11 = i9;
                    f10 = ((float) i22) / ((float) i11);
                }
                if (i22 != 0) {
                    f12 = (float) i22;
                    f11 = (float) i11;
                } else {
                    f12 = (float) i21;
                    f11 = (float) i12;
                }
                float f15 = f12 / f11;
                if (f10 > f15) {
                    i18 = (int) Math.ceil((double) ((f15 / f10) * ((float) i11)));
                    int i24 = azVar.j;
                    i17 = (i24 & 48) == 48 ? 0 : (i24 & 80) == 80 ? i11 - i18 : (i11 - i18) / 2;
                    f15 = ((float) i22) / ((float) i18);
                } else if (f10 < f15) {
                    i14 = (int) Math.ceil((double) ((f10 / f15) * ((float) i12)));
                    int i25 = azVar.j;
                    i15 = (i25 & 3) == 3 ? 0 : (i25 & 5) == 5 ? i12 - i14 : (i12 - i14) / 2;
                    f13 = ((float) i21) / ((float) i14);
                    i16 = i11;
                    z2 = z;
                    i13 = 0;
                    if (f(z2, i12, i11, i21, i22)) {
                        matrix2.preScale(f13, f15);
                    }
                    i3 = i16;
                    i6 = i15;
                    i4 = i14;
                    i5 = i13;
                    createBitmap = Bitmap.createBitmap(bitmap, i6, i5, i4, i3, matrix2, true);
                    if (createBitmap == bitmap) {
                        return bitmap;
                    }
                    bitmap.recycle();
                    return createBitmap;
                } else {
                    i18 = i11;
                    f10 = f15;
                    i17 = 0;
                }
                i13 = i17;
                z2 = z;
                i15 = 0;
                i16 = i18;
                f13 = f10;
                i14 = i12;
                if (f(z2, i12, i11, i21, i22)) {
                }
                i3 = i16;
                i6 = i15;
                i4 = i14;
                i5 = i13;
                createBitmap = Bitmap.createBitmap(bitmap, i6, i5, i4, i3, matrix2, true);
                if (createBitmap == bitmap) {
                }
            } else {
                i8 = i10;
                i7 = i9;
                if (azVar.k) {
                    if (i21 != 0) {
                        f7 = (float) i21;
                        f6 = (float) i8;
                    } else {
                        f7 = (float) i22;
                        f6 = (float) i7;
                    }
                    float f16 = f7 / f6;
                    if (i22 != 0) {
                        f9 = (float) i22;
                        f8 = (float) i7;
                    } else {
                        f9 = (float) i21;
                        f8 = (float) i8;
                    }
                    float f17 = f9 / f8;
                    if (f16 >= f17) {
                        f16 = f17;
                    }
                    if (f(z, i8, i7, i21, i22)) {
                        matrix2.preScale(f16, f16);
                    }
                } else if (!((i21 == 0 && i22 == 0) || (i21 == i8 && i22 == i7))) {
                    if (i21 != 0) {
                        f3 = (float) i21;
                        f2 = (float) i8;
                    } else {
                        f3 = (float) i22;
                        f2 = (float) i7;
                    }
                    float f18 = f3 / f2;
                    if (i22 != 0) {
                        f5 = (float) i22;
                        f4 = (float) i7;
                    } else {
                        f5 = (float) i21;
                        f4 = (float) i8;
                    }
                    float f19 = f5 / f4;
                    if (f(z, i8, i7, i21, i22)) {
                        matrix2.preScale(f18, f19);
                    }
                }
            }
        } else {
            i8 = width;
            i7 = height;
        }
        i4 = i8;
        i3 = i7;
        i6 = 0;
        i5 = 0;
        createBitmap = Bitmap.createBitmap(bitmap, i6, i5, i4, i3, matrix2, true);
        if (createBitmap == bitmap) {
        }
    }

    public static void h(az azVar) {
        String str;
        Uri uri = azVar.d;
        if (uri != null) {
            str = String.valueOf(uri.getPath());
        } else {
            str = Integer.toHexString(azVar.e);
        }
        StringBuilder sb = b.get();
        sb.ensureCapacity(str.length() + 8);
        sb.replace(8, sb.length(), str);
        Thread.currentThread().setName(sb.toString());
    }

    public boolean b() {
        Future<?> future;
        if (this.o != null) {
            return false;
        }
        List<dy> list = this.p;
        if ((list == null || list.isEmpty()) && (future = this.r) != null && future.cancel(false)) {
            return true;
        }
        return false;
    }

    public void d(dy dyVar) {
        boolean z;
        boolean z2 = true;
        if (this.o == dyVar) {
            this.o = null;
            z = true;
        } else {
            List<dy> list = this.p;
            z = list != null ? list.remove(dyVar) : false;
        }
        if (z && dyVar.b.s == this.w) {
            xy.e eVar = xy.e.LOW;
            List<dy> list2 = this.p;
            boolean z3 = list2 != null && !list2.isEmpty();
            dy dyVar2 = this.o;
            if (dyVar2 == null && !z3) {
                z2 = false;
            }
            if (z2) {
                if (dyVar2 != null) {
                    eVar = dyVar2.b.s;
                }
                if (z3) {
                    int size = this.p.size();
                    for (int i2 = 0; i2 < size; i2++) {
                        xy.e eVar2 = this.p.get(i2).b.s;
                        if (eVar2.ordinal() > eVar.ordinal()) {
                            eVar = eVar2;
                        }
                    }
                }
            }
            this.w = eVar;
        }
        if (this.f.p) {
            iz.e("Hunter", "removed", dyVar.b.b(), iz.d(this, "from "));
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x00b3 A[SYNTHETIC] */
    public Bitmap e() {
        Bitmap bitmap;
        boolean z;
        if (ty.shouldReadFromMemoryCache(this.l)) {
            bitmap = this.h.get(this.j);
            if (bitmap != null) {
                this.i.c.sendEmptyMessage(0);
                this.s = xy.d.MEMORY;
                if (this.f.p) {
                    iz.e("Hunter", "decoded", this.k.b(), "from cache");
                }
                return bitmap;
            }
        } else {
            bitmap = null;
        }
        int i2 = this.v == 0 ? uy.OFFLINE.index : this.m;
        this.m = i2;
        cz.a f2 = this.n.f(this.k, i2);
        if (f2 != null) {
            this.s = f2.a;
            this.u = f2.d;
            bitmap = f2.b;
            if (bitmap == null) {
                Source source = f2.c;
                try {
                    bitmap = c(source, this.k);
                } finally {
                    try {
                        source.close();
                    } catch (IOException unused) {
                    }
                }
            }
        }
        if (bitmap != null) {
            if (this.f.p) {
                iz.e("Hunter", "decoded", this.k.b(), "");
            }
            ez ezVar = this.i;
            ezVar.getClass();
            int b2 = iz.b(bitmap);
            Handler handler = ezVar.c;
            handler.sendMessage(handler.obtainMessage(2, b2, 0));
            az azVar = this.k;
            boolean z2 = true;
            if (!azVar.c()) {
                if (!(azVar.f != null)) {
                    z = false;
                    if (z || this.u != 0) {
                        synchronized (a) {
                            if (this.k.c() || this.u != 0) {
                                bitmap = g(this.k, bitmap, this.u);
                                if (this.f.p) {
                                    iz.e("Hunter", "transformed", this.k.b(), "");
                                }
                            }
                            List<gz> list = this.k.f;
                            if (list == null) {
                                z2 = false;
                            }
                            if (z2) {
                                bitmap = a(list, bitmap);
                                if (this.f.p) {
                                    iz.e("Hunter", "transformed", this.k.b(), "from custom transformations");
                                }
                            }
                        }
                        if (bitmap != null) {
                            ez ezVar2 = this.i;
                            ezVar2.getClass();
                            int b3 = iz.b(bitmap);
                            Handler handler2 = ezVar2.c;
                            handler2.sendMessage(handler2.obtainMessage(3, b3, 0));
                        }
                    }
                }
            }
            z = true;
            synchronized (a) {
            }
        }
        return bitmap;
    }

    public void run() {
        try {
            h(this.k);
            if (this.f.p) {
                iz.e("Hunter", "executing", iz.c(this), "");
            }
            Bitmap e2 = e();
            this.q = e2;
            if (e2 == null) {
                this.g.c(this);
            } else {
                this.g.b(this);
            }
        } catch (vy.b e3) {
            if (!uy.isOfflineOnly(e3.networkPolicy) || e3.code != 504) {
                this.t = e3;
            }
            Handler handler = this.g.i;
            handler.sendMessage(handler.obtainMessage(6, this));
        } catch (IOException e4) {
            this.t = e4;
            Handler handler2 = this.g.i;
            handler2.sendMessageDelayed(handler2.obtainMessage(5, this), 500);
        } catch (OutOfMemoryError e5) {
            StringWriter stringWriter = new StringWriter();
            this.i.a().a(new PrintWriter(stringWriter));
            this.t = new RuntimeException(stringWriter.toString(), e5);
            Handler handler3 = this.g.i;
            handler3.sendMessage(handler3.obtainMessage(6, this));
        } catch (Exception e6) {
            this.t = e6;
            Handler handler4 = this.g.i;
            handler4.sendMessage(handler4.obtainMessage(6, this));
        } catch (Throwable th) {
            Thread.currentThread().setName("Picasso-Idle");
            throw th;
        }
        Thread.currentThread().setName("Picasso-Idle");
    }
}
