package androidx.base;

import java.util.Arrays;

public class g00 {
    public static boolean a(Object obj, Object obj2) {
        if (obj == null) {
            return obj2 == null;
        }
        return obj.equals(obj2);
    }

    public static void b(Object obj, String str) {
        if (obj == null) {
            IllegalStateException illegalStateException = new IllegalStateException(b2.c(str, " must not be null"));
            d(illegalStateException);
            throw illegalStateException;
        }
    }

    public static void c(Object obj, String str) {
        if (obj == null) {
            f(str);
            throw null;
        }
    }

    public static <T extends Throwable> T d(T t) {
        String name = g00.class.getName();
        StackTraceElement[] stackTrace = t.getStackTrace();
        int length = stackTrace.length;
        int i = -1;
        for (int i2 = 0; i2 < length; i2++) {
            if (name.equals(stackTrace[i2].getClassName())) {
                i = i2;
            }
        }
        t.setStackTrace((StackTraceElement[]) Arrays.copyOfRange(stackTrace, i + 1, length));
        return t;
    }

    public static void e() {
        qz qzVar = new qz();
        d(qzVar);
        throw qzVar;
    }

    public static void f(String str) {
        StackTraceElement stackTraceElement = Thread.currentThread().getStackTrace()[3];
        String className = stackTraceElement.getClassName();
        String methodName = stackTraceElement.getMethodName();
        IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Parameter specified as non-null is null: method " + className + "." + methodName + ", parameter " + str);
        d(illegalArgumentException);
        throw illegalArgumentException;
    }
}
