package androidx.base;

import java.io.Serializable;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public final class gs<K, V> extends ps<K> {
    private final ds<K, V> map;

    public static class a<K> implements Serializable {
        private static final long serialVersionUID = 0;
        public final ds<K, ?> map;

        public a(ds<K, ?> dsVar) {
            this.map = dsVar;
        }

        public Object readResolve() {
            return this.map.keySet();
        }
    }

    public gs(ds<K, V> dsVar) {
        this.map = dsVar;
    }

    @Override // androidx.base.zr
    public boolean contains(@NullableDecl Object obj) {
        return this.map.containsKey(obj);
    }

    @Override // androidx.base.ps
    public K get(int i) {
        return this.map.entrySet().asList().get(i).getKey();
    }

    @Override // androidx.base.zr
    public boolean isPartialView() {
        return true;
    }

    public int size() {
        return this.map.size();
    }

    @Override // androidx.base.zr, androidx.base.ls
    public Object writeReplace() {
        return new a(this.map);
    }

    @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, androidx.base.ps, androidx.base.ps, java.util.Set, androidx.base.ls, androidx.base.ls, java.lang.Iterable
    public mu<K> iterator() {
        return this.map.keyIterator();
    }
}
