package androidx.base;

import android.os.Build;
import androidx.annotation.NonNull;
import java.lang.Comparable;
import java.util.Arrays;

public final class p1<T extends Comparable<? super T>> {
    public final T a;
    public final T b;

    public p1(@NonNull T t, @NonNull T t2) {
        if (t == null) {
            throw new IllegalArgumentException("lower must not be null");
        } else if (t2 != null) {
            this.a = t;
            this.b = t2;
            if (t.compareTo(t2) > 0) {
                throw new IllegalArgumentException("lower must be less than or equal to upper");
            }
        } else {
            throw new IllegalArgumentException("upper must not be null");
        }
    }

    public boolean a(@NonNull T t) {
        if (t != null) {
            boolean z = t.compareTo(this.a) >= 0;
            boolean z2 = t.compareTo(this.b) <= 0;
            if (!z || !z2) {
                return false;
            }
            return true;
        }
        throw new IllegalArgumentException("value must not be null");
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof p1)) {
            return false;
        }
        p1 p1Var = (p1) obj;
        if (!this.a.equals(p1Var.a) || !this.b.equals(p1Var.b)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        if (Build.VERSION.SDK_INT >= 19) {
            return Arrays.hashCode(new Object[]{this.a, this.b});
        }
        return Arrays.hashCode(new Object[]{this.a, this.b});
    }

    public String toString() {
        return String.format("[%s, %s]", this.a, this.b);
    }
}
