package androidx.base;

import android.content.ClipboardManager;
import android.content.Intent;
import android.view.View;
import com.github.tvbox.osc.ui.activity.DetailActivity;
import com.github.tvbox.osc.ui.activity.PushActivity;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class p8 implements View.OnClickListener {
    public final /* synthetic */ PushActivity a;

    public p8(PushActivity pushActivity) {
        this.a = pushActivity;
    }

    public void onClick(View view) {
        try {
            ClipboardManager clipboardManager = (ClipboardManager) this.a.getSystemService("clipboard");
            if (clipboardManager != null && clipboardManager.hasPrimaryClip() && clipboardManager.getPrimaryClip() != null && clipboardManager.getPrimaryClip().getItemCount() > 0) {
                String trim = clipboardManager.getPrimaryClip().getItemAt(0).getText().toString().trim();
                Matcher matcher = Pattern.compile("(https?://[A-Za-z0-9:_@$#\\/\\.\\?\\=\\&\\%\\-]+)").matcher(trim);
                if (matcher.find()) {
                    trim = matcher.group(1);
                }
                PushActivity pushActivity = this.a;
                int i = PushActivity.e;
                Intent intent = new Intent(pushActivity.c, DetailActivity.class);
                intent.putExtra(TtmlNode.ATTR_ID, trim);
                intent.putExtra("sourceKey", "push_agent");
                intent.setFlags(335544320);
                this.a.startActivity(intent);
            }
        } catch (Throwable unused) {
        }
    }
}
