package androidx.base;

import android.database.Cursor;
import android.database.sqlite.SQLiteException;
import androidx.annotation.NonNull;
import androidx.room.Room;
import androidx.room.RoomDatabase;
import androidx.room.migration.Migration;
import androidx.sqlite.db.SupportSQLiteDatabase;
import com.github.tvbox.osc.base.App;
import com.github.tvbox.osc.data.AppDataBase;
import com.google.android.exoplayer2.text.ttml.TtmlNode;

public class s4 {
    public static s4 a;
    public static AppDataBase b;

    public class a extends Migration {
        public a(int i, int i2) {
            super(i, i2);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            try {
                supportSQLiteDatabase.execSQL("ALTER TABLE sourceState ADD COLUMN tidSort TEXT");
            } catch (SQLiteException e) {
                e.printStackTrace();
            }
        }
    }

    public class b extends Migration {
        public b(int i, int i2) {
            super(i, i2);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            supportSQLiteDatabase.execSQL("CREATE TABLE IF NOT EXISTS `vodRecordTmp` (`id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `vodId` TEXT, `updateTime` INTEGER NOT NULL, `sourceKey` TEXT, `data` BLOB, `dataJson` TEXT, `testMigration` INTEGER NOT NULL)");
            Cursor query = supportSQLiteDatabase.query("SELECT * FROM vodRecord");
            while (query.moveToNext()) {
                int i = query.getInt(query.getColumnIndex(TtmlNode.ATTR_ID));
                int i2 = query.getInt(query.getColumnIndex("vodId"));
                long j = query.getLong(query.getColumnIndex("updateTime"));
                String string = query.getString(query.getColumnIndex("sourceKey"));
                String string2 = query.getString(query.getColumnIndex("dataJson"));
                supportSQLiteDatabase.execSQL("INSERT INTO vodRecordTmp (id, vodId, updateTime, sourceKey, dataJson, testMigration) VALUES ('" + i + "', '" + i2 + "', '" + j + "', '" + string + "', '" + string2 + "',0  )");
            }
            supportSQLiteDatabase.execSQL("DROP TABLE vodRecord");
            supportSQLiteDatabase.execSQL("ALTER TABLE vodRecordTmp RENAME TO vodRecord");
        }
    }

    public class c extends Migration {
        public c(int i, int i2) {
            super(i, i2);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            try {
                supportSQLiteDatabase.execSQL("ALTER TABLE vodRecord ADD COLUMN dataJson TEXT");
            } catch (SQLiteException e) {
                e.printStackTrace();
            }
        }
    }

    public class d extends Migration {
        public d(int i, int i2) {
            super(i, i2);
        }

        @Override // androidx.room.migration.Migration
        public void migrate(SupportSQLiteDatabase supportSQLiteDatabase) {
            try {
                supportSQLiteDatabase.execSQL("ALTER TABLE localSource ADD COLUMN type INTEGER NOT NULL DEFAULT 0");
            } catch (SQLiteException e) {
                e.printStackTrace();
            }
        }
    }

    public class e extends RoomDatabase.Callback {
        @Override // androidx.room.RoomDatabase.Callback
        public void onCreate(@NonNull SupportSQLiteDatabase supportSQLiteDatabase) {
            super.onCreate(supportSQLiteDatabase);
        }

        @Override // androidx.room.RoomDatabase.Callback
        public void onOpen(@NonNull SupportSQLiteDatabase supportSQLiteDatabase) {
            super.onOpen(supportSQLiteDatabase);
        }
    }

    static {
        new a(1, 2);
        new b(2, 3);
        new c(3, 4);
        new d(4, 5);
    }

    public static AppDataBase a() {
        if (a != null) {
            if (b == null) {
                b = (AppDataBase) Room.databaseBuilder(App.a, AppDataBase.class, "tvbox.v3.db").setJournalMode(RoomDatabase.JournalMode.TRUNCATE).addCallback(new e()).allowMainThreadQueries().build();
            }
            return b;
        }
        throw new RuntimeException("AppDataManager is no init");
    }

    public static void b() {
        if (a == null) {
            synchronized (s4.class) {
                if (a == null) {
                    a = new s4();
                }
            }
        }
    }
}
