package androidx.base;

import java.io.Serializable;
import java.util.Arrays;
import java.util.Comparator;

public final class sr<T> extends ut<T> implements Serializable {
    private static final long serialVersionUID = 0;
    public final Comparator<? super T>[] comparators;

    public sr(Comparator<? super T> comparator, Comparator<? super T> comparator2) {
        this.comparators = new Comparator[]{comparator, comparator2};
    }

    @Override // androidx.base.ut, java.util.Comparator
    public int compare(T t, T t2) {
        int i = 0;
        while (true) {
            Comparator<? super T>[] comparatorArr = this.comparators;
            if (i >= comparatorArr.length) {
                return 0;
            }
            int compare = comparatorArr[i].compare(t, t2);
            if (compare != 0) {
                return compare;
            }
            i++;
        }
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof sr) {
            return Arrays.equals(this.comparators, ((sr) obj).comparators);
        }
        return false;
    }

    public int hashCode() {
        return Arrays.hashCode(this.comparators);
    }

    public String toString() {
        return b2.f(b2.j("Ordering.compound("), Arrays.toString(this.comparators), ")");
    }

    public sr(Iterable<? extends Comparator<? super T>> iterable) {
        this.comparators = (Comparator[]) tq.J(iterable, new Comparator[0]);
    }
}
