package androidx.base;

import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.SparseArray;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.DrawableRes;
import androidx.annotation.LayoutRes;
import androidx.annotation.StringRes;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.view.ContextThemeWrapper;
import androidx.base.yx;
import androidx.core.view.ViewCompat;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.obsez.android.lib.filechooser.R$attr;
import com.obsez.android.lib.filechooser.R$drawable;
import com.obsez.android.lib.filechooser.R$string;
import com.obsez.android.lib.filechooser.R$style;
import com.obsez.android.lib.filechooser.R$styleable;
import com.obsez.android.lib.filechooser.permissions.PermissionActivity;
import java.io.File;
import java.io.FileFilter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

public class tx implements AdapterView.OnItemClickListener, DialogInterface.OnClickListener, AdapterView.OnItemLongClickListener, AdapterView.OnItemSelectedListener {
    public static final /* synthetic */ int a = 0;
    @DrawableRes
    public int A = -1;
    @DrawableRes
    public int B = -1;
    @DrawableRes
    public int C = -1;
    public yx.a D;
    public boolean E = true;
    public Button F;
    public Button G;
    public Button H;
    public d I;
    public c J;
    public e K;
    public int L = 0;
    public boolean b;
    public String c = null;
    public String d = null;
    public int e;
    public boolean f = false;
    public List<File> g = new ArrayList();
    public zx h;
    public File i;
    public Context j;
    public AlertDialog k;
    public ListView l;
    public f m = null;
    public boolean n;
    public FileFilter o;
    @StringRes
    public int p = -1;
    @StringRes
    public int q = -1;
    @StringRes
    public int r = -1;
    @DrawableRes
    public int s = -1;
    @LayoutRes
    public int t = -1;
    public boolean u = true;
    public TextView v;
    @StringRes
    public int w = -1;
    @StringRes
    public int x = -1;
    @StringRes
    public int y = -1;
    @StringRes
    public int z = -1;

    public class a implements yx.a {
        public a() {
        }

        @Override // androidx.base.yx.a
        public void a(String[] strArr) {
            Toast.makeText(tx.this.j, "You denied the Read/Write permissions on SDCard.", 1).show();
        }

        @Override // androidx.base.yx.a
        public void b(String[] strArr) {
        }

        @Override // androidx.base.yx.a
        public void c(String[] strArr) {
            int length = strArr.length;
            boolean z = false;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                } else if (strArr[i].equals("android.permission.READ_EXTERNAL_STORAGE")) {
                    z = true;
                    break;
                } else {
                    i++;
                }
            }
            if (z) {
                tx.this.getClass();
                if (z) {
                    if (tx.this.h.isEmpty()) {
                        tx.this.c();
                    }
                    tx.this.e();
                }
            }
        }
    }

    public class b implements ViewTreeObserver.OnPreDrawListener {
        public final /* synthetic */ ViewTreeObserver a;
        public final /* synthetic */ ViewGroup.MarginLayoutParams b;

        public b(ViewTreeObserver viewTreeObserver, ViewGroup.MarginLayoutParams marginLayoutParams) {
            this.a = viewTreeObserver;
            this.b = marginLayoutParams;
        }

        public boolean onPreDraw() {
            if (tx.this.v.getHeight() <= 0) {
                return false;
            }
            this.a.removeOnPreDrawListener(this);
            if (tx.this.v.getParent() instanceof FrameLayout) {
                this.b.topMargin = tx.this.v.getHeight();
            }
            tx.this.l.setLayoutParams(this.b);
            tx.this.l.post(new lx(this));
            return true;
        }
    }

    @FunctionalInterface
    public interface c {
    }

    @FunctionalInterface
    public interface d {
    }

    @FunctionalInterface
    public interface e {
        void a(AlertDialog alertDialog);
    }

    @FunctionalInterface
    public interface f {
        void a(String str, File file);
    }

    public tx(Activity activity) {
        this.j = activity;
        this.K = new ux(this);
        TypedValue typedValue = new TypedValue();
        if (!this.j.getTheme().resolveAttribute(R$attr.fileChooserStyle, typedValue, true)) {
            this.j = new ContextThemeWrapper(this.j, R$style.FileChooserStyle);
        } else {
            this.j = new ContextThemeWrapper(this.j, typedValue.resourceId);
        }
    }

    public tx a() {
        Context context = this.j;
        int[] iArr = R$styleable.FileChooser;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(iArr);
        AlertDialog.Builder builder = new AlertDialog.Builder(this.j, obtainStyledAttributes.getResourceId(R$styleable.FileChooser_fileChooserDialogStyle, R$style.FileChooserDialogStyle));
        int resourceId = obtainStyledAttributes.getResourceId(R$styleable.FileChooser_fileChooserListItemStyle, R$style.FileChooserListItemStyle);
        obtainStyledAttributes.recycle();
        ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(this.j, resourceId);
        TypedArray obtainStyledAttributes2 = contextThemeWrapper.obtainStyledAttributes(iArr);
        int resourceId2 = obtainStyledAttributes2.getResourceId(R$styleable.FileChooser_fileListItemFocusedDrawable, R$drawable.listview_item_selector);
        obtainStyledAttributes2.recycle();
        this.h = new zx(contextThemeWrapper, null);
        c();
        builder.setAdapter(this.h, this);
        int i2 = this.p;
        if (i2 != -1) {
            builder.setTitle(i2);
        } else {
            builder.setTitle(R$string.choose_file);
        }
        int i3 = this.s;
        if (i3 != -1) {
            builder.setIcon(i3);
        }
        int i4 = this.t;
        if (i4 != -1 && Build.VERSION.SDK_INT >= 21) {
            builder.setView(i4);
        }
        if (this.n) {
            ox oxVar = new ox(this);
            int i5 = this.q;
            if (i5 != -1) {
                builder.setPositiveButton(i5, oxVar);
            } else {
                builder.setPositiveButton(R$string.title_choose, oxVar);
            }
        }
        int i6 = this.r;
        if (i6 != -1) {
            builder.setNegativeButton(i6, (DialogInterface.OnClickListener) null);
        } else {
            builder.setNegativeButton(R$string.dialog_cancel, (DialogInterface.OnClickListener) null);
        }
        int i7 = Build.VERSION.SDK_INT;
        builder.setOnItemSelectedListener(this).setOnKeyListener(new wx(this));
        AlertDialog create = builder.create();
        this.k = create;
        create.setCanceledOnTouchOutside(false);
        this.k.setOnShowListener(new xx(this, resourceId2));
        ListView listView = this.k.getListView();
        this.l = listView;
        listView.setOnItemClickListener(this);
        if (this.E) {
            this.l.setSelector(resourceId2);
            this.l.setDrawSelectorOnTop(true);
            this.l.setItemsCanFocus(true);
            this.l.setChoiceMode(1);
        }
        this.l.requestFocus();
        return this;
    }

    public final void b(String str) {
        int indexOf;
        ViewGroup.LayoutParams layoutParams;
        if (this.v == null) {
            ViewGroup viewGroup = (ViewGroup) this.k.findViewById(this.j.getResources().getIdentifier("contentPanel", TtmlNode.ATTR_ID, this.j.getPackageName()));
            if (viewGroup == null) {
                viewGroup = (ViewGroup) this.k.findViewById(this.j.getResources().getIdentifier("contentPanel", TtmlNode.ATTR_ID, "android"));
                if (viewGroup == null) {
                    return;
                }
            }
            if (viewGroup instanceof LinearLayout) {
                layoutParams = new LinearLayout.LayoutParams(-1, -2);
            } else {
                layoutParams = new FrameLayout.LayoutParams(-1, -2, 48);
            }
            Context context = this.j;
            int[] iArr = R$styleable.FileChooser;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(iArr);
            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(this.j, obtainStyledAttributes.getResourceId(R$styleable.FileChooser_fileChooserPathViewStyle, R$style.FileChooserPathViewStyle));
            obtainStyledAttributes.recycle();
            TypedArray obtainStyledAttributes2 = contextThemeWrapper.obtainStyledAttributes(iArr);
            this.b = obtainStyledAttributes2.getBoolean(R$styleable.FileChooser_fileChooserPathViewDisplayRoot, true);
            TextView textView = new TextView(contextThemeWrapper);
            this.v = textView;
            viewGroup.addView(textView, 0, layoutParams);
            int i2 = obtainStyledAttributes2.getInt(R$styleable.FileChooser_fileChooserPathViewElevation, 2);
            if (Build.VERSION.SDK_INT >= 21) {
                this.v.setElevation((float) i2);
            } else {
                ViewCompat.setElevation(this.v, (float) i2);
            }
            obtainStyledAttributes2.recycle();
        }
        if (str == null) {
            this.v.setVisibility(8);
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.l.getLayoutParams();
            if (this.v.getParent() instanceof FrameLayout) {
                marginLayoutParams.topMargin = 0;
            }
            this.l.setLayoutParams(marginLayoutParams);
            return;
        }
        if (this.c == null || this.d == null) {
            this.c = b.I(this.j, true);
            this.d = b.I(this.j, false);
        }
        if (str.contains(this.c)) {
            str = str.substring(this.b ? this.c.lastIndexOf(47) + 1 : this.c.length());
        }
        if (str.contains(this.d)) {
            str = str.substring(this.b ? this.d.lastIndexOf(47) + 1 : this.d.length());
        }
        this.v.setText(str);
        while (this.v.getLineCount() > 1 && (indexOf = str.indexOf("/", str.indexOf("/") + 1)) != -1) {
            StringBuilder j2 = b2.j("...");
            j2.append(str.substring(indexOf));
            str = j2.toString();
            this.v.setText(str);
        }
        this.v.setVisibility(0);
        ViewGroup.MarginLayoutParams marginLayoutParams2 = (ViewGroup.MarginLayoutParams) this.l.getLayoutParams();
        if (this.v.getHeight() == 0) {
            ViewTreeObserver viewTreeObserver = this.v.getViewTreeObserver();
            viewTreeObserver.addOnPreDrawListener(new b(viewTreeObserver, marginLayoutParams2));
            return;
        }
        if (this.v.getParent() instanceof FrameLayout) {
            marginLayoutParams2.topMargin = this.v.getHeight();
        }
        this.l.setLayoutParams(marginLayoutParams2);
    }

    public void c() {
        boolean z2;
        this.g.clear();
        if (this.i == null) {
            this.i = new File(b.I(this.j, false));
        }
        File[] listFiles = this.i.listFiles(this.o);
        if (this.c == null || this.d == null) {
            this.c = b.I(this.j, true);
            this.d = b.I(this.j, false);
        }
        if (!this.c.equals(this.d)) {
            if (this.i.getAbsolutePath().equals(this.d)) {
                this.g.add(new ay(this.c, ".. SDCard Storage"));
            } else if (this.i.getAbsolutePath().equals(this.c)) {
                this.g.add(new ay(this.d, ".. Primary Storage"));
            }
        }
        if (!this.g.isEmpty() || this.i.getParentFile() == null || !this.i.getParentFile().canRead()) {
            z2 = false;
        } else {
            this.g.add(new ay(this.i.getParentFile().getAbsolutePath(), ".."));
            z2 = true;
        }
        if (listFiles != null) {
            LinkedList linkedList = new LinkedList();
            LinkedList linkedList2 = new LinkedList();
            for (File file : listFiles) {
                if (file.isDirectory()) {
                    linkedList.add(file);
                } else {
                    linkedList2.add(file);
                }
            }
            rx rxVar = rx.a;
            Collections.sort(linkedList, rxVar);
            Collections.sort(linkedList2, rxVar);
            this.g.addAll(linkedList);
            this.g.addAll(linkedList2);
            AlertDialog alertDialog = this.k;
            if (alertDialog != null && alertDialog.isShowing() && this.u) {
                if (z2) {
                    b(this.i.getPath());
                } else {
                    b(null);
                }
            }
        }
        zx zxVar = this.h;
        List<File> list = this.g;
        zxVar.setNotifyOnChange(false);
        zxVar.clear();
        zxVar.setNotifyOnChange(true);
        zxVar.addAll(list);
    }

    public tx d() {
        if (this.k == null || this.l == null) {
            a();
        }
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 23) {
            e();
            return this;
        }
        if (this.D == null) {
            this.D = new a();
        }
        String[] strArr = {"android.permission.READ_EXTERNAL_STORAGE"};
        Context context = this.j;
        yx.a aVar = this.D;
        SparseArray<yx.a> sparseArray = yx.a;
        if (i2 >= 23 && strArr.length != 0) {
            int nextInt = yx.b.nextInt(1024);
            yx.a.put(nextInt, aVar);
            context.startActivity(new Intent(context, PermissionActivity.class).addFlags(65536).putExtra("PERMISSIONS", strArr).putExtra("REQUEST_CODE", nextInt));
        } else if (aVar != null) {
            aVar.c(strArr);
        }
        return this;
    }

    public final void e() {
        Window window = this.k.getWindow();
        if (window != null) {
            TypedArray obtainStyledAttributes = this.j.obtainStyledAttributes(R$styleable.FileChooser);
            window.setGravity(obtainStyledAttributes.getInt(R$styleable.FileChooser_fileChooserDialogGravity, 17));
            obtainStyledAttributes.recycle();
        }
        this.k.show();
    }

    public tx f(boolean z2, boolean z3, String... strArr) {
        this.n = z2;
        if (strArr.length == 0) {
            this.o = z2 ? new nx(z3) : new sx(z3);
        } else {
            this.o = new vx(z2, z3, strArr);
        }
        return this;
    }

    public tx g(String str) {
        File file = new File(str);
        this.i = file;
        if (!file.isDirectory()) {
            this.i = this.i.getParentFile();
        }
        if (this.i == null) {
            this.i = new File(b.I(this.j, false));
        }
        return this;
    }

    public void onClick(DialogInterface dialogInterface, int i2) {
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j2) {
        if (i2 >= 0 && i2 < this.g.size()) {
            this.e = 0;
            File file = this.g.get(i2);
            boolean z2 = true;
            if (file instanceof ay) {
                if (this.I == null) {
                    this.I = mx.a;
                }
                ((mx) this.I).getClass();
                if (file != null && file.canRead()) {
                    this.i = file;
                    int i3 = this.L;
                    if (i3 == 1) {
                        i3 = 0;
                    }
                    this.L = i3;
                    this.f = false;
                    if (!this.h.f.empty()) {
                        this.e = this.h.f.pop().intValue();
                    }
                }
            } else {
                int i4 = this.L;
                if (i4 == 0) {
                    if (file.isDirectory()) {
                        if (this.J == null) {
                            this.J = px.a;
                        }
                        ((px) this.J).getClass();
                        this.i = file;
                        this.e = 0;
                        this.h.f.push(Integer.valueOf(i2));
                    } else if (!this.n && this.m != null) {
                        this.k.dismiss();
                        this.m.a(file.getAbsolutePath(), file);
                        return;
                    }
                    this.f = false;
                } else if (i4 == 1) {
                    try {
                        b.u(file);
                    } catch (IOException e2) {
                        e2.printStackTrace();
                        Toast.makeText(this.j, e2.getMessage(), 1).show();
                    }
                    this.L = 0;
                    this.e = -1;
                } else if (i4 == 2) {
                    if (file.isDirectory()) {
                        if (this.J == null) {
                            this.J = px.a;
                        }
                        ((px) this.J).getClass();
                        this.i = file;
                        this.e = 0;
                        this.h.f.push(Integer.valueOf(i2));
                    } else {
                        this.h.a(i2);
                        if (this.h.e.size() <= 0) {
                            z2 = false;
                        }
                        if (!z2) {
                            this.L = 0;
                            this.H.setVisibility(4);
                        }
                        this.m.a(file.getAbsolutePath(), file);
                        return;
                    }
                } else {
                    return;
                }
            }
            c();
            int i5 = this.e;
            if (i5 != -1) {
                this.l.setSelection(i5);
                this.l.post(new qx(this));
            }
        }
    }

    @Override // android.widget.AdapterView.OnItemLongClickListener
    public boolean onItemLongClick(AdapterView<?> adapterView, View view, int i2, long j2) {
        File file = this.g.get(i2);
        if (!(file instanceof ay) && !file.isDirectory()) {
            zx zxVar = this.h;
            if (zxVar.e.get((int) zxVar.getItemId(i2), null) != null) {
                return true;
            }
            this.m.a(file.getAbsolutePath(), file);
            this.h.a(i2);
            this.L = 2;
            this.H.setVisibility(0);
        }
        return true;
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onItemSelected(AdapterView<?> adapterView, View view, int i2, long j2) {
        boolean z2 = true;
        if (i2 != this.g.size() - 1) {
            z2 = false;
        }
        this.f = z2;
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onNothingSelected(AdapterView<?> adapterView) {
        this.f = false;
    }
}
