package androidx.base;

public enum ty {
    NO_CACHE(1),
    NO_STORE(2);
    
    public final int index;

    /* access modifiers changed from: public */
    ty(int i) {
        this.index = i;
    }

    public static boolean shouldReadFromMemoryCache(int i) {
        return (i & NO_CACHE.index) == 0;
    }

    public static boolean shouldWriteToMemoryCache(int i) {
        return (i & NO_STORE.index) == 0;
    }
}
