package com.github.tvbox.osc.ui.activity;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.http.SslError;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.view.KeyEvent;
import android.view.ViewGroup;
import android.webkit.SslErrorHandler;
import android.webkit.ValueCallback;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.a4;
import androidx.base.b2;
import androidx.base.b4;
import androidx.base.bd;
import androidx.base.bx;
import androidx.base.c4;
import androidx.base.c8;
import androidx.base.cd;
import androidx.base.d60;
import androidx.base.e10;
import androidx.base.e4;
import androidx.base.e8;
import androidx.base.ed;
import androidx.base.f8;
import androidx.base.fx;
import androidx.base.g8;
import androidx.base.ge;
import androidx.base.gx;
import androidx.base.h8;
import androidx.base.hb;
import androidx.base.i8;
import androidx.base.ib;
import androidx.base.j8;
import androidx.base.jd;
import androidx.base.je;
import androidx.base.kd;
import androidx.base.l3;
import androidx.base.nw;
import androidx.base.o8;
import androidx.base.sb;
import androidx.base.t4;
import androidx.base.tx;
import androidx.base.vc;
import androidx.base.w4;
import androidx.base.x4;
import androidx.base.xc;
import androidx.base.y4;
import androidx.base.zv;
import androidx.core.view.ViewCompat;
import androidx.lifecycle.ViewModelProvider;
import com.github.catvod.crawler.Spider;
import com.github.tvbox.osc.C0017R$color;
import com.github.tvbox.osc.C0020R$id;
import com.github.tvbox.osc.C0023R$layout;
import com.github.tvbox.osc.base.App;
import com.github.tvbox.osc.base.BaseActivity;
import com.github.tvbox.osc.player.MyVideoView;
import com.github.tvbox.osc.player.controller.VodController;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.audio.SilenceSkippingAudioProcessor;
import com.google.android.exoplayer2.source.rtsp.RtspHeaders;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.orhanobut.hawk.Hawk;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.atomic.AtomicInteger;
import me.jessyan.autosize.AutoSize;
import okhttp3.Response;
import org.json.JSONException;
import org.json.JSONObject;
import org.xwalk.core.XWalkResourceClient;
import org.xwalk.core.XWalkSettings;
import org.xwalk.core.XWalkView;
import org.xwalk.core.XWalkWebResourceRequest;
import org.xwalk.core.XWalkWebResourceResponse;

public class PlayActivity extends BaseActivity {
    public static final /* synthetic */ int e = 0;
    public XWalkView A;
    public q B;
    public WebView C;
    public p D;
    public Map<String, Boolean> E = new HashMap();
    public LinkedList<String> F = new LinkedList<>();
    public HashMap<String, HashMap<String, String>> G = new HashMap<>();
    public AtomicInteger H = new AtomicInteger(0);
    public MyVideoView f;
    public TextView g;
    public ImageView h;
    public ProgressBar i;
    public VodController j;
    public je k;
    public Handler l;
    public long m = -1;
    public e4 n;
    public JSONObject o;
    public String p;
    public b4 q;
    public int r = 0;
    public String s;
    public String t;
    public String u;
    public String v;
    public String w;
    public String x;
    public Map<String, String> y;
    public ExecutorService z;

    public class a implements Runnable {
        public final /* synthetic */ String a;
        public final /* synthetic */ boolean b;
        public final /* synthetic */ boolean c;

        public a(String str, boolean z, boolean z2) {
            this.a = str;
            this.b = z;
            this.c = z2;
        }

        public void run() {
            PlayActivity.this.g.setText(this.a);
            int i = 0;
            PlayActivity.this.g.setVisibility(0);
            PlayActivity.this.i.setVisibility(this.b ? 0 : 8);
            ImageView imageView = PlayActivity.this.h;
            if (!this.c) {
                i = 8;
            }
            imageView.setVisibility(i);
        }
    }

    public class b implements Runnable {
        public final /* synthetic */ boolean a;
        public final /* synthetic */ String b;

        public b(boolean z, String str) {
            this.a = z;
            this.b = str;
        }

        public void run() {
            if (this.a) {
                PlayActivity playActivity = PlayActivity.this;
                int i = PlayActivity.e;
                Toast.makeText(playActivity.c, this.b, 0).show();
                PlayActivity.this.finish();
                return;
            }
            PlayActivity.this.u(this.b, false, true);
        }
    }

    public class c implements Runnable {
        public final /* synthetic */ String a;
        public final /* synthetic */ HashMap b;

        public c(String str, HashMap hashMap) {
            this.a = str;
            this.b = hashMap;
        }

        public void run() {
            PlayActivity.this.w();
            MyVideoView myVideoView = PlayActivity.this.f;
            if (myVideoView != null) {
                myVideoView.m();
                if (this.a != null) {
                    try {
                        int i = PlayActivity.this.o.getInt("pl");
                        if (i >= 10) {
                            e4 e4Var = PlayActivity.this.n;
                            String str = PlayActivity.this.n.name + " " + e4Var.seriesMap.get(e4Var.playFlag).get(PlayActivity.this.n.playIndex).name;
                            PlayActivity.this.u("调用外部播放器" + ed.b(i) + "进行播放", true, false);
                            PlayActivity playActivity = PlayActivity.this;
                            boolean booleanValue = ed.f(i, playActivity, this.a, str, playActivity.s, this.b).booleanValue();
                            PlayActivity playActivity2 = PlayActivity.this;
                            StringBuilder sb = new StringBuilder();
                            sb.append("调用外部播放器");
                            sb.append(ed.b(i));
                            sb.append(booleanValue ? "成功" : "失败");
                            playActivity2.u(sb.toString(), booleanValue, !booleanValue);
                            return;
                        }
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                    PlayActivity playActivity3 = PlayActivity.this;
                    playActivity3.g.setVisibility(8);
                    playActivity3.i.setVisibility(8);
                    playActivity3.h.setVisibility(8);
                    PlayActivity playActivity4 = PlayActivity.this;
                    ed.g(playActivity4.f, playActivity4.o);
                    PlayActivity playActivity5 = PlayActivity.this;
                    playActivity5.f.setProgressKey(playActivity5.u);
                    HashMap hashMap = this.b;
                    if (hashMap != null) {
                        PlayActivity.this.f.q(this.a, hashMap);
                    } else {
                        PlayActivity.this.f.setUrl(this.a);
                    }
                    PlayActivity.this.f.start();
                    VodController vodController = PlayActivity.this.j;
                    vodController.F0 = true;
                    vodController.F.removeMessages(1004);
                    vodController.F.sendEmptyMessageDelayed(1004, 100);
                }
            }
        }
    }

    public class d implements ge.b {
        public d() {
        }

        @Override // androidx.base.ge.b
        public void a(String str) {
            PlayActivity.this.r(str, null);
        }

        @Override // androidx.base.ge.b
        public void b(int i, String str) {
            if (i < 0) {
                PlayActivity playActivity = PlayActivity.this;
                playActivity.runOnUiThread(new a(str, false, true));
                return;
            }
            PlayActivity playActivity2 = PlayActivity.this;
            playActivity2.runOnUiThread(new a(str, true, false));
        }

        @Override // androidx.base.ge.b
        public void c(String str) {
        }
    }

    public class e extends nw<String> {
        public e() {
        }

        @Override // androidx.base.ow, androidx.base.nw
        public void a(fx<String> fxVar) {
            super.a(fxVar);
            PlayActivity.this.l("解析错误", false);
        }

        @Override // androidx.base.ow
        public void b(fx<String> fxVar) {
            T t = fxVar.a;
            try {
                PlayActivity playActivity = PlayActivity.this;
                String str = playActivity.w;
                JSONObject n = playActivity.n(t);
                HashMap<String, String> hashMap = null;
                if (n.has("header")) {
                    try {
                        JSONObject jSONObject = n.getJSONObject("header");
                        Iterator<String> keys = jSONObject.keys();
                        while (keys.hasNext()) {
                            String next = keys.next();
                            if (hashMap == null) {
                                hashMap = new HashMap<>();
                            }
                            hashMap.put(next, jSONObject.getString(next));
                        }
                    } catch (Throwable unused) {
                    }
                }
                PlayActivity.this.r(n.getString("url"), hashMap);
            } catch (Throwable th) {
                th.printStackTrace();
                PlayActivity.this.l("解析错误", false);
            }
        }

        @Override // androidx.base.qw
        public Object d(Response response) {
            if (response.body() != null) {
                return response.body().string();
            }
            throw new IllegalStateException("网络请求错误");
        }
    }

    public class f implements Runnable {
        public final /* synthetic */ a4 a;
        public final /* synthetic */ LinkedHashMap b;

        public class a implements Runnable {
            public final /* synthetic */ JSONObject a;

            public a(JSONObject jSONObject) {
                this.a = jSONObject;
            }

            public void run() {
                PlayActivity playActivity = PlayActivity.this;
                int i = PlayActivity.e;
                Context context = playActivity.c;
                StringBuilder j = b2.j("解析来自:");
                j.append(this.a.optString("jxFrom"));
                Toast.makeText(context, j.toString(), 0).show();
            }
        }

        public f(a4 a4Var, LinkedHashMap linkedHashMap) {
            this.a = a4Var;
            this.b = linkedHashMap;
        }

        public void run() {
            l3 d = l3.d();
            JSONObject jsonExt = d.l.jsonExt(this.a.a(), this.b, PlayActivity.this.w);
            boolean z = false;
            if (jsonExt == null || !jsonExt.has("url") || jsonExt.optString("url").isEmpty()) {
                PlayActivity playActivity = PlayActivity.this;
                playActivity.runOnUiThread(new a("解析错误", false, true));
                return;
            }
            HashMap<String, String> hashMap = null;
            if (jsonExt.has("header")) {
                try {
                    JSONObject jSONObject = jsonExt.getJSONObject("header");
                    Iterator<String> keys = jSONObject.keys();
                    while (keys.hasNext()) {
                        String next = keys.next();
                        if (hashMap == null) {
                            hashMap = new HashMap<>();
                        }
                        hashMap.put(next, jSONObject.getString(next));
                    }
                } catch (Throwable unused) {
                }
            }
            if (jsonExt.has("jxFrom")) {
                PlayActivity.this.runOnUiThread(new a(jsonExt));
            }
            if (jsonExt.optInt("parse", 0) == 1) {
                z = true;
            }
            if (z) {
                PlayActivity.this.o(xc.b(jsonExt.optString("url", "")));
                return;
            }
            PlayActivity.this.r(jsonExt.optString("url", ""), hashMap);
        }
    }

    public class g implements Runnable {
        public final /* synthetic */ a4 a;
        public final /* synthetic */ String b;
        public final /* synthetic */ LinkedHashMap c;

        public class a implements Runnable {
            public final /* synthetic */ JSONObject a;

            public a(JSONObject jSONObject) {
                this.a = jSONObject;
            }

            public void run() {
                String b2 = xc.b(this.a.optString("url", ""));
                PlayActivity.this.w();
                PlayActivity playActivity = PlayActivity.this;
                playActivity.runOnUiThread(new a("正在嗅探播放地址", true, false));
                PlayActivity.this.l.removeMessages(100);
                PlayActivity.this.l.sendEmptyMessageDelayed(100, SilenceSkippingAudioProcessor.DEFAULT_PADDING_SILENCE_US);
                PlayActivity.this.p(b2);
            }
        }

        public class b implements Runnable {
            public final /* synthetic */ JSONObject a;

            public b(JSONObject jSONObject) {
                this.a = jSONObject;
            }

            public void run() {
                PlayActivity playActivity = PlayActivity.this;
                int i = PlayActivity.e;
                Context context = playActivity.c;
                StringBuilder j = b2.j("解析来自:");
                j.append(this.a.optString("jxFrom"));
                Toast.makeText(context, j.toString(), 0).show();
            }
        }

        public g(a4 a4Var, String str, LinkedHashMap linkedHashMap) {
            this.a = a4Var;
            this.b = str;
            this.c = linkedHashMap;
        }

        public void run() {
            l3 d2 = l3.d();
            JSONObject jsonExtMix = d2.l.jsonExtMix(b2.f(new StringBuilder(), PlayActivity.this.v, "111"), this.a.a(), this.b, this.c, PlayActivity.this.w);
            if (jsonExtMix == null || !jsonExtMix.has("url") || jsonExtMix.optString("url").isEmpty()) {
                PlayActivity playActivity = PlayActivity.this;
                playActivity.runOnUiThread(new a("解析错误", false, true));
            } else if (!jsonExtMix.has("parse") || jsonExtMix.optInt("parse", 0) != 1) {
                HashMap<String, String> hashMap = null;
                if (jsonExtMix.has("header")) {
                    try {
                        JSONObject jSONObject = jsonExtMix.getJSONObject("header");
                        Iterator<String> keys = jSONObject.keys();
                        while (keys.hasNext()) {
                            String next = keys.next();
                            if (hashMap == null) {
                                hashMap = new HashMap<>();
                            }
                            hashMap.put(next, jSONObject.getString(next));
                        }
                    } catch (Throwable unused) {
                    }
                }
                if (jsonExtMix.has("jxFrom")) {
                    PlayActivity.this.runOnUiThread(new b(jsonExtMix));
                }
                PlayActivity.this.r(jsonExtMix.optString("url", ""), hashMap);
            } else {
                if (jsonExtMix.has("ua")) {
                    PlayActivity.this.x = jsonExtMix.optString("ua").trim();
                }
                PlayActivity.this.runOnUiThread(new a(jsonExtMix));
            }
        }
    }

    public class h implements kd.b {
        public final /* synthetic */ String a;

        public h(String str) {
            this.a = str;
        }

        @Override // androidx.base.kd.b
        public void a() {
            PlayActivity playActivity = PlayActivity.this;
            playActivity.m(!playActivity.q.l.isEmpty());
            PlayActivity.this.o(this.a);
        }

        @Override // androidx.base.kd.b
        public void b() {
            PlayActivity playActivity = PlayActivity.this;
            int i = PlayActivity.e;
            Toast.makeText(playActivity.c, "XWalkView不兼容，已替换为系统自带WebView", 0).show();
            PlayActivity.this.m(true);
            PlayActivity.this.o(this.a);
        }

        @Override // androidx.base.kd.b
        public void ignore() {
            PlayActivity playActivity = PlayActivity.this;
            int i = PlayActivity.e;
            Toast.makeText(playActivity.c, "XWalkView运行组件未下载，已替换为系统自带WebView", 0).show();
            PlayActivity.this.m(true);
            PlayActivity.this.o(this.a);
        }
    }

    public class i implements Runnable {
        public final /* synthetic */ String a;

        public i(String str) {
            this.a = str;
        }

        public void run() {
            XWalkView xWalkView = PlayActivity.this.A;
            if (xWalkView != null) {
                xWalkView.stopLoading();
                PlayActivity playActivity = PlayActivity.this;
                if (playActivity.x != null) {
                    playActivity.A.getSettings().setUserAgentString(PlayActivity.this.x);
                }
                PlayActivity playActivity2 = PlayActivity.this;
                Map<String, String> map = playActivity2.y;
                if (map != null) {
                    playActivity2.A.loadUrl(this.a, map);
                } else {
                    playActivity2.A.loadUrl(this.a);
                }
            }
            WebView webView = PlayActivity.this.C;
            if (webView != null) {
                webView.stopLoading();
                PlayActivity playActivity3 = PlayActivity.this;
                if (playActivity3.x != null) {
                    playActivity3.C.getSettings().setUserAgentString(PlayActivity.this.x);
                }
                PlayActivity playActivity4 = PlayActivity.this;
                Map<String, String> map2 = playActivity4.y;
                if (map2 != null) {
                    playActivity4.C.loadUrl(this.a, map2);
                } else {
                    playActivity4.C.loadUrl(this.a);
                }
            }
        }
    }

    public class j implements Runnable {
        public final /* synthetic */ boolean a;

        public j(boolean z) {
            this.a = z;
        }

        public void run() {
            XWalkView xWalkView = PlayActivity.this.A;
            if (xWalkView != null) {
                xWalkView.stopLoading();
                PlayActivity.this.A.loadUrl("about:blank");
                if (this.a) {
                    PlayActivity.this.A.removeAllViews();
                    PlayActivity.this.A.onDestroy();
                    PlayActivity.this.A = null;
                }
            }
            WebView webView = PlayActivity.this.C;
            if (webView != null) {
                webView.stopLoading();
                PlayActivity.this.C.loadUrl("about:blank");
                if (this.a) {
                    PlayActivity.this.C.removeAllViews();
                    PlayActivity.this.C.destroy();
                    PlayActivity.this.C = null;
                }
            }
        }
    }

    public class k implements sb.c {
        public k() {
        }

        @Override // androidx.base.sb.c
        public void a(int i) {
            PlayActivity.this.j.v0.setTextSize((float) i);
        }

        @Override // androidx.base.sb.c
        public void b(int i) {
            PlayActivity playActivity = PlayActivity.this;
            playActivity.getClass();
            if (i == 0) {
                playActivity.j.v0.setTextColor(playActivity.getBaseContext().getResources().getColorStateList(C0017R$color.color_FFFFFF));
                playActivity.j.v0.setShadowLayer(3.0f, 2.0f, 2.0f, 2131034175);
            } else if (i == 1) {
                playActivity.j.v0.setTextColor(playActivity.getBaseContext().getResources().getColorStateList(2131034181));
                playActivity.j.v0.setShadowLayer(3.0f, 2.0f, 2.0f, C0017R$color.color_FFFFFF);
            }
        }

        @Override // androidx.base.sb.c
        public void c(int i) {
            PlayActivity.this.j.v0.setSubtitleDelay(Integer.valueOf(i));
        }

        @Override // androidx.base.sb.c
        public void d() {
            PlayActivity playActivity = PlayActivity.this;
            d60 mediaPlayer = playActivity.f.getMediaPlayer();
            boolean z = mediaPlayer instanceof w4;
            if (z) {
                x4 x4Var = null;
                if (z) {
                    x4Var = ((w4) mediaPlayer).v();
                }
                if (x4Var == null) {
                    Toast.makeText(playActivity.c, "没有内置字幕", 0).show();
                    return;
                }
                List<y4> list = x4Var.b;
                if (list.size() >= 1) {
                    ib ibVar = new ib(playActivity);
                    ((TextView) ibVar.findViewById(2131231175)).setText("切换内置字幕");
                    ibVar.a(new o8(playActivity, list, mediaPlayer, ibVar), new c8(playActivity), list, x4Var.b(false));
                    ibVar.show();
                }
            }
        }
    }

    public class l implements sb.b {

        public class a implements hb.a {
            public final /* synthetic */ hb a;

            /* renamed from: com.github.tvbox.osc.ui.activity.PlayActivity$l$a$a  reason: collision with other inner class name */
            public class RunnableC0012a implements Runnable {
                public final /* synthetic */ c4 a;

                public RunnableC0012a(c4 c4Var) {
                    this.a = c4Var;
                }

                public void run() {
                    String str = this.a.b;
                    bd.b("Remote Subtitle Url: " + str);
                    PlayActivity.this.t(str);
                    hb hbVar = a.this.a;
                    if (hbVar != null) {
                        hbVar.dismiss();
                    }
                }
            }

            public a(hb hbVar) {
                this.a = hbVar;
            }

            @Override // androidx.base.hb.a
            public void a(c4 c4Var) {
                PlayActivity.this.runOnUiThread(new RunnableC0012a(c4Var));
            }
        }

        public l() {
        }

        @Override // androidx.base.sb.b
        public void a() {
            hb hbVar = new hb(PlayActivity.this);
            hbVar.f = new a(hbVar);
            if (PlayActivity.this.n.playFlag.contains("Ali") || PlayActivity.this.n.playFlag.contains("parse")) {
                hbVar.a(PlayActivity.this.n.playNote);
            } else {
                hbVar.a(PlayActivity.this.n.name);
            }
            hbVar.show();
        }
    }

    public class m implements sb.a {

        public class a implements tx.f {
            public a() {
            }

            @Override // androidx.base.tx.f
            public void a(String str, File file) {
                bd.b("Local Subtitle Path: " + str);
                PlayActivity.this.t(str);
            }
        }

        public m() {
        }

        @Override // androidx.base.sb.a
        public void a() {
            tx txVar = new tx(PlayActivity.this);
            txVar.f(false, false, "srt", "ass", "scc", "stl", "ttml");
            txVar.g("/storage/emulated/0/Download");
            txVar.m = new a();
            txVar.a();
            txVar.d();
        }
    }

    public class n extends WebView {
        public n(@NonNull Context context) {
            super(context);
        }

        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return false;
        }

        public void setOverScrollMode(int i) {
            super.setOverScrollMode(i);
            PlayActivity playActivity = PlayActivity.this;
            int i2 = PlayActivity.e;
            Context context = playActivity.c;
            if (context instanceof Activity) {
                AutoSize.autoConvertDensityOfCustomAdapt((Activity) context, playActivity);
            }
        }
    }

    public class o extends XWalkView {
        public o(Context context) {
            super(context);
        }

        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return false;
        }

        public void setOverScrollMode(int i) {
            super.setOverScrollMode(i);
            PlayActivity playActivity = PlayActivity.this;
            int i2 = PlayActivity.e;
            Context context = playActivity.c;
            if (context instanceof Activity) {
                AutoSize.autoConvertDensityOfCustomAdapt((Activity) context, playActivity);
            }
        }
    }

    public class p extends WebViewClient {
        public p(f8 f8Var) {
        }

        public WebResourceResponse a(String str, HashMap<String, String> hashMap) {
            boolean z;
            if (!str.endsWith("/favicon.ico")) {
                if (!PlayActivity.this.E.containsKey(str)) {
                    z = vc.a(str);
                    PlayActivity.this.E.put(str, Boolean.valueOf(z));
                } else {
                    z = PlayActivity.this.E.get(str).booleanValue();
                }
                if (!z && PlayActivity.this.j(str)) {
                    PlayActivity.this.F.add(str);
                    PlayActivity.this.G.put(str, hashMap);
                    bd.b("loadFoundVideoUrl:" + str);
                    if (PlayActivity.this.H.incrementAndGet() == 1) {
                        String poll = PlayActivity.this.F.poll();
                        PlayActivity.this.l.removeMessages(100);
                        if (hashMap == null || hashMap.isEmpty()) {
                            PlayActivity.this.r(poll, null);
                        } else {
                            PlayActivity.this.r(poll, hashMap);
                        }
                        PlayActivity.this.v(false);
                    }
                }
                if (!z && PlayActivity.this.H.get() <= 0) {
                    return null;
                }
                List<String> list = vc.a;
                return new WebResourceResponse("text/plain", "utf-8", new ByteArrayInputStream("".getBytes()));
            } else if (str.startsWith("http://127.0.0.1")) {
                return new WebResourceResponse("image/x-icon", C.UTF8_NAME, null);
            } else {
                return null;
            }
        }

        public void onLoadResource(WebView webView, String str) {
            super.onLoadResource(webView, str);
        }

        public void onPageFinished(WebView webView, String str) {
            String str2;
            super.onPageFinished(webView, str);
            String str3 = PlayActivity.this.q.l;
            bd.b("onPageFinished url:" + str);
            if (!str3.isEmpty()) {
                if (!str3.contains(";")) {
                    str2 = str3.trim();
                } else if (str.contains(str3.split(";")[0])) {
                    str2 = str3.split(";")[1];
                } else {
                    return;
                }
                String d = b2.d("$(\"", str2, "\").click();");
                WebView webView2 = PlayActivity.this.C;
                webView2.loadUrl("javascript:" + d);
            }
        }

        public void onPageStarted(WebView webView, String str, Bitmap bitmap) {
            super.onPageStarted(webView, str, bitmap);
        }

        public void onReceivedSslError(WebView webView, SslErrorHandler sslErrorHandler, SslError sslError) {
            sslErrorHandler.proceed();
        }

        @Override // android.webkit.WebViewClient
        @Nullable
        public WebResourceResponse shouldInterceptRequest(WebView webView, String str) {
            return a(str, null);
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView webView, WebResourceRequest webResourceRequest) {
            return false;
        }

        @Override // android.webkit.WebViewClient
        @Nullable
        @TargetApi(21)
        public WebResourceResponse shouldInterceptRequest(WebView webView, WebResourceRequest webResourceRequest) {
            String uri = webResourceRequest.getUrl().toString();
            bd.b("shouldInterceptRequest url:" + uri);
            HashMap<String, String> hashMap = new HashMap<>();
            Map<String, String> requestHeaders = webResourceRequest.getRequestHeaders();
            if (requestHeaders != null && requestHeaders.keySet().size() > 0) {
                for (String str : requestHeaders.keySet()) {
                    if (str.equalsIgnoreCase(RtspHeaders.USER_AGENT) || str.equalsIgnoreCase("referer") || str.equalsIgnoreCase(TtmlNode.ATTR_TTS_ORIGIN) || str.equalsIgnoreCase("cookie")) {
                        hashMap.put(str, requestHeaders.get(str));
                    }
                }
            }
            return a(uri, hashMap);
        }
    }

    public class q extends XWalkResourceClient {
        public q(XWalkView xWalkView) {
            super(xWalkView);
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public void onDocumentLoadedInFrame(XWalkView xWalkView, long j) {
            super.onDocumentLoadedInFrame(xWalkView, j);
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public void onLoadFinished(XWalkView xWalkView, String str) {
            super.onLoadFinished(xWalkView, str);
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public void onLoadStarted(XWalkView xWalkView, String str) {
            super.onLoadStarted(xWalkView, str);
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public void onProgressChanged(XWalkView xWalkView, int i) {
            super.onProgressChanged(xWalkView, i);
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public void onReceivedSslError(XWalkView xWalkView, ValueCallback<Boolean> valueCallback, SslError sslError) {
            valueCallback.onReceiveValue(Boolean.TRUE);
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public XWalkWebResourceResponse shouldInterceptLoadRequest(XWalkView xWalkView, XWalkWebResourceRequest xWalkWebResourceRequest) {
            boolean z;
            String uri = xWalkWebResourceRequest.getUrl().toString();
            bd.b("shouldInterceptLoadRequest url:" + uri);
            if (!uri.endsWith("/favicon.ico")) {
                if (!PlayActivity.this.E.containsKey(uri)) {
                    z = vc.a(uri);
                    PlayActivity.this.E.put(uri, Boolean.valueOf(z));
                } else {
                    z = PlayActivity.this.E.get(uri).booleanValue();
                }
                if (!z && PlayActivity.this.j(uri)) {
                    HashMap<String, String> hashMap = new HashMap<>();
                    Map<String, String> requestHeaders = xWalkWebResourceRequest.getRequestHeaders();
                    if (requestHeaders != null && requestHeaders.keySet().size() > 0) {
                        for (String str : requestHeaders.keySet()) {
                            if (str.equalsIgnoreCase(RtspHeaders.USER_AGENT) || str.equalsIgnoreCase("referer") || str.equalsIgnoreCase(TtmlNode.ATTR_TTS_ORIGIN) || str.equalsIgnoreCase("cookie")) {
                                hashMap.put(str, requestHeaders.get(str));
                            }
                        }
                    }
                    PlayActivity.this.F.add(uri);
                    PlayActivity.this.G.put(uri, hashMap);
                    bd.b("loadFoundVideoUrl:" + uri);
                    if (PlayActivity.this.H.incrementAndGet() == 1) {
                        PlayActivity.this.l.removeMessages(100);
                        String poll = PlayActivity.this.F.poll();
                        if (!hashMap.isEmpty()) {
                            PlayActivity.this.r(poll, hashMap);
                        } else {
                            PlayActivity.this.r(poll, null);
                        }
                        PlayActivity.this.v(false);
                    }
                }
                if (z || PlayActivity.this.H.get() > 0) {
                    return createXWalkWebResourceResponse("text/plain", "utf-8", new ByteArrayInputStream("".getBytes()));
                }
                return null;
            } else if (uri.startsWith("http://127.0.0.1")) {
                return createXWalkWebResourceResponse("image/x-icon", C.UTF8_NAME, null);
            } else {
                return null;
            }
        }

        @Override // org.xwalk.core.XWalkResourceClient
        public boolean shouldOverrideUrlLoading(XWalkView xWalkView, String str) {
            return false;
        }
    }

    public static void i(PlayActivity playActivity, String str, boolean z2, String str2, String str3) {
        a4 a4Var;
        playActivity.v = str;
        playActivity.w = str3;
        playActivity.j.a0.setVisibility(z2 ? 0 : 8);
        if (z2) {
            a4Var = l3.d().d;
        } else {
            if (str2.startsWith("json:")) {
                a4Var = new a4();
                a4Var.d = 1;
                a4Var.b = str2.substring(5);
            } else {
                if (str2.startsWith("parse:")) {
                    String substring = str2.substring(6);
                    Iterator<a4> it = l3.d().f.iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            break;
                        }
                        a4 next = it.next();
                        if (next.a.equals(substring)) {
                            a4Var = next;
                            break;
                        }
                    }
                }
                a4Var = null;
            }
            if (a4Var == null) {
                a4Var = new a4();
                a4Var.d = 0;
                a4Var.b = str2;
            }
        }
        playActivity.k(a4Var);
    }

    @Override // com.github.tvbox.osc.base.BaseActivity
    public int b() {
        return C0023R$layout.activity_play;
    }

    @Override // androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (keyEvent == null || !this.j.t(keyEvent)) {
            return super.dispatchKeyEvent(keyEvent);
        }
        return true;
    }

    @Override // com.github.tvbox.osc.base.BaseActivity
    public void init() {
        this.l = new Handler(new f8(this));
        this.f = (MyVideoView) findViewById(C0020R$id.mVideoView);
        this.g = (TextView) findViewById(C0020R$id.play_load_tip);
        this.i = (ProgressBar) findViewById(C0020R$id.play_loading);
        this.h = (ImageView) findViewById(C0020R$id.play_load_error);
        VodController vodController = new VodController(this);
        this.j = vodController;
        vodController.setCanChangePosition(true);
        this.j.setEnableInNormal(true);
        this.j.setGestureEnabled(true);
        this.f.setProgressManager(new i8(this));
        this.j.setListener(new j8(this));
        this.f.setVideoController(this.j);
        je jeVar = (je) new ViewModelProvider(this).get(je.class);
        this.k = jeVar;
        jeVar.g.observe(this, new e8(this));
        Intent intent = getIntent();
        if (intent != null && intent.getExtras() != null) {
            Bundle extras = intent.getExtras();
            this.n = App.a.b;
            this.p = extras.getString("sourceKey");
            this.q = l3.d().h(this.p);
            try {
                this.o = new JSONObject(this.n.playerCfg);
            } catch (Throwable unused) {
                this.o = new JSONObject();
            }
            try {
                if (!this.o.has("pl")) {
                    JSONObject jSONObject = this.o;
                    int i2 = this.q.k;
                    if (i2 == -1) {
                        i2 = ((Integer) Hawk.get("play_type", 1)).intValue();
                    }
                    jSONObject.put("pl", i2);
                }
                if (!this.o.has("pr")) {
                    this.o.put("pr", Hawk.get("play_render", 0));
                }
                if (!this.o.has("ijk")) {
                    this.o.put("ijk", Hawk.get("ijk_codec", ""));
                }
                if (!this.o.has("sc")) {
                    this.o.put("sc", Hawk.get("play_scale", 0));
                }
                if (!this.o.has("sp")) {
                    this.o.put("sp", 1.0d);
                }
                if (!this.o.has("st")) {
                    this.o.put("st", 0);
                }
                if (!this.o.has("et")) {
                    this.o.put("et", 0);
                }
            } catch (Throwable unused2) {
            }
            this.j.setPlayerConfig(this.o);
            q(false);
        }
    }

    public boolean j(String str) {
        if (this.q.d == 3) {
            if (str.contains("=http") || str.contains(".html")) {
                return false;
            }
            Spider e2 = l3.d().e(this.q);
            if (e2 != null && e2.manualVideoCheck()) {
                return e2.isVideoFormat(str);
            }
        }
        return jd.a(this.w, str);
    }

    public final void k(a4 a4Var) {
        w();
        this.H.set(0);
        this.F = new LinkedList<>();
        this.G = new HashMap<>();
        int i2 = a4Var.d;
        if (i2 == 0) {
            runOnUiThread(new a("正在嗅探播放地址", true, false));
            this.l.removeMessages(100);
            this.l.sendEmptyMessageDelayed(100, SilenceSkippingAudioProcessor.DEFAULT_PADDING_SILENCE_US);
            if (a4Var.c != null) {
                try {
                    HashMap hashMap = new HashMap();
                    JSONObject jSONObject = new JSONObject(a4Var.c);
                    if (jSONObject.has("header")) {
                        JSONObject optJSONObject = jSONObject.optJSONObject("header");
                        Iterator<String> keys = optJSONObject.keys();
                        while (keys.hasNext()) {
                            String next = keys.next();
                            if (next.equalsIgnoreCase(RtspHeaders.USER_AGENT)) {
                                this.x = optJSONObject.getString(next).trim();
                            } else {
                                hashMap.put(next, optJSONObject.optString(next, ""));
                            }
                        }
                        if (hashMap.size() > 0) {
                            this.y = hashMap;
                        }
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
            p(a4Var.a() + this.w);
        } else if (i2 == 1) {
            runOnUiThread(new a("正在解析播放地址", true, false));
            bx bxVar = new bx();
            try {
                JSONObject jSONObject2 = new JSONObject(a4Var.c);
                if (jSONObject2.has("header")) {
                    JSONObject optJSONObject2 = jSONObject2.optJSONObject("header");
                    Iterator<String> keys2 = optJSONObject2.keys();
                    while (keys2.hasNext()) {
                        String next2 = keys2.next();
                        bxVar.put(next2, optJSONObject2.optString(next2, ""));
                    }
                }
            } catch (Throwable th2) {
                th2.printStackTrace();
            }
            ((gx) ((gx) new gx(a4Var.a() + this.w).tag("json_jx")).headers(bxVar)).execute(new e());
        } else if (i2 == 2) {
            runOnUiThread(new a("正在解析播放地址", true, false));
            this.z = Executors.newSingleThreadExecutor();
            LinkedHashMap linkedHashMap = new LinkedHashMap();
            for (a4 a4Var2 : l3.d().f) {
                if (a4Var2.d == 1) {
                    linkedHashMap.put(a4Var2.a, a4Var2.b());
                }
            }
            this.z.execute(new f(a4Var, linkedHashMap));
        } else if (i2 == 3) {
            runOnUiThread(new a("正在解析播放地址", true, false));
            this.z = Executors.newSingleThreadExecutor();
            LinkedHashMap linkedHashMap2 = new LinkedHashMap();
            String str = "";
            for (a4 a4Var3 : l3.d().f) {
                HashMap hashMap2 = new HashMap();
                hashMap2.put("url", a4Var3.a());
                if (a4Var3.a().equals(a4Var.a())) {
                    str = a4Var3.a;
                }
                hashMap2.put("type", a4Var3.d + "");
                hashMap2.put("ext", a4Var3.c);
                linkedHashMap2.put(a4Var3.a, hashMap2);
            }
            this.z.execute(new g(a4Var, str, linkedHashMap2));
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0033  */
    /* JADX WARNING: Removed duplicated region for block: B:13:? A[RETURN, SYNTHETIC] */
    public void l(String str, boolean z2) {
        LinkedList<String> linkedList = this.F;
        boolean z3 = false;
        if (linkedList != null && linkedList.size() > 0) {
            String poll = this.F.poll();
            r(poll, this.G.get(poll));
        } else if (this.r < 2) {
            q(false);
            this.r++;
        } else {
            this.r = 0;
            if (z3) {
                runOnUiThread(new b(z2, str));
                return;
            }
            return;
        }
        z3 = true;
        if (z3) {
        }
    }

    public void m(boolean z2) {
        ViewGroup.LayoutParams layoutParams;
        ViewGroup.LayoutParams layoutParams2;
        if (z2) {
            n nVar = new n(this.c);
            this.C = nVar;
            Boolean bool = Boolean.FALSE;
            if (((Boolean) Hawk.get("debug_open", bool)).booleanValue()) {
                layoutParams2 = new ViewGroup.LayoutParams(800, 400);
            } else {
                layoutParams2 = new ViewGroup.LayoutParams(1, 1);
            }
            nVar.setFocusable(false);
            nVar.setFocusableInTouchMode(false);
            nVar.clearFocus();
            nVar.setOverScrollMode(0);
            addContentView(nVar, layoutParams2);
            WebSettings settings = nVar.getSettings();
            settings.setNeedInitialFocus(false);
            settings.setAllowContentAccess(true);
            settings.setAllowFileAccess(true);
            settings.setAllowUniversalAccessFromFileURLs(true);
            settings.setAllowFileAccessFromFileURLs(true);
            settings.setDatabaseEnabled(true);
            settings.setDomStorageEnabled(true);
            settings.setJavaScriptEnabled(true);
            int i2 = Build.VERSION.SDK_INT;
            if (i2 >= 17) {
                settings.setMediaPlaybackRequiresUserGesture(false);
            }
            if (((Boolean) Hawk.get("debug_open", bool)).booleanValue()) {
                settings.setBlockNetworkImage(false);
            } else {
                settings.setBlockNetworkImage(true);
            }
            settings.setUseWideViewPort(true);
            settings.setDomStorageEnabled(true);
            settings.setJavaScriptCanOpenWindowsAutomatically(true);
            settings.setSupportMultipleWindows(false);
            settings.setLoadWithOverviewMode(true);
            settings.setBuiltInZoomControls(true);
            settings.setSupportZoom(false);
            if (i2 >= 21) {
                settings.setMixedContentMode(0);
            }
            settings.setCacheMode(-1);
            settings.setDefaultTextEncodingName("utf-8");
            settings.setUserAgentString(nVar.getSettings().getUserAgentString());
            nVar.setWebChromeClient(new g8(this));
            p pVar = new p(null);
            this.D = pVar;
            nVar.setWebViewClient(pVar);
            nVar.setBackgroundColor(ViewCompat.MEASURED_STATE_MASK);
            return;
        }
        o oVar = new o(this.c);
        this.A = oVar;
        Boolean bool2 = Boolean.FALSE;
        if (((Boolean) Hawk.get("debug_open", bool2)).booleanValue()) {
            layoutParams = new ViewGroup.LayoutParams(800, 400);
        } else {
            layoutParams = new ViewGroup.LayoutParams(1, 1);
        }
        oVar.setFocusable(false);
        oVar.setFocusableInTouchMode(false);
        oVar.clearFocus();
        oVar.setOverScrollMode(0);
        addContentView(oVar, layoutParams);
        XWalkSettings settings2 = oVar.getSettings();
        settings2.setAllowContentAccess(true);
        settings2.setAllowFileAccess(true);
        settings2.setAllowUniversalAccessFromFileURLs(true);
        settings2.setAllowFileAccessFromFileURLs(true);
        settings2.setDatabaseEnabled(true);
        settings2.setDomStorageEnabled(true);
        settings2.setJavaScriptEnabled(true);
        if (((Boolean) Hawk.get("debug_open", bool2)).booleanValue()) {
            settings2.setBlockNetworkImage(false);
        } else {
            settings2.setBlockNetworkImage(true);
        }
        if (Build.VERSION.SDK_INT >= 17) {
            settings2.setMediaPlaybackRequiresUserGesture(false);
        }
        settings2.setUseWideViewPort(true);
        settings2.setDomStorageEnabled(true);
        settings2.setJavaScriptCanOpenWindowsAutomatically(true);
        settings2.setSupportMultipleWindows(false);
        settings2.setLoadWithOverviewMode(true);
        settings2.setBuiltInZoomControls(true);
        settings2.setSupportZoom(false);
        settings2.setCacheMode(-1);
        oVar.setBackgroundColor(ViewCompat.MEASURED_STATE_MASK);
        oVar.setUIClient(new h8(this, oVar));
        q qVar = new q(oVar);
        this.B = qVar;
        oVar.setResourceClient(qVar);
    }

    public JSONObject n(String str) {
        String str2;
        JSONObject jSONObject = new JSONObject(str);
        if (jSONObject.has("data")) {
            str2 = jSONObject.getJSONObject("data").getString("url");
        } else {
            str2 = jSONObject.getString("url");
        }
        if (str2.startsWith("//")) {
            str2 = b2.c("http:", str2);
        }
        if (!str2.startsWith("http")) {
            return null;
        }
        JSONObject jSONObject2 = new JSONObject();
        String optString = jSONObject.optString(RtspHeaders.USER_AGENT, "");
        if (optString.trim().length() > 0) {
            jSONObject2.put(bx.HEAD_KEY_USER_AGENT, " " + optString);
        }
        String optString2 = jSONObject.optString("referer", "");
        if (optString2.trim().length() > 0) {
            jSONObject2.put("Referer", " " + optString2);
        }
        JSONObject jSONObject3 = new JSONObject();
        jSONObject3.put("header", jSONObject2);
        jSONObject3.put("url", str2);
        return jSONObject3;
    }

    public void o(String str) {
        runOnUiThread(new i(str));
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        boolean z2;
        VodController vodController = this.j;
        if (vodController.s()) {
            vodController.r();
            z2 = true;
        } else {
            z2 = false;
        }
        if (!z2) {
            super.onBackPressed();
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.github.tvbox.osc.base.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        MyVideoView myVideoView = this.f;
        if (myVideoView != null) {
            myVideoView.m();
            this.f = null;
        }
        v(true);
        w();
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
        MyVideoView myVideoView = this.f;
        if (myVideoView != null) {
            myVideoView.pause();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity, com.github.tvbox.osc.base.BaseActivity
    public void onResume() {
        super.onResume();
        MyVideoView myVideoView = this.f;
        if (myVideoView != null) {
            myVideoView.n();
        }
    }

    public void p(String str) {
        if (this.C != null || this.A != null) {
            runOnUiThread(new i(str));
        } else if (!((Boolean) Hawk.get("parse_webview", Boolean.TRUE)).booleanValue()) {
            kd.d(this.c, new h(str));
        } else {
            m(true);
            runOnUiThread(new i(str));
        }
    }

    public void q(boolean z2) {
        e4 e4Var = this.n;
        e4.b bVar = e4Var.seriesMap.get(e4Var.playFlag).get(this.n.playIndex);
        e10.b().f(new t4(0, Integer.valueOf(this.n.playIndex)));
        runOnUiThread(new a("正在获取播放信息", true, false));
        this.j.setTitle(this.n.name + " " + bVar.name);
        w();
        this.H.set(0);
        this.F = new LinkedList<>();
        this.G = new HashMap<>();
        MyVideoView myVideoView = this.f;
        if (myVideoView != null) {
            myVideoView.m();
        }
        StringBuilder sb = new StringBuilder();
        sb.append(this.n.sourceKey);
        sb.append("-");
        sb.append(this.n.id);
        sb.append("-");
        sb.append(this.n.playFlag);
        sb.append("-");
        sb.append(this.n.playIndex);
        sb.append("-");
        String f2 = b2.f(sb, bVar.name, "-subt");
        String str = this.n.sourceKey + this.n.id + this.n.playFlag + this.n.playIndex + bVar.name;
        if (z2) {
            androidx.base.b.t(cd.b(str), 0);
            androidx.base.b.t(cd.b(f2), 0);
        }
        if (ge.b(bVar.url, new d())) {
            this.j.u(false);
        } else {
            this.k.g(this.p, this.n.playFlag, str, bVar.url, f2);
        }
    }

    public void r(String str, HashMap<String, String> hashMap) {
        bd.b("playUrl:" + str);
        runOnUiThread(new c(str, hashMap));
    }

    public void s() {
        sb sbVar = new sb(this);
        int i2 = this.o.getInt("pl");
        if (!this.j.v0.c || i2 != 1) {
            sbVar.a.setVisibility(8);
        } else {
            sbVar.a.setVisibility(0);
        }
        sbVar.n = new k();
        sbVar.l = new l();
        sbVar.m = new m();
        sbVar.show();
    }

    public void t(String str) {
        if (str != null && str.length() > 0) {
            this.j.v0.setVisibility(8);
            this.j.v0.setSubtitlePath(str);
            this.j.v0.setVisibility(0);
        }
    }

    public void u(String str, boolean z2, boolean z3) {
        runOnUiThread(new a(str, z2, z3));
    }

    public void v(boolean z2) {
        runOnUiThread(new j(z2));
    }

    public void w() {
        this.l.removeMessages(100);
        v(false);
        zv.b.a.a("json_jx");
        ExecutorService executorService = this.z;
        if (executorService != null) {
            try {
                executorService.shutdown();
                this.z = null;
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }
}
