package com.github.tvbox.quickjs;

public class JSArray extends JSObject {
    public JSArray(QuickJSContext quickJSContext, long j) {
        super(quickJSContext, j);
    }

    public Object get(int i) {
        checkReleased();
        return getContext().get(this, i);
    }

    public int length() {
        checkReleased();
        return getContext().length(this);
    }

    public void set(Object obj, int i) {
        checkReleased();
        getContext().set(this, obj, i);
    }
}
