package com.google.android.exoplayer2.source.rtsp;

import androidx.base.bs;
import java.util.Collection;
import java.util.List;

public final class RtspPlayResponse {
    public final RtspSessionTiming sessionTiming;
    public final int status;
    public final bs<RtspTrackTiming> trackTimingList;

    public RtspPlayResponse(int i, RtspSessionTiming rtspSessionTiming, List<RtspTrackTiming> list) {
        this.status = i;
        this.sessionTiming = rtspSessionTiming;
        this.trackTimingList = bs.copyOf((Collection) list);
    }
}
