package com.obsez.android.lib.filechooser.permissions;

import android.content.Intent;
import android.os.Bundle;
import android.util.SparseArray;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.base.yx;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import java.util.ArrayList;
import java.util.List;

public class PermissionActivity extends AppCompatActivity {
    @Nullable
    public yx.a a;
    public int b;
    public List<String> c = new ArrayList();
    public List<String> d = new ArrayList();

    public final String[] a(List<String> list) {
        String[] strArr = new String[list.size()];
        list.toArray(strArr);
        return strArr;
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        String[] stringArrayExtra = intent.getStringArrayExtra("PERMISSIONS");
        if (stringArrayExtra.length == 0) {
            finish();
        }
        int intExtra = intent.getIntExtra("REQUEST_CODE", -1);
        this.b = intExtra;
        if (intExtra == -1) {
            finish();
        }
        int i = this.b;
        SparseArray<yx.a> sparseArray = yx.a;
        sparseArray.remove(i);
        this.a = sparseArray.get(i, null);
        for (String str : stringArrayExtra) {
            if (str == null || str.isEmpty()) {
                throw new RuntimeException("permission can't be null or empty");
            }
            if (ContextCompat.checkSelfPermission(this, str) == 0) {
                this.c.add(str);
            } else {
                this.d.add(str);
            }
        }
        if (!this.d.isEmpty()) {
            ActivityCompat.requestPermissions(this, a(this.d), this.b);
        } else if (!this.c.isEmpty()) {
            yx.a aVar = this.a;
            if (aVar != null) {
                aVar.c(a(this.c));
            }
            finish();
        } else {
            throw new RuntimeException("there are no permissions");
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
        if (isFinishing()) {
            overridePendingTransition(0, 0);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, @NonNull String[] strArr, @NonNull int[] iArr) {
        if (i != this.b) {
            finish();
        }
        this.d.clear();
        for (int length = strArr.length - 1; length >= 0; length--) {
            if (iArr[length] == 0) {
                this.c.add(strArr[length]);
            } else {
                this.d.add(strArr[length]);
            }
        }
        if (!this.d.isEmpty()) {
            ArrayList arrayList = new ArrayList();
            for (String str : this.d) {
                if (ActivityCompat.shouldShowRequestPermissionRationale(this, str)) {
                    arrayList.add(str);
                }
            }
            yx.a aVar = this.a;
            if (aVar != null) {
                aVar.b(a(this.d));
                this.a.a(a(arrayList));
            }
            finish();
        } else if (!this.c.isEmpty()) {
            yx.a aVar2 = this.a;
            if (aVar2 != null) {
                aVar2.c(a(this.c));
            }
            finish();
        } else {
            throw new RuntimeException("there are no permissions");
        }
    }
}
