package com.thoughtworks.xstream.converters.extended;

import androidx.base.b2;
import androidx.base.ex;
import com.thoughtworks.xstream.core.util.Fields;

public class StackTraceElementFactory {
    public static /* synthetic */ Class class$java$lang$StackTraceElement;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private void setField(StackTraceElement stackTraceElement, String str, Object obj) {
        Class cls = class$java$lang$StackTraceElement;
        if (cls == null) {
            cls = class$("java.lang.StackTraceElement");
            class$java$lang$StackTraceElement = cls;
        }
        Fields.write(Fields.find(cls, str), stackTraceElement, obj);
    }

    public StackTraceElement create(String str, String str2, String str3, int i) {
        StackTraceElement stackTraceElement = new Throwable().getStackTrace()[0];
        setField(stackTraceElement, "declaringClass", str);
        setField(stackTraceElement, "methodName", str2);
        setField(stackTraceElement, ex.FILE_NAME, str3);
        setField(stackTraceElement, "lineNumber", new Integer(i));
        return stackTraceElement;
    }

    public StackTraceElement element(String str, String str2, String str3) {
        return create(str, str2, str3, -1);
    }

    public StackTraceElement nativeMethodElement(String str, String str2) {
        return create(str, str2, "Native Method", -2);
    }

    public StackTraceElement unknownSourceElement(String str, String str2) {
        return create(str, str2, "Unknown Source", -1);
    }

    public StackTraceElement element(String str, String str2, String str3, int i) {
        return create(str, str2, str3, i);
    }
}
