package com.thoughtworks.xstream.security;

import androidx.base.b2;

public class NoTypePermission implements TypePermission {
    public static final TypePermission NONE = new NoTypePermission();
    public static /* synthetic */ Class class$com$thoughtworks$xstream$security$NoTypePermission;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.security.TypePermission
    public boolean allows(Class cls) {
        throw new ForbiddenClassException(cls);
    }

    public boolean equals(Object obj) {
        if (obj != null) {
            Class<?> cls = obj.getClass();
            Class<?> cls2 = class$com$thoughtworks$xstream$security$NoTypePermission;
            if (cls2 == null) {
                cls2 = class$("com.thoughtworks.xstream.security.NoTypePermission");
                class$com$thoughtworks$xstream$security$NoTypePermission = cls2;
            }
            if (cls == cls2) {
                return true;
            }
        }
        return false;
    }

    public int hashCode() {
        return 1;
    }
}
