package org.chromium.content.browser.accessibility.captioning;

import android.content.Context;
import android.os.Build;

public class CaptioningBridgeFactory {
    public static SystemCaptioningBridge getSystemCaptioningBridge(Context context) {
        if (Build.VERSION.SDK_INT >= 19) {
            return KitKatCaptioningBridge.getInstance(context);
        }
        return new EmptyCaptioningBridge();
    }
}
