package org.xwalk.core;

import android.app.Application;
import android.content.res.Resources;

public class XWalkApplication extends Application {
    private static XWalkApplication gApp;
    private Resources mRes = null;

    public static XWalkApplication getApplication() {
        return gApp;
    }

    public void addResource(Resources resources) {
        if (this.mRes == null) {
            this.mRes = new XWalkMixedResources(super.getResources(), resources);
        }
    }

    public Resources getResources() {
        Resources resources = this.mRes;
        return resources == null ? super.getResources() : resources;
    }

    public void onCreate() {
        super.onCreate();
        gApp = this;
    }
}
