package xyz.doikki.videocontroller.component;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.b;
import androidx.base.s50;
import androidx.base.u50;
import xyz.doikki.videocontroller.R$drawable;
import xyz.doikki.videocontroller.R$id;
import xyz.doikki.videocontroller.R$layout;

public class GestureView extends FrameLayout implements u50 {
    public s50 a;
    public ImageView b = ((ImageView) findViewById(R$id.iv_icon));
    public ProgressBar c = ((ProgressBar) findViewById(R$id.pro_percent));
    public TextView d = ((TextView) findViewById(R$id.tv_percent));
    public LinearLayout e = ((LinearLayout) findViewById(R$id.center_container));

    public class a extends AnimatorListenerAdapter {
        public a() {
        }

        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            GestureView.this.e.setVisibility(8);
        }
    }

    public GestureView(@NonNull Context context) {
        super(context);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_gesture_control_view, (ViewGroup) this, true);
    }

    @Override // androidx.base.t50
    public void a(int i) {
        if (i == 0 || i == 8 || i == 1 || i == 2 || i == -1 || i == 5) {
            setVisibility(8);
        } else {
            setVisibility(0);
        }
    }

    @Override // androidx.base.t50
    public void b(int i) {
    }

    @Override // androidx.base.u50
    public void c(int i, int i2, int i3) {
        this.c.setVisibility(8);
        if (i > i2) {
            this.b.setImageResource(R$drawable.dkplayer_ic_action_fast_forward);
        } else {
            this.b.setImageResource(R$drawable.dkplayer_ic_action_fast_rewind);
        }
        this.d.setText(String.format("%s/%s", b.j0(i), b.j0(i3)));
    }

    @Override // androidx.base.u50
    public void d() {
        this.e.animate().alpha(0.0f).setDuration(300).setListener(new a()).start();
    }

    @Override // androidx.base.t50
    public void e(boolean z, Animation animation) {
    }

    @Override // androidx.base.u50
    public void f(int i) {
        this.c.setVisibility(0);
        this.b.setImageResource(R$drawable.dkplayer_ic_action_brightness);
        TextView textView = this.d;
        textView.setText(i + "%");
        this.c.setProgress(i);
    }

    @Override // androidx.base.t50
    public void g(boolean z) {
    }

    public View getView() {
        return this;
    }

    @Override // androidx.base.t50
    public void h(@NonNull s50 s50) {
        this.a = s50;
    }

    @Override // androidx.base.u50
    public void i(int i) {
        this.c.setVisibility(0);
        if (i <= 0) {
            this.b.setImageResource(R$drawable.dkplayer_ic_action_volume_off);
        } else {
            this.b.setImageResource(R$drawable.dkplayer_ic_action_volume_up);
        }
        TextView textView = this.d;
        textView.setText(i + "%");
        this.c.setProgress(i);
    }

    @Override // androidx.base.t50
    public void j(int i, int i2) {
    }

    @Override // androidx.base.u50
    public void k() {
        this.a.b.hide();
        this.e.setVisibility(0);
        this.e.setAlpha(1.0f);
    }

    public GestureView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_gesture_control_view, (ViewGroup) this, true);
    }

    public GestureView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_gesture_control_view, (ViewGroup) this, true);
    }
}
