package xyz.doikki.videocontroller.component;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.s50;
import androidx.base.t50;
import com.google.android.exoplayer2.source.rtsp.RtspHeaders;
import xyz.doikki.videocontroller.R$id;
import xyz.doikki.videocontroller.R$layout;

public class TitleView extends FrameLayout implements t50 {
    public s50 a;
    public LinearLayout b = ((LinearLayout) findViewById(R$id.title_container));
    public TextView c;
    public TextView d;
    public b e;
    public boolean f;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            Activity i0 = androidx.base.b.i0(TitleView.this.getContext());
            if (i0 != null && TitleView.this.a.e()) {
                i0.setRequestedOrientation(1);
                TitleView.this.a.a.b();
            }
        }
    }

    public static class b extends BroadcastReceiver {
        public ImageView a;

        public b(ImageView imageView) {
            this.a = imageView;
        }

        public void onReceive(Context context, Intent intent) {
            Bundle extras = intent.getExtras();
            if (extras != null) {
                this.a.getDrawable().setLevel((extras.getInt("level") * 100) / extras.getInt(RtspHeaders.SCALE));
            }
        }
    }

    public TitleView(@NonNull Context context) {
        super(context);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_title_view, (ViewGroup) this, true);
        ((ImageView) findViewById(R$id.back)).setOnClickListener(new a());
        this.c = (TextView) findViewById(R$id.title);
        this.d = (TextView) findViewById(R$id.sys_time);
        this.e = new b((ImageView) findViewById(R$id.iv_battery));
    }

    @Override // androidx.base.t50
    public void a(int i) {
        if (i == -1 || i == 0 || i == 1 || i == 2 || i == 5 || i == 8) {
            setVisibility(8);
        }
    }

    @Override // androidx.base.t50
    public void b(int i) {
        if (i == 11) {
            if (this.a.isShowing() && !this.a.d()) {
                setVisibility(0);
                this.d.setText(androidx.base.b.B());
            }
            this.c.setSelected(true);
        } else {
            setVisibility(8);
            this.c.setSelected(false);
        }
        Activity i0 = androidx.base.b.i0(getContext());
        if (i0 != null && this.a.c()) {
            int requestedOrientation = i0.getRequestedOrientation();
            int cutoutHeight = this.a.getCutoutHeight();
            if (requestedOrientation == 1) {
                this.b.setPadding(0, 0, 0, 0);
            } else if (requestedOrientation == 0) {
                this.b.setPadding(cutoutHeight, 0, 0, 0);
            } else if (requestedOrientation == 8) {
                this.b.setPadding(0, 0, cutoutHeight, 0);
            }
        }
    }

    @Override // androidx.base.t50
    public void e(boolean z, Animation animation) {
        if (this.a.e()) {
            if (z) {
                if (getVisibility() == 8) {
                    this.d.setText(androidx.base.b.B());
                    setVisibility(0);
                    if (animation != null) {
                        startAnimation(animation);
                    }
                }
            } else if (getVisibility() == 0) {
                setVisibility(8);
                if (animation != null) {
                    startAnimation(animation);
                }
            }
        }
    }

    @Override // androidx.base.t50
    public void g(boolean z) {
        if (z) {
            setVisibility(8);
            return;
        }
        setVisibility(0);
        this.d.setText(androidx.base.b.B());
    }

    public View getView() {
        return this;
    }

    @Override // androidx.base.t50
    public void h(@NonNull s50 s50) {
        this.a = s50;
    }

    @Override // androidx.base.t50
    public void j(int i, int i2) {
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (!this.f) {
            getContext().registerReceiver(this.e, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
            this.f = true;
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.f) {
            getContext().unregisterReceiver(this.e);
            this.f = false;
        }
    }

    public void setTitle(String str) {
        this.c.setText(str);
    }

    public TitleView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_title_view, (ViewGroup) this, true);
        ((ImageView) findViewById(R$id.back)).setOnClickListener(new a());
        this.c = (TextView) findViewById(R$id.title);
        this.d = (TextView) findViewById(R$id.sys_time);
        this.e = new b((ImageView) findViewById(R$id.iv_battery));
    }

    public TitleView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_title_view, (ViewGroup) this, true);
        ((ImageView) findViewById(R$id.back)).setOnClickListener(new a());
        this.c = (TextView) findViewById(R$id.title);
        this.d = (TextView) findViewById(R$id.sys_time);
        this.e = new b((ImageView) findViewById(R$id.iv_battery));
    }
}
