package androidx.base;

import androidx.base.fr;
import java.util.Collection;
import java.util.HashSet;
import java.util.Map;

public abstract class at<K, V> extends hu<Map.Entry<K, V>> {
    public void clear() {
        fr.c.this.clear();
    }

    public abstract boolean contains(Object obj);

    public boolean isEmpty() {
        return fr.c.this.isEmpty();
    }

    @Override // java.util.AbstractCollection, androidx.base.hu, java.util.Collection, java.util.AbstractSet, java.util.Set
    public boolean removeAll(Collection<?> collection) {
        try {
            collection.getClass();
            return nr.j(this, collection);
        } catch (UnsupportedOperationException unused) {
            return nr.k(this, collection.iterator());
        }
    }

    @Override // java.util.AbstractCollection, androidx.base.hu, java.util.Collection, java.util.Set
    public boolean retainAll(Collection<?> collection) {
        int i;
        try {
            collection.getClass();
            return super.retainAll(collection);
        } catch (UnsupportedOperationException unused) {
            int size = collection.size();
            if (size < 3) {
                b.i(size, "expectedSize");
                i = size + 1;
            } else {
                i = size < 1073741824 ? (int) ((((float) size) / 0.75f) + 1.0f) : Integer.MAX_VALUE;
            }
            HashSet hashSet = new HashSet(i);
            for (Object obj : collection) {
                if (contains(obj)) {
                    hashSet.add(((Map.Entry) obj).getKey());
                }
            }
            return fr.c.this.keySet().retainAll(hashSet);
        }
    }

    public int size() {
        return fr.c.this.size();
    }
}
