package androidx.base;

import android.content.Context;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import androidx.base.cz;
import androidx.base.xy;
import java.io.FileNotFoundException;
import java.util.List;

public class dz extends cz {
    public final Context a;

    public dz(Context context) {
        this.a = context;
    }

    @Override // androidx.base.cz
    public boolean c(az azVar) {
        if (azVar.e != 0) {
            return true;
        }
        return "android.resource".equals(azVar.d.getScheme());
    }

    @Override // androidx.base.cz
    public cz.a f(az azVar, int i) {
        Resources resources;
        Uri uri;
        Uri uri2;
        Context context = this.a;
        StringBuilder sb = iz.a;
        if (azVar.e != 0 || (uri2 = azVar.d) == null) {
            resources = context.getResources();
        } else {
            String authority = uri2.getAuthority();
            if (authority != null) {
                try {
                    resources = context.getPackageManager().getResourcesForApplication(authority);
                } catch (PackageManager.NameNotFoundException unused) {
                    StringBuilder j = b2.j("Unable to obtain resources for package: ");
                    j.append(azVar.d);
                    throw new FileNotFoundException(j.toString());
                }
            } else {
                StringBuilder j2 = b2.j("No package provided: ");
                j2.append(azVar.d);
                throw new FileNotFoundException(j2.toString());
            }
        }
        int i2 = azVar.e;
        boolean z = true;
        if (i2 == 0 && (uri = azVar.d) != null) {
            String authority2 = uri.getAuthority();
            if (authority2 != null) {
                List<String> pathSegments = azVar.d.getPathSegments();
                if (pathSegments == null || pathSegments.isEmpty()) {
                    StringBuilder j3 = b2.j("No path segments: ");
                    j3.append(azVar.d);
                    throw new FileNotFoundException(j3.toString());
                } else if (pathSegments.size() == 1) {
                    try {
                        i2 = Integer.parseInt(pathSegments.get(0));
                    } catch (NumberFormatException unused2) {
                        StringBuilder j4 = b2.j("Last path segment is not a resource ID: ");
                        j4.append(azVar.d);
                        throw new FileNotFoundException(j4.toString());
                    }
                } else if (pathSegments.size() == 2) {
                    i2 = resources.getIdentifier(pathSegments.get(1), pathSegments.get(0), authority2);
                } else {
                    StringBuilder j5 = b2.j("More than two path segments: ");
                    j5.append(azVar.d);
                    throw new FileNotFoundException(j5.toString());
                }
            } else {
                StringBuilder j6 = b2.j("No package provided: ");
                j6.append(azVar.d);
                throw new FileNotFoundException(j6.toString());
            }
        }
        BitmapFactory.Options d = cz.d(azVar);
        if (d == null || !d.inJustDecodeBounds) {
            z = false;
        }
        if (z) {
            BitmapFactory.decodeResource(resources, i2, d);
            cz.b(azVar.g, azVar.h, d, azVar);
        }
        Bitmap decodeResource = BitmapFactory.decodeResource(resources, i2, d);
        xy.d dVar = xy.d.DISK;
        if (decodeResource != null) {
            return new cz.a(decodeResource, null, dVar, 0);
        }
        throw new NullPointerException("bitmap == null");
    }
}
