package androidx.base;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.BounceInterpolator;
import android.widget.TextView;
import androidx.base.z3;
import com.github.tvbox.osc.C0017R$color;
import com.github.tvbox.osc.C0020R$id;
import com.github.tvbox.osc.C0023R$layout;
import com.github.tvbox.osc.ui.activity.HomeActivity;
import com.owen.tvrecyclerview.widget.TvRecyclerView;
import com.owen.tvrecyclerview.widget.V7LinearLayoutManager;
import java.util.ArrayList;
import java.util.Iterator;

public class e7 implements TvRecyclerView.e {
    public final /* synthetic */ HomeActivity a;

    public class a implements Runnable {
        public int a;
        public final /* synthetic */ View b;
        public final /* synthetic */ int c;

        public a(View view, int i) {
            this.b = view;
            this.c = i;
            this.a = i;
        }

        public void run() {
            TextView textView = (TextView) this.b.findViewById(C0020R$id.tvTitle);
            textView.getPaint().setFakeBoldText(false);
            if (e7.this.a.s == this.a) {
                this.b.animate().scaleX(1.1f).scaleY(1.1f).setInterpolator(new BounceInterpolator()).setDuration(300).start();
                textView.setTextColor(e7.this.a.getResources().getColor(C0017R$color.color_FFFFFF));
            } else {
                this.b.animate().scaleX(1.0f).scaleY(1.0f).setDuration(300).start();
                textView.setTextColor(e7.this.a.getResources().getColor(2131034172));
                this.b.findViewById(C0020R$id.tvFilter).setVisibility(8);
            }
            textView.invalidate();
        }
    }

    public e7(HomeActivity homeActivity) {
        this.a = homeActivity;
    }

    @Override // com.owen.tvrecyclerview.widget.TvRecyclerView.e
    public void a(TvRecyclerView tvRecyclerView, View view, int i) {
        if (view != null) {
            HomeActivity homeActivity = this.a;
            if (!homeActivity.p) {
                homeActivity.u.postDelayed(new a(view, i), 10);
            }
        }
    }

    @Override // com.owen.tvrecyclerview.widget.TvRecyclerView.e
    public void b(TvRecyclerView tvRecyclerView, View view, int i) {
        if (view != null) {
            HomeActivity homeActivity = this.a;
            homeActivity.p = false;
            homeActivity.q = true;
            view.animate().scaleX(1.1f).scaleY(1.1f).setInterpolator(new BounceInterpolator()).setDuration(300).start();
            TextView textView = (TextView) view.findViewById(C0020R$id.tvTitle);
            textView.getPaint().setFakeBoldText(true);
            textView.setTextColor(this.a.getResources().getColor(C0017R$color.color_FFFFFF));
            textView.invalidate();
            if (!((z3.a) this.a.m.getItem(i)).filters.isEmpty()) {
                view.findViewById(C0020R$id.tvFilter).setVisibility(0);
            }
            HomeActivity homeActivity2 = this.a;
            homeActivity2.t = view;
            homeActivity2.s = i;
            homeActivity2.u.removeCallbacks(homeActivity2.A);
            HomeActivity homeActivity3 = this.a;
            homeActivity3.u.postDelayed(homeActivity3.A, 200);
        }
    }

    @Override // com.owen.tvrecyclerview.widget.TvRecyclerView.e
    public void c(TvRecyclerView tvRecyclerView, View view, int i) {
        HomeActivity homeActivity;
        int i2;
        if (view != null && (i2 = (homeActivity = this.a).r) == i) {
            n3 n3Var = homeActivity.o.get(i2);
            if ((n3Var instanceof vb) && !((z3.a) this.a.m.getItem(i)).filters.isEmpty()) {
                vb vbVar = (vb) n3Var;
                if (!vbVar.h.filters.isEmpty() && vbVar.k == null) {
                    qa qaVar = new qa(vbVar.e);
                    vbVar.k = qaVar;
                    z3.a aVar = vbVar.h;
                    Iterator<z3.b> it = aVar.filters.iterator();
                    while (it.hasNext()) {
                        z3.b next = it.next();
                        View inflate = LayoutInflater.from(qaVar.getContext()).inflate(C0023R$layout.item_grid_filter, (ViewGroup) null);
                        ((TextView) inflate.findViewById(C0020R$id.filterName)).setText(next.b);
                        TvRecyclerView tvRecyclerView2 = (TvRecyclerView) inflate.findViewById(C0020R$id.mFilterKv);
                        tvRecyclerView2.setHasFixedSize(true);
                        tvRecyclerView2.setLayoutManager(new V7LinearLayoutManager(qaVar.getContext(), 0, false));
                        m9 m9Var = new m9();
                        tvRecyclerView2.setAdapter(m9Var);
                        String str = next.a;
                        ArrayList arrayList = new ArrayList(next.c.keySet());
                        m9Var.setOnItemClickListener(new pa(qaVar, aVar, str, arrayList, new ArrayList(next.c.values())));
                        m9Var.o(arrayList);
                        qaVar.a.addView(inflate);
                    }
                    qa qaVar2 = vbVar.k;
                    qaVar2.setOnDismissListener(new oa(qaVar2, new wb(vbVar)));
                }
                qa qaVar3 = vbVar.k;
                if (qaVar3 != null) {
                    qaVar3.show();
                }
            } else if (n3Var instanceof mc) {
                this.a.l();
            }
        }
    }
}
