package androidx.base;

import java.io.Serializable;
import java.util.Map;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class fs<K, V> extends ls<Map.Entry<K, V>> {

    public static class a<K, V> implements Serializable {
        private static final long serialVersionUID = 0;
        public final ds<K, V> map;

        public a(ds<K, V> dsVar) {
            this.map = dsVar;
        }

        public Object readResolve() {
            return this.map.entrySet();
        }
    }

    @Override // androidx.base.zr
    public boolean contains(@NullableDecl Object obj) {
        if (!(obj instanceof Map.Entry)) {
            return false;
        }
        Map.Entry entry = (Map.Entry) obj;
        V v = map().get(entry.getKey());
        if (v == null || !v.equals(entry.getValue())) {
            return false;
        }
        return true;
    }

    @Override // androidx.base.ls
    public int hashCode() {
        return map().hashCode();
    }

    @Override // androidx.base.ls
    public boolean isHashCodeFast() {
        return map().isHashCodeFast();
    }

    @Override // androidx.base.zr
    public boolean isPartialView() {
        return map().isPartialView();
    }

    public abstract ds<K, V> map();

    public int size() {
        return map().size();
    }

    @Override // androidx.base.zr, androidx.base.ls
    public Object writeReplace() {
        return new a(map());
    }
}
