package androidx.base;

import com.google.android.exoplayer2.source.rtsp.SessionDescription;
import com.orhanobut.hawk.DataInfo;

public final class gv {
    public final fv a;
    public final int[] b;

    public gv(fv fvVar, int[] iArr) {
        if (iArr.length != 0) {
            this.a = fvVar;
            int length = iArr.length;
            if (length <= 1 || iArr[0] != 0) {
                this.b = iArr;
                return;
            }
            int i = 1;
            while (i < length && iArr[i] == 0) {
                i++;
            }
            if (i == length) {
                this.b = new int[]{0};
                return;
            }
            int i2 = length - i;
            int[] iArr2 = new int[i2];
            this.b = iArr2;
            System.arraycopy(iArr, i, iArr2, 0, i2);
            return;
        }
        throw new IllegalArgumentException();
    }

    public gv a(gv gvVar) {
        if (!this.a.equals(gvVar.a)) {
            throw new IllegalArgumentException("GenericGFPolys do not have same GenericGF field");
        } else if (d()) {
            return gvVar;
        } else {
            if (gvVar.d()) {
                return this;
            }
            int[] iArr = this.b;
            int[] iArr2 = gvVar.b;
            if (iArr.length <= iArr2.length) {
                iArr = iArr2;
                iArr2 = iArr;
            }
            int[] iArr3 = new int[iArr.length];
            int length = iArr.length - iArr2.length;
            System.arraycopy(iArr, 0, iArr3, 0, length);
            for (int i = length; i < iArr.length; i++) {
                iArr3[i] = iArr2[i - length] ^ iArr[i];
            }
            return new gv(this.a, iArr3);
        }
    }

    public int b(int i) {
        int[] iArr = this.b;
        return iArr[(iArr.length - 1) - i];
    }

    public int c() {
        return this.b.length - 1;
    }

    public boolean d() {
        return this.b[0] == 0;
    }

    public gv e(int i, int i2) {
        if (i < 0) {
            throw new IllegalArgumentException();
        } else if (i2 == 0) {
            return this.a.e;
        } else {
            int length = this.b.length;
            int[] iArr = new int[(i + length)];
            for (int i3 = 0; i3 < length; i3++) {
                iArr[i3] = this.a.a(this.b[i3], i2);
            }
            return new gv(this.a, iArr);
        }
    }

    public String toString() {
        if (d()) {
            return SessionDescription.SUPPORTED_SDP_VERSION;
        }
        StringBuilder sb = new StringBuilder(c() * 8);
        for (int c = c(); c >= 0; c--) {
            int b2 = b(c);
            if (b2 != 0) {
                if (b2 < 0) {
                    if (c == c()) {
                        sb.append("-");
                    } else {
                        sb.append(" - ");
                    }
                    b2 = -b2;
                } else if (sb.length() > 0) {
                    sb.append(" + ");
                }
                if (c == 0 || b2 != 1) {
                    fv fvVar = this.a;
                    fvVar.getClass();
                    if (b2 != 0) {
                        int i = fvVar.d[b2];
                        if (i == 0) {
                            sb.append(DataInfo.TYPE_LIST);
                        } else if (i == 1) {
                            sb.append('a');
                        } else {
                            sb.append("a^");
                            sb.append(i);
                        }
                    } else {
                        throw new IllegalArgumentException();
                    }
                }
                if (c != 0) {
                    if (c == 1) {
                        sb.append('x');
                    } else {
                        sb.append("x^");
                        sb.append(c);
                    }
                }
            }
        }
        return sb.toString();
    }
}
