package androidx.base;

import java.util.AbstractCollection;
import java.util.Map;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class ht<K, V> extends AbstractCollection<Map.Entry<K, V>> {
    public void clear() {
        ir.this.clear();
    }

    public boolean contains(@NullableDecl Object obj) {
        if (!(obj instanceof Map.Entry)) {
            return false;
        }
        Map.Entry entry = (Map.Entry) obj;
        return ir.this.containsEntry(entry.getKey(), entry.getValue());
    }

    public boolean remove(@NullableDecl Object obj) {
        if (!(obj instanceof Map.Entry)) {
            return false;
        }
        Map.Entry entry = (Map.Entry) obj;
        return ir.this.remove(entry.getKey(), entry.getValue());
    }

    public int size() {
        return ir.this.size();
    }
}
