package androidx.base;

import android.os.Handler;
import android.os.HandlerThread;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.base.m5;
import androidx.base.q5;
import com.github.tvbox.osc.base.App;
import com.github.tvbox.osc.subtitle.widget.SimpleSubtitleView;
import com.orhanobut.hawk.Hawk;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.TreeMap;

public class k5 implements m5 {
    public static final String a = "k5";
    public static String b;
    @Nullable
    public HandlerThread c;
    @Nullable
    public Handler d;
    @Nullable
    public List<x5> e;
    public r5 f;
    public d60 g;
    public m5.b h;
    public m5.a i;

    public class a implements q5.a {
        public final /* synthetic */ String a;

        public a(String str) {
            this.a = str;
        }

        public void a(Exception exc) {
            String str = k5.a;
            StringBuilder j = b2.j("onError: ");
            j.append(exc.getMessage());
            Log.e(str, j.toString());
        }

        public void b(n5 n5Var) {
            if (n5Var == null) {
                Log.d(k5.a, "onSuccess: subtitleLoadSuccessResult is null.");
                return;
            }
            z5 z5Var = n5Var.c;
            if (z5Var == null) {
                Log.d(k5.a, "onSuccess: timedTextObject is null.");
                return;
            }
            TreeMap<Integer, x5> treeMap = z5Var.b;
            if (treeMap == null) {
                Log.d(k5.a, "onSuccess: captions is null.");
                return;
            }
            k5.this.e = new ArrayList(treeMap.values());
            k5.this.setSubtitleDelay(Integer.valueOf(((Integer) Hawk.get("subtitle_time_delay", 0)).intValue()));
            m5.b bVar = k5.this.h;
            if (bVar != null) {
                ((SimpleSubtitleView) bVar).a.start();
            }
            String str = n5Var.d;
            if (str.startsWith("http://") || str.startsWith("https://")) {
                String str2 = App.a.getCacheDir().getAbsolutePath() + "/zimu/";
                File file = new File(str2);
                if (!file.exists()) {
                    file.mkdirs();
                }
                StringBuilder j = b2.j(str2);
                j.append(n5Var.a);
                String sb = j.toString();
                if (b.u0(n5Var.b.getBytes(), new File(sb))) {
                    k5.this.getClass();
                    b.h0(cd.b(k5.b), sb);
                    return;
                }
                return;
            }
            k5.this.getClass();
            b.h0(cd.b(k5.b), this.a);
        }
    }

    @Override // androidx.base.m5
    public void a(d60 d60) {
        this.g = d60;
    }

    @Override // androidx.base.m5
    public void destroy() {
        Log.d(a, "destroy: ");
        HandlerThread handlerThread = this.c;
        if (handlerThread != null) {
            handlerThread.quit();
            this.c = null;
        }
        Handler handler = this.d;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.d = null;
        }
        Handler handler2 = this.d;
        if (handler2 != null) {
            handler2.removeMessages(2184);
        }
        this.e = null;
        this.f = null;
    }

    @Override // androidx.base.m5
    public String getPlaySubtitleCacheKey() {
        return b;
    }

    @Override // androidx.base.m5
    public void setOnSubtitleChangeListener(m5.a aVar) {
        this.i = aVar;
    }

    @Override // androidx.base.m5
    public void setOnSubtitlePreparedListener(m5.b bVar) {
        this.h = bVar;
    }

    @Override // androidx.base.m5
    public void setPlaySubtitleCacheKey(String str) {
        b = str;
    }

    @Override // androidx.base.m5
    public void setSubtitleDelay(Integer num) {
        List<x5> list;
        if (!(num.intValue() == 0 || (list = this.e) == null || list.size() == 0)) {
            List<x5> list2 = this.e;
            this.e = null;
            for (int i2 = 0; i2 < list2.size(); i2++) {
                x5 x5Var = list2.get(i2);
                y5 y5Var = x5Var.b;
                y5 y5Var2 = x5Var.c;
                y5Var.a = num.intValue() + y5Var.a;
                y5Var2.a = num.intValue() + y5Var2.a;
                if (y5Var.a <= 0) {
                    y5Var.a = 0;
                }
                if (y5Var2.a <= 0) {
                    y5Var2.a = 0;
                }
                x5Var.b = y5Var;
                x5Var.c = y5Var2;
            }
            this.e = list2;
        }
    }

    @Override // androidx.base.m5
    public void setSubtitlePath(String str) {
        HandlerThread handlerThread = this.c;
        if (handlerThread != null) {
            handlerThread.quit();
            this.c = null;
        }
        Handler handler = this.d;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.d = null;
        }
        HandlerThread handlerThread2 = new HandlerThread("SubtitleFindThread");
        this.c = handlerThread2;
        handlerThread2.start();
        Handler handler2 = new Handler(this.c.getLooper(), new l5(this));
        this.d = handler2;
        handler2.removeMessages(2184);
        this.e = null;
        this.f = null;
        if (TextUtils.isEmpty(str)) {
            Log.w(a, "loadSubtitleFromRemote: path is null.");
            return;
        }
        a aVar = new a(str);
        String str2 = q5.a;
        if (!TextUtils.isEmpty(str)) {
            if (str.startsWith("http://") || str.startsWith("https://")) {
                ((a6) a6.e()).d.a(new o5(str, aVar));
                return;
            }
            ((a6) a6.e()).d.a(new p5(str, aVar));
        }
    }

    @Override // androidx.base.m5
    public void start() {
        String str = a;
        Log.d(str, "start: ");
        if (this.g == null) {
            StringBuilder j = b2.j("MediaPlayer is not bind, You must bind MediaPlayer to ");
            j.append(m5.class.getSimpleName());
            j.append(" before start() method be called, you can do this by call bindToMediaPlayer(MediaPlayer mediaPlayer) method.");
            Log.w(str, j.toString());
            return;
        }
        Handler handler = this.d;
        if (handler != null) {
            handler.removeMessages(2184);
        }
        Handler handler2 = this.d;
        if (handler2 != null) {
            handler2.sendEmptyMessageDelayed(2184, 100);
        }
    }
}
