package androidx.base;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.animation.BounceInterpolator;
import android.widget.LinearLayout;
import androidx.base.e2;
import androidx.base.y3;
import com.github.tvbox.osc.C0020R$id;
import com.github.tvbox.osc.C0023R$layout;
import com.github.tvbox.osc.ui.activity.CollectActivity;
import com.github.tvbox.osc.ui.activity.DetailActivity;
import com.github.tvbox.osc.ui.activity.FastSearchActivity;
import com.github.tvbox.osc.ui.activity.HistoryActivity;
import com.github.tvbox.osc.ui.activity.LivePlayActivity;
import com.github.tvbox.osc.ui.activity.PushActivity;
import com.github.tvbox.osc.ui.activity.SearchActivity;
import com.github.tvbox.osc.ui.activity.SettingActivity;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.google.gson.Gson;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.orhanobut.hawk.Hawk;
import com.owen.tvrecyclerview.widget.TvRecyclerView;
import com.owen.tvrecyclerview.widget.V7GridLayoutManager;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Iterator;
import java.util.List;
import org.greenrobot.eventbus.ThreadMode;

public class mc extends n3 implements View.OnClickListener {
    public static final /* synthetic */ int h = 0;
    public LinearLayout i;
    public LinearLayout j;
    public LinearLayout k;
    public LinearLayout l;
    public LinearLayout m;
    public LinearLayout n;
    public o9 o;
    public List<y3.a> p;
    public View.OnFocusChangeListener q = new d(this);

    public class a implements e2.d {
        public a() {
        }

        @Override // androidx.base.e2.d
        public void a(e2 e2Var, View view, int i) {
            Intent intent;
            if (!((ArrayList) l3.d().i()).isEmpty()) {
                y3.a aVar = (y3.a) e2Var.getItem(i);
                String str = aVar.id;
                if (str == null || str.isEmpty()) {
                    if (((Boolean) Hawk.get("fast_search_mode", Boolean.FALSE)).booleanValue()) {
                        mc mcVar = mc.this;
                        int i2 = mc.h;
                        intent = new Intent(mcVar.e, FastSearchActivity.class);
                    } else {
                        mc mcVar2 = mc.this;
                        int i3 = mc.h;
                        intent = new Intent(mcVar2.e, SearchActivity.class);
                    }
                    intent.putExtra("title", aVar.name);
                    intent.setFlags(335544320);
                    mc.this.f.startActivity(intent);
                    return;
                }
                Bundle bundle = new Bundle();
                bundle.putString(TtmlNode.ATTR_ID, aVar.id);
                bundle.putString("sourceKey", aVar.sourceKey);
                if (((Integer) Hawk.get("home_rec", 0)).intValue() != 1 || !((Boolean) Hawk.get("fast_search_mode", Boolean.FALSE)).booleanValue()) {
                    mc.this.g(DetailActivity.class, bundle);
                    return;
                }
                bundle.putString("title", aVar.name);
                mc.this.g(FastSearchActivity.class, bundle);
            }
        }
    }

    public class b implements e2.e {
        public b() {
        }

        @Override // androidx.base.e2.e
        public boolean a(e2 e2Var, View view, int i) {
            if (((ArrayList) l3.d().i()).isEmpty()) {
                return true;
            }
            Bundle bundle = new Bundle();
            bundle.putString("title", ((y3.a) e2Var.getItem(i)).name);
            mc.this.g(FastSearchActivity.class, bundle);
            return true;
        }
    }

    public class c implements TvRecyclerView.e {
        public c(mc mcVar) {
        }

        @Override // com.owen.tvrecyclerview.widget.TvRecyclerView.e
        public void a(TvRecyclerView tvRecyclerView, View view, int i) {
            view.animate().scaleX(1.0f).scaleY(1.0f).setDuration(300).setInterpolator(new BounceInterpolator()).start();
        }

        @Override // com.owen.tvrecyclerview.widget.TvRecyclerView.e
        public void b(TvRecyclerView tvRecyclerView, View view, int i) {
            view.animate().scaleX(1.05f).scaleY(1.05f).setDuration(300).setInterpolator(new BounceInterpolator()).start();
        }

        @Override // com.owen.tvrecyclerview.widget.TvRecyclerView.e
        public void c(TvRecyclerView tvRecyclerView, View view, int i) {
        }
    }

    public class d implements View.OnFocusChangeListener {
        public d(mc mcVar) {
        }

        public void onFocusChange(View view, boolean z) {
            if (z) {
                view.animate().scaleX(1.05f).scaleY(1.05f).setDuration(300).setInterpolator(new BounceInterpolator()).start();
            } else {
                view.animate().scaleX(1.0f).scaleY(1.0f).setDuration(300).setInterpolator(new BounceInterpolator()).start();
            }
        }
    }

    @Override // androidx.base.n3
    public int d() {
        return C0023R$layout.fragment_user;
    }

    @Override // androidx.base.n3
    public void e() {
        e10.b().j(this);
        this.i = (LinearLayout) c(C0020R$id.tvLive);
        this.j = (LinearLayout) c(C0020R$id.tvSearch);
        this.k = (LinearLayout) c(C0020R$id.tvSetting);
        this.m = (LinearLayout) c(C0020R$id.tvFavorite);
        this.l = (LinearLayout) c(C0020R$id.tvHistory);
        this.n = (LinearLayout) c(C0020R$id.tvPush);
        this.i.setOnClickListener(this);
        this.j.setOnClickListener(this);
        this.k.setOnClickListener(this);
        this.l.setOnClickListener(this);
        this.n.setOnClickListener(this);
        this.m.setOnClickListener(this);
        this.i.setOnFocusChangeListener(this.q);
        this.j.setOnFocusChangeListener(this.q);
        this.k.setOnFocusChangeListener(this.q);
        this.l.setOnFocusChangeListener(this.q);
        this.n.setOnFocusChangeListener(this.q);
        this.m.setOnFocusChangeListener(this.q);
        TvRecyclerView tvRecyclerView = (TvRecyclerView) c(C0020R$id.tvHotList);
        tvRecyclerView.setHasFixedSize(true);
        tvRecyclerView.setLayoutManager(new V7GridLayoutManager(this.e, 6));
        o9 o9Var = new o9();
        this.o = o9Var;
        o9Var.setOnItemClickListener(new a());
        this.o.setOnItemLongClickListener(new b());
        tvRecyclerView.setOnItemListener(new c(this));
        tvRecyclerView.setAdapter(this.o);
        o9 o9Var2 = this.o;
        if (((Integer) Hawk.get("home_rec", 0)).intValue() == 1) {
            List<y3.a> list = this.p;
            if (list != null) {
                o9Var2.o(list);
            }
        } else if (((Integer) Hawk.get("home_rec", 0)).intValue() != 2) {
            try {
                Calendar instance = Calendar.getInstance();
                int i2 = instance.get(1);
                String format = String.format("%d%d%d", Integer.valueOf(i2), Integer.valueOf(instance.get(2) + 1), Integer.valueOf(instance.get(5)));
                if (((String) Hawk.get("home_hot_day", "")).equals(format)) {
                    String str = (String) Hawk.get("home_hot", "");
                    if (!str.isEmpty()) {
                        ArrayList<y3.a> i3 = i(str);
                        if (i3.size() > 0) {
                            o9Var2.o(i3);
                            return;
                        }
                    }
                }
                gx gxVar = new gx("https://movie.douban.com/j/new_search_subjects?sort=U&range=0,10&tags=&playable=1&start=0&year_range=" + i2 + "," + i2);
                int length = hd.a.length;
                double random = Math.random();
                double d2 = (double) length;
                Double.isNaN(d2);
                Double.isNaN(d2);
                Double.isNaN(d2);
                ((gx) gxVar.headers(bx.HEAD_KEY_USER_AGENT, hd.a[(int) (random * d2)])).execute(new nc(this, format, o9Var2));
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    @Override // androidx.base.n3
    public void h() {
        if (((Integer) Hawk.get("home_rec", 0)).intValue() == 2) {
            List<e4> b2 = i4.b(10);
            ArrayList arrayList = new ArrayList();
            Iterator it = ((ArrayList) b2).iterator();
            while (it.hasNext()) {
                e4 e4Var = (e4) it.next();
                y3.a aVar = new y3.a();
                aVar.id = e4Var.id;
                aVar.sourceKey = e4Var.sourceKey;
                aVar.name = e4Var.name;
                aVar.pic = e4Var.pic;
                String str = e4Var.playNote;
                if (str != null && !str.isEmpty()) {
                    StringBuilder j2 = b2.j("上次看到");
                    j2.append(e4Var.playNote);
                    aVar.note = j2.toString();
                }
                arrayList.add(aVar);
            }
            this.o.o(arrayList);
        }
    }

    public final ArrayList<y3.a> i(String str) {
        ArrayList<y3.a> arrayList = new ArrayList<>();
        try {
            Iterator<JsonElement> it = ((JsonObject) new Gson().fromJson(str, JsonObject.class)).getAsJsonArray("data").iterator();
            while (it.hasNext()) {
                JsonObject jsonObject = (JsonObject) it.next();
                y3.a aVar = new y3.a();
                aVar.name = jsonObject.get("title").getAsString();
                aVar.note = jsonObject.get("rate").getAsString();
                aVar.pic = jsonObject.get("cover").getAsString();
                arrayList.add(aVar);
            }
        } catch (Throwable unused) {
        }
        return arrayList;
    }

    public void onClick(View view) {
        b.e(view);
        if (view.getId() == 2131231216) {
            f(LivePlayActivity.class);
        } else if (view.getId() == 2131231232) {
            f(SearchActivity.class);
        } else if (view.getId() == 2131231239) {
            f(SettingActivity.class);
        } else if (view.getId() == 2131231209) {
            f(HistoryActivity.class);
        } else if (view.getId() == 2131231226) {
            f(PushActivity.class);
        } else if (view.getId() == 2131231207) {
            f(CollectActivity.class);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        e10.b().l(this);
    }

    @o10(threadMode = ThreadMode.MAIN)
    public void server(u4 u4Var) {
        int i2 = u4Var.a;
    }
}
