package androidx.base;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import com.github.tvbox.osc.base.BaseActivity;
import com.kingja.loadsir.core.LoadService;
import java.util.List;
import me.jessyan.autosize.AutoSize;
import me.jessyan.autosize.internal.CustomAdapt;

public abstract class n3 extends Fragment implements CustomAdapt {
    public View a = null;
    public boolean b = false;
    public boolean c = false;
    public boolean d = true;
    public Context e;
    public Activity f;
    public LoadService g;

    public final void a(boolean z) {
        List<Fragment> fragments = getChildFragmentManager().getFragments();
        if (fragments != null) {
            for (Fragment fragment : fragments) {
                if ((fragment instanceof n3) && !fragment.isHidden() && fragment.getUserVisibleHint()) {
                    ((n3) fragment).b(z);
                }
            }
        }
    }

    public final void b(boolean z) {
        if (z) {
            Fragment parentFragment = getParentFragment();
            if (parentFragment instanceof n3 ? !((n3) parentFragment).c : false) {
                return;
            }
        }
        if (this.c != z) {
            this.c = z;
            if (z) {
                if (this.d) {
                    this.d = false;
                    e();
                }
                h();
                a(true);
                return;
            }
            a(false);
        }
    }

    public <T extends View> T c(@IdRes int i) {
        View view = this.a;
        if (view != null) {
            return (T) view.findViewById(i);
        }
        return null;
    }

    public abstract int d();

    public abstract void e();

    public void f(Class<? extends BaseActivity> cls) {
        startActivity(new Intent(this.e, cls));
    }

    public void g(Class<? extends BaseActivity> cls, Bundle bundle) {
        Intent intent = new Intent(this.e, cls);
        intent.putExtras(bundle);
        startActivity(intent);
    }

    @Override // me.jessyan.autosize.internal.CustomAdapt
    public float getSizeInDp() {
        if (getActivity() == null || !(getActivity() instanceof CustomAdapt)) {
            return 0.0f;
        }
        return ((CustomAdapt) getActivity()).getSizeInDp();
    }

    public void h() {
    }

    @Override // me.jessyan.autosize.internal.CustomAdapt
    public boolean isBaseOnWidth() {
        if (getActivity() == null || !(getActivity() instanceof CustomAdapt)) {
            return true;
        }
        return ((CustomAdapt) getActivity()).isBaseOnWidth();
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(@NonNull Context context) {
        super.onAttach(context);
        this.e = context;
        this.f = (Activity) context;
    }

    @Override // androidx.fragment.app.Fragment
    @Nullable
    public View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        AutoSize.autoConvertDensity(getActivity(), getSizeInDp(), isBaseOnWidth());
        if (this.a == null) {
            this.a = layoutInflater.inflate(d(), viewGroup, false);
        }
        this.b = true;
        return this.a;
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
        this.b = false;
    }

    @Override // androidx.fragment.app.Fragment
    public void onHiddenChanged(boolean z) {
        super.onHiddenChanged(z);
        if (z) {
            b(false);
        } else {
            b(true);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        if (this.c && getUserVisibleHint()) {
            b(false);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        AutoSize.autoConvertDensity(getActivity(), getSizeInDp(), isBaseOnWidth());
        super.onResume();
        if (!this.d && !isHidden() && !this.c && getUserVisibleHint()) {
            b(true);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(@NonNull View view, @Nullable Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (!isHidden() && getUserVisibleHint()) {
            b(true);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void setUserVisibleHint(boolean z) {
        super.setUserVisibleHint(z);
        if (!this.b) {
            return;
        }
        if (z && !this.c) {
            b(true);
        } else if (!z && this.c) {
            b(false);
        }
    }
}
