package androidx.base;

import java.io.Serializable;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public final class rt<T> extends ut<T> implements Serializable {
    private static final long serialVersionUID = 0;
    public final ut<? super T> ordering;

    public rt(ut<? super T> utVar) {
        this.ordering = utVar;
    }

    @Override // androidx.base.ut, java.util.Comparator
    public int compare(@NullableDecl T t, @NullableDecl T t2) {
        if (t == t2) {
            return 0;
        }
        if (t == null) {
            return -1;
        }
        if (t2 == null) {
            return 1;
        }
        return this.ordering.compare(t, t2);
    }

    public boolean equals(@NullableDecl Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof rt) {
            return this.ordering.equals(((rt) obj).ordering);
        }
        return false;
    }

    public int hashCode() {
        return this.ordering.hashCode() ^ 957692532;
    }

    @Override // androidx.base.ut
    public <S extends T> ut<S> nullsFirst() {
        return this;
    }

    @Override // androidx.base.ut
    public <S extends T> ut<S> nullsLast() {
        return this.ordering.nullsLast();
    }

    @Override // androidx.base.ut
    public <S extends T> ut<S> reverse() {
        return this.ordering.reverse().nullsLast();
    }

    public String toString() {
        return this.ordering + ".nullsFirst()";
    }
}
