package androidx.base;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;

public final class ry extends InputStream {
    public final InputStream a;
    public long b;
    public long c;
    public long d;
    public long e = -1;
    public boolean f = true;
    public int g = -1;

    public ry(InputStream inputStream) {
        this.a = !inputStream.markSupported() ? new BufferedInputStream(inputStream, 4096) : inputStream;
        this.g = 1024;
    }

    public void a(long j) {
        if (this.b > this.d || j < this.c) {
            throw new IOException("Cannot reset");
        }
        this.a.reset();
        c(this.c, j);
        this.b = j;
    }

    @Override // java.io.InputStream
    public int available() {
        return this.a.available();
    }

    public final void b(long j) {
        try {
            long j2 = this.c;
            long j3 = this.b;
            if (j2 >= j3 || j3 > this.d) {
                this.c = j3;
                this.a.mark((int) (j - j3));
            } else {
                this.a.reset();
                this.a.mark((int) (j - this.c));
                c(this.c, this.b);
            }
            this.d = j;
        } catch (IOException e2) {
            throw new IllegalStateException("Unable to mark: " + e2);
        }
    }

    public final void c(long j, long j2) {
        while (j < j2) {
            long skip = this.a.skip(j2 - j);
            if (skip == 0) {
                if (read() != -1) {
                    skip = 1;
                } else {
                    return;
                }
            }
            j += skip;
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() {
        this.a.close();
    }

    public void mark(int i) {
        long j = this.b + ((long) i);
        if (this.d < j) {
            b(j);
        }
        this.e = this.b;
    }

    public boolean markSupported() {
        return this.a.markSupported();
    }

    @Override // java.io.InputStream
    public int read() {
        if (!this.f) {
            long j = this.d;
            if (this.b + 1 > j) {
                b(j + ((long) this.g));
            }
        }
        int read = this.a.read();
        if (read != -1) {
            this.b++;
        }
        return read;
    }

    @Override // java.io.InputStream
    public void reset() {
        a(this.e);
    }

    @Override // java.io.InputStream
    public long skip(long j) {
        if (!this.f) {
            long j2 = this.b;
            if (j2 + j > this.d) {
                b(j2 + j + ((long) this.g));
            }
        }
        long skip = this.a.skip(j);
        this.b += skip;
        return skip;
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr) {
        if (!this.f) {
            long j = this.b;
            if (((long) bArr.length) + j > this.d) {
                b(j + ((long) bArr.length) + ((long) this.g));
            }
        }
        int read = this.a.read(bArr);
        if (read != -1) {
            this.b += (long) read;
        }
        return read;
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i, int i2) {
        if (!this.f) {
            long j = this.b;
            long j2 = (long) i2;
            if (j + j2 > this.d) {
                b(j + j2 + ((long) this.g));
            }
        }
        int read = this.a.read(bArr, i, i2);
        if (read != -1) {
            this.b += (long) read;
        }
        return read;
    }
}
