package androidx.base;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.PaintFlagsDrawFilter;
import android.graphics.RectF;
import android.graphics.Shader;

public class v4 implements gz {
    public int a;
    public int b;
    public int c = 9;
    public int d;
    public int e;
    public boolean f = true;
    public String g = "";

    public v4(String str) {
        this.g = str;
    }

    @Override // androidx.base.gz
    public Bitmap a(Bitmap bitmap) {
        float f2;
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        if (this.a == 0 || this.b == 0) {
            this.a = width;
            this.b = height;
        }
        Paint paint = new Paint(5);
        Shader.TileMode tileMode = Shader.TileMode.CLAMP;
        BitmapShader bitmapShader = new BitmapShader(bitmap, tileMode, tileMode);
        int i = this.a;
        if (!(i == width && this.b == height)) {
            float f3 = (float) width;
            float f4 = (float) height;
            int i2 = this.b;
            if ((f3 * 1.0f) / ((float) i) > (f4 * 1.0f) / ((float) i2)) {
                f2 = (((float) i2) * 1.0f) / f4;
                width = (int) (f3 * f2);
                height = i2;
            } else {
                float f5 = (((float) i) * 1.0f) / f3;
                height = (int) (f4 * f5);
                f2 = f5;
                width = i;
            }
            Matrix matrix = new Matrix();
            matrix.postScale(f2, f2);
            bitmapShader.setLocalMatrix(matrix);
        }
        Bitmap createBitmap = Bitmap.createBitmap(this.a, this.b, Bitmap.Config.ARGB_8888);
        createBitmap.setHasAlpha(true);
        Canvas canvas = new Canvas(createBitmap);
        paint.setShader(bitmapShader);
        canvas.setDrawFilter(new PaintFlagsDrawFilter(0, 3));
        float f6 = (float) width;
        float f7 = (float) height;
        switch (this.c) {
            case 0:
                float f8 = (float) this.a;
                if (f8 != f6 || ((float) this.b) != f7) {
                    if (f8 == f6) {
                        float f9 = (float) this.b;
                        if (f9 != f7) {
                            float f10 = (f7 - f9) / 2.0f;
                            if (!this.f) {
                                RectF rectF = new RectF(0.0f, 0.0f, (float) this.a, (float) this.b);
                                float f11 = (float) this.e;
                                canvas.drawRoundRect(rectF, f11, f11, paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f10);
                                RectF rectF2 = new RectF(0.0f, f10, (float) this.a, ((float) this.b) + f10);
                                float f12 = (float) this.e;
                                canvas.drawRoundRect(rectF2, f12, f12, paint);
                                break;
                            }
                        }
                    }
                    float f13 = (f6 - f8) / 2.0f;
                    canvas.translate(-f13, 0.0f);
                    RectF rectF3 = new RectF(f13, 0.0f, ((float) this.a) + f13, (float) this.b);
                    float f14 = (float) this.e;
                    canvas.drawRoundRect(rectF3, f14, f14, paint);
                    break;
                } else {
                    RectF rectF4 = new RectF(0.0f, 0.0f, (float) this.a, (float) this.b);
                    float f15 = (float) this.e;
                    canvas.drawRoundRect(rectF4, f15, f15, paint);
                    break;
                }
            case 1:
                float f16 = (float) this.a;
                if (f16 != f6 || ((float) this.b) != f7) {
                    if (f16 == f6) {
                        float f17 = (float) this.b;
                        if (f17 != f7) {
                            float f18 = (f7 - f17) / 2.0f;
                            if (!this.f) {
                                RectF rectF5 = new RectF(0.0f, 0.0f, (float) this.a, (float) this.d);
                                float f19 = (float) this.e;
                                canvas.drawRoundRect(rectF5, f19, f19, paint);
                                canvas.drawRect(new RectF(0.0f, (float) this.e, (float) this.a, (float) this.b), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f18);
                                RectF rectF6 = new RectF(0.0f, f18, (float) this.a, ((float) this.d) + f18);
                                float f20 = (float) this.e;
                                canvas.drawRoundRect(rectF6, f20, f20, paint);
                                canvas.drawRect(new RectF(0.0f, ((float) this.e) + f18, (float) this.a, ((float) this.b) + f18), paint);
                                break;
                            }
                        }
                    }
                    float f21 = (f6 - f16) / 2.0f;
                    canvas.translate(-f21, 0.0f);
                    RectF rectF7 = new RectF(f21, 0.0f, ((float) this.a) + f21, (float) this.d);
                    float f22 = (float) this.e;
                    canvas.drawRoundRect(rectF7, f22, f22, paint);
                    canvas.drawRect(new RectF(f21, (float) this.e, ((float) this.a) + f21, (float) this.b), paint);
                    break;
                } else {
                    RectF rectF8 = new RectF(0.0f, 0.0f, (float) this.a, (float) this.d);
                    float f23 = (float) this.e;
                    canvas.drawRoundRect(rectF8, f23, f23, paint);
                    canvas.drawRect(new RectF(0.0f, (float) this.e, (float) this.a, (float) this.b), paint);
                    break;
                }
            case 2:
                float f24 = (float) this.a;
                if (f24 != f6 || ((float) this.b) != f7) {
                    if (f24 == f6) {
                        float f25 = (float) this.b;
                        if (f25 != f7) {
                            float f26 = (f7 - f25) / 2.0f;
                            if (!this.f) {
                                int i3 = this.a;
                                RectF rectF9 = new RectF((float) (i3 - this.d), 0.0f, (float) i3, (float) this.b);
                                float f27 = (float) this.e;
                                canvas.drawRoundRect(rectF9, f27, f27, paint);
                                canvas.drawRect(new RectF(0.0f, 0.0f, (float) (this.a - this.e), (float) this.b), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f26);
                                int i4 = this.a;
                                RectF rectF10 = new RectF((float) (i4 - this.d), f26, (float) i4, ((float) this.b) + f26);
                                float f28 = (float) this.e;
                                canvas.drawRoundRect(rectF10, f28, f28, paint);
                                canvas.drawRect(new RectF(0.0f, f26, (float) (this.a - this.e), ((float) this.b) + f26), paint);
                                break;
                            }
                        }
                    }
                    float f29 = (f6 - f24) / 2.0f;
                    canvas.translate(-f29, 0.0f);
                    int i5 = this.a;
                    RectF rectF11 = new RectF(((float) (i5 - this.d)) + f29, 0.0f, ((float) i5) + f29, (float) this.b);
                    float f30 = (float) this.e;
                    canvas.drawRoundRect(rectF11, f30, f30, paint);
                    canvas.drawRect(new RectF(f29, 0.0f, ((float) (this.a - this.e)) + f29, (float) this.b), paint);
                    break;
                } else {
                    int i6 = this.a;
                    RectF rectF12 = new RectF((float) (i6 - this.d), 0.0f, (float) i6, (float) this.b);
                    float f31 = (float) this.e;
                    canvas.drawRoundRect(rectF12, f31, f31, paint);
                    canvas.drawRect(new RectF(0.0f, 0.0f, (float) (this.a - this.e), (float) this.b), paint);
                    break;
                }
                break;
            case 3:
                float f32 = (float) this.a;
                if (f32 != f6 || ((float) this.b) != f7) {
                    if (f32 == f6) {
                        float f33 = (float) this.b;
                        if (f33 != f7) {
                            float f34 = (f7 - f33) / 2.0f;
                            if (!this.f) {
                                int i7 = this.b;
                                RectF rectF13 = new RectF(0.0f, (float) (i7 - this.d), (float) this.a, (float) i7);
                                float f35 = (float) this.e;
                                canvas.drawRoundRect(rectF13, f35, f35, paint);
                                canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) (this.b - this.e)), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f34);
                                int i8 = this.b;
                                RectF rectF14 = new RectF(0.0f, ((float) (i8 - this.d)) + f34, (float) this.a, ((float) i8) + f34);
                                float f36 = (float) this.e;
                                canvas.drawRoundRect(rectF14, f36, f36, paint);
                                canvas.drawRect(new RectF(0.0f, f34, (float) this.a, ((float) (this.b - this.e)) + f34), paint);
                                break;
                            }
                        }
                    }
                    float f37 = (f6 - f32) / 2.0f;
                    canvas.translate(-f37, 0.0f);
                    int i9 = this.b;
                    RectF rectF15 = new RectF(f37, (float) (i9 - this.d), ((float) this.a) + f37, (float) i9);
                    float f38 = (float) this.e;
                    canvas.drawRoundRect(rectF15, f38, f38, paint);
                    canvas.drawRect(new RectF(f37, 0.0f, ((float) this.a) + f37, (float) (this.b - this.e)), paint);
                    break;
                } else {
                    int i10 = this.b;
                    RectF rectF16 = new RectF(0.0f, (float) (i10 - this.d), (float) this.a, (float) i10);
                    float f39 = (float) this.e;
                    canvas.drawRoundRect(rectF16, f39, f39, paint);
                    canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) (this.b - this.e)), paint);
                    break;
                }
            case 4:
                float f40 = (float) this.a;
                if (f40 != f6 || ((float) this.b) != f7) {
                    if (f40 == f6) {
                        float f41 = (float) this.b;
                        if (f41 != f7) {
                            float f42 = (f7 - f41) / 2.0f;
                            if (!this.f) {
                                RectF rectF17 = new RectF(0.0f, 0.0f, (float) this.d, (float) this.b);
                                float f43 = (float) this.e;
                                canvas.drawRoundRect(rectF17, f43, f43, paint);
                                canvas.drawRect(new RectF((float) this.e, 0.0f, (float) this.a, (float) this.b), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f42);
                                RectF rectF18 = new RectF(0.0f, f42, (float) this.d, ((float) this.b) + f42);
                                float f44 = (float) this.e;
                                canvas.drawRoundRect(rectF18, f44, f44, paint);
                                canvas.drawRect(new RectF((float) this.e, f42, (float) this.a, ((float) this.b) + f42), paint);
                                break;
                            }
                        }
                    }
                    float f45 = (f6 - f40) / 2.0f;
                    canvas.translate(-f45, 0.0f);
                    RectF rectF19 = new RectF(f45, 0.0f, ((float) this.d) + f45, (float) this.b);
                    float f46 = (float) this.e;
                    canvas.drawRoundRect(rectF19, f46, f46, paint);
                    canvas.drawRect(new RectF(((float) this.e) + f45, 0.0f, ((float) this.a) + f45, (float) this.b), paint);
                    break;
                } else {
                    RectF rectF20 = new RectF(0.0f, 0.0f, (float) this.d, (float) this.b);
                    float f47 = (float) this.e;
                    canvas.drawRoundRect(rectF20, f47, f47, paint);
                    canvas.drawRect(new RectF((float) this.e, 0.0f, (float) this.a, (float) this.b), paint);
                    break;
                }
            case 5:
                float f48 = (float) this.a;
                if (f48 != f6 || ((float) this.b) != f7) {
                    if (f48 == f6) {
                        float f49 = (float) this.b;
                        if (f49 != f7) {
                            float f50 = (f7 - f49) / 2.0f;
                            if (!this.f) {
                                float f51 = (float) this.d;
                                RectF rectF21 = new RectF(0.0f, 0.0f, f51, f51);
                                float f52 = (float) this.e;
                                canvas.drawRoundRect(rectF21, f52, f52, paint);
                                float f53 = (float) this.e;
                                canvas.drawRect(new RectF(f53, 0.0f, (float) this.a, f53), paint);
                                canvas.drawRect(new RectF(0.0f, (float) this.e, (float) this.a, (float) this.b), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f50);
                                float f54 = (float) this.d;
                                RectF rectF22 = new RectF(0.0f, f50, f54, f54 + f50);
                                float f55 = (float) this.e;
                                canvas.drawRoundRect(rectF22, f55, f55, paint);
                                float f56 = (float) this.e;
                                canvas.drawRect(new RectF(f56, f50, (float) this.a, f56 + f50), paint);
                                canvas.drawRect(new RectF(0.0f, ((float) this.e) + f50, (float) this.a, ((float) this.b) + f50), paint);
                                break;
                            }
                        }
                    }
                    float f57 = (f6 - f48) / 2.0f;
                    canvas.translate(-f57, 0.0f);
                    float f58 = (float) this.d;
                    RectF rectF23 = new RectF(f57, 0.0f, f58 + f57, f58);
                    float f59 = (float) this.e;
                    canvas.drawRoundRect(rectF23, f59, f59, paint);
                    float f60 = (float) this.e;
                    canvas.drawRect(new RectF(f60 + f57, 0.0f, ((float) this.a) + f57, f60), paint);
                    canvas.drawRect(new RectF(f57, (float) this.e, ((float) this.a) + f57, (float) this.b), paint);
                    break;
                } else {
                    float f61 = (float) this.d;
                    RectF rectF24 = new RectF(0.0f, 0.0f, f61, f61);
                    float f62 = (float) this.e;
                    canvas.drawRoundRect(rectF24, f62, f62, paint);
                    float f63 = (float) this.e;
                    canvas.drawRect(new RectF(f63, 0.0f, (float) this.a, f63), paint);
                    canvas.drawRect(new RectF(0.0f, (float) this.e, (float) this.a, (float) this.b), paint);
                    break;
                }
                break;
            case 6:
                float f64 = (float) this.a;
                if (f64 != f6 || ((float) this.b) != f7) {
                    if (f64 == f6) {
                        float f65 = (float) this.b;
                        if (f65 != f7) {
                            float f66 = (f7 - f65) / 2.0f;
                            if (!this.f) {
                                int i11 = this.b;
                                int i12 = this.d;
                                RectF rectF25 = new RectF(0.0f, (float) (i11 - i12), (float) i12, (float) i11);
                                float f67 = (float) this.e;
                                canvas.drawRoundRect(rectF25, f67, f67, paint);
                                canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) (this.b - this.e)), paint);
                                int i13 = this.e;
                                int i14 = this.b;
                                canvas.drawRect(new RectF((float) i13, (float) (i14 - i13), (float) this.a, (float) i14), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f66);
                                int i15 = this.b;
                                int i16 = this.d;
                                RectF rectF26 = new RectF(0.0f, ((float) (i15 - i16)) + f66, (float) i16, ((float) i15) + f66);
                                float f68 = (float) this.e;
                                canvas.drawRoundRect(rectF26, f68, f68, paint);
                                canvas.drawRect(new RectF(0.0f, f66, (float) this.a, ((float) (this.b - this.e)) + f66), paint);
                                int i17 = this.e;
                                int i18 = this.b;
                                canvas.drawRect(new RectF((float) i17, ((float) (i18 - i17)) + f66, (float) this.a, ((float) i18) + f66), paint);
                                break;
                            }
                        }
                    }
                    float f69 = (f6 - f64) / 2.0f;
                    canvas.translate(-f69, 0.0f);
                    int i19 = this.b;
                    int i20 = this.d;
                    RectF rectF27 = new RectF(f69, (float) (i19 - i20), ((float) i20) + f69, (float) i19);
                    float f70 = (float) this.e;
                    canvas.drawRoundRect(rectF27, f70, f70, paint);
                    canvas.drawRect(new RectF(f69, 0.0f, ((float) this.a) + f69, (float) (this.b - this.e)), paint);
                    int i21 = this.e;
                    int i22 = this.b;
                    canvas.drawRect(new RectF(((float) i21) + f69, (float) (i22 - i21), ((float) this.a) + f69, (float) i22), paint);
                    break;
                } else {
                    int i23 = this.b;
                    int i24 = this.d;
                    RectF rectF28 = new RectF(0.0f, (float) (i23 - i24), (float) i24, (float) i23);
                    float f71 = (float) this.e;
                    canvas.drawRoundRect(rectF28, f71, f71, paint);
                    canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) (this.b - this.e)), paint);
                    int i25 = this.e;
                    int i26 = this.b;
                    canvas.drawRect(new RectF((float) i25, (float) (i26 - i25), (float) this.a, (float) i26), paint);
                    break;
                }
                break;
            case 7:
                float f72 = (float) this.a;
                if (f72 != f6 || ((float) this.b) != f7) {
                    if (f72 == f6) {
                        float f73 = (float) this.b;
                        if (f73 != f7) {
                            float f74 = (f7 - f73) / 2.0f;
                            if (!this.f) {
                                int i27 = this.a;
                                int i28 = this.d;
                                RectF rectF29 = new RectF((float) (i27 - i28), 0.0f, (float) i27, (float) i28);
                                float f75 = (float) this.e;
                                canvas.drawRoundRect(rectF29, f75, f75, paint);
                                int i29 = this.a;
                                int i30 = this.e;
                                canvas.drawRect(new RectF(0.0f, 0.0f, (float) (i29 - i30), (float) i30), paint);
                                canvas.drawRect(new RectF(0.0f, (float) this.e, (float) this.a, (float) this.b), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f74);
                                int i31 = this.a;
                                int i32 = this.d;
                                RectF rectF30 = new RectF((float) (i31 - i32), f74, (float) i31, ((float) i32) + f74);
                                float f76 = (float) this.e;
                                canvas.drawRoundRect(rectF30, f76, f76, paint);
                                int i33 = this.a;
                                int i34 = this.e;
                                canvas.drawRect(new RectF(0.0f, f74, (float) (i33 - i34), ((float) i34) + f74), paint);
                                canvas.drawRect(new RectF(0.0f, ((float) this.e) + f74, (float) this.a, ((float) this.b) + f74), paint);
                                break;
                            }
                        }
                    }
                    float f77 = (f6 - f72) / 2.0f;
                    canvas.translate(-f77, 0.0f);
                    int i35 = this.a;
                    int i36 = this.d;
                    RectF rectF31 = new RectF(((float) (i35 - i36)) + f77, 0.0f, ((float) i35) + f77, (float) i36);
                    float f78 = (float) this.e;
                    canvas.drawRoundRect(rectF31, f78, f78, paint);
                    int i37 = this.a;
                    int i38 = this.e;
                    canvas.drawRect(new RectF(f77, 0.0f, ((float) (i37 - i38)) + f77, (float) i38), paint);
                    canvas.drawRect(new RectF(f77, (float) this.e, ((float) this.a) + f77, (float) this.b), paint);
                    break;
                } else {
                    int i39 = this.a;
                    int i40 = this.d;
                    RectF rectF32 = new RectF((float) (i39 - i40), 0.0f, (float) i39, (float) i40);
                    float f79 = (float) this.e;
                    canvas.drawRoundRect(rectF32, f79, f79, paint);
                    int i41 = this.a;
                    int i42 = this.e;
                    canvas.drawRect(new RectF(0.0f, 0.0f, (float) (i41 - i42), (float) i42), paint);
                    canvas.drawRect(new RectF(0.0f, (float) this.e, (float) this.a, (float) this.b), paint);
                    break;
                }
                break;
            case 8:
                float f80 = (float) this.a;
                if (f80 != f6 || ((float) this.b) != f7) {
                    if (f80 == f6) {
                        float f81 = (float) this.b;
                        if (f81 != f7) {
                            float f82 = (f7 - f81) / 2.0f;
                            if (!this.f) {
                                int i43 = this.a;
                                int i44 = this.d;
                                int i45 = this.b;
                                RectF rectF33 = new RectF((float) (i43 - i44), (float) (i45 - i44), (float) i43, (float) i45);
                                float f83 = (float) this.e;
                                canvas.drawRoundRect(rectF33, f83, f83, paint);
                                canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) (this.b - this.e)), paint);
                                int i46 = this.b;
                                int i47 = this.e;
                                canvas.drawRect(new RectF(0.0f, (float) (i46 - i47), (float) (this.a - i47), (float) i46), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f82);
                                int i48 = this.a;
                                int i49 = this.d;
                                int i50 = this.b;
                                RectF rectF34 = new RectF((float) (i48 - i49), ((float) (i50 - i49)) + f82, (float) i48, ((float) i50) + f82);
                                float f84 = (float) this.e;
                                canvas.drawRoundRect(rectF34, f84, f84, paint);
                                canvas.drawRect(new RectF(0.0f, f82, (float) this.a, ((float) (this.b - this.e)) + f82), paint);
                                int i51 = this.b;
                                int i52 = this.e;
                                canvas.drawRect(new RectF(0.0f, ((float) (i51 - i52)) + f82, (float) (this.a - i52), ((float) i51) + f82), paint);
                                break;
                            }
                        }
                    }
                    float f85 = (f6 - f80) / 2.0f;
                    canvas.translate(-f85, 0.0f);
                    int i53 = this.a;
                    int i54 = this.d;
                    int i55 = this.b;
                    RectF rectF35 = new RectF(((float) (i53 - i54)) + f85, (float) (i55 - i54), ((float) i53) + f85, (float) i55);
                    float f86 = (float) this.e;
                    canvas.drawRoundRect(rectF35, f86, f86, paint);
                    canvas.drawRect(new RectF(f85, 0.0f, ((float) this.a) + f85, (float) (this.b - this.e)), paint);
                    int i56 = this.b;
                    int i57 = this.e;
                    canvas.drawRect(new RectF(f85, (float) (i56 - i57), ((float) (this.a - i57)) + f85, (float) i56), paint);
                    break;
                } else {
                    int i58 = this.a;
                    int i59 = this.d;
                    int i60 = this.b;
                    RectF rectF36 = new RectF((float) (i58 - i59), (float) (i60 - i59), (float) i58, (float) i60);
                    float f87 = (float) this.e;
                    canvas.drawRoundRect(rectF36, f87, f87, paint);
                    canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) (this.b - this.e)), paint);
                    int i61 = this.b;
                    int i62 = this.e;
                    canvas.drawRect(new RectF(0.0f, (float) (i61 - i62), (float) (this.a - i62), (float) i61), paint);
                    break;
                }
                break;
            case 9:
                float f88 = (float) this.a;
                if (f88 != f6 || ((float) this.b) != f7) {
                    if (f88 == f6) {
                        float f89 = (float) this.b;
                        if (f89 != f7) {
                            float f90 = (f7 - f89) / 2.0f;
                            if (!this.f) {
                                canvas.drawRect(new RectF(0.0f, 0.0f, (float) this.a, (float) this.b), paint);
                                break;
                            } else {
                                canvas.translate(0.0f, -f90);
                                canvas.drawRect(new RectF(0.0f, f90, (float) this.a, ((float) this.b) + f90), paint);
                                break;
                            }
                        }
                    }
                    float f91 = (f6 - f88) / 2.0f;
                    canvas.translate(-f91, 0.0f);
                    canvas.drawRect(new RectF(f91, 0.0f, ((float) this.a) + f91, (float) this.b), paint);
                    break;
                } else {
                    canvas.drawRect(new RectF(0.0f, 0.0f, f6, f7), paint);
                    break;
                }
                break;
        }
        bitmap.recycle();
        return createBitmap;
    }

    @Override // androidx.base.gz
    public String b() {
        return this.g;
    }

    public v4 c(int i, int i2) {
        this.e = i;
        this.d = i * 2;
        this.c = i2;
        return this;
    }
}
