package androidx.base;

import android.content.Context;
import android.net.Uri;
import android.text.TextUtils;
import com.orhanobut.hawk.Hawk;
import java.io.FileNotFoundException;
import java.util.LinkedHashMap;
import java.util.Map;
import tv.danmaku.ijk.media.player.IMediaPlayer;
import tv.danmaku.ijk.media.player.misc.IjkTrackInfo;
import xyz.doikki.videoplayer.player.VideoView;

public class w4 extends b60 {
    public s3 e = null;

    public w4(Context context, s3 s3Var) {
        super(context);
        this.e = s3Var;
    }

    @Override // androidx.base.d60
    public void n(String str, Map<String, String> map) {
        c60 c60;
        if (str != null) {
            try {
                if (!TextUtils.isEmpty(str) && str.startsWith("rtsp")) {
                    this.b.setOption(1, "infbuf", 1);
                    this.b.setOption(1, "rtsp_transport", "tcp");
                    this.b.setOption(1, "rtsp_flags", "prefer_tcp");
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        try {
            Uri parse = Uri.parse(str);
            if ("android.resource".equals(parse.getScheme())) {
                try {
                    c60 = new c60(this.d.getContentResolver().openAssetFileDescriptor(parse, "r"));
                } catch (FileNotFoundException e3) {
                    e3.printStackTrace();
                    c60 = null;
                }
                this.b.setDataSource(c60);
                return;
            }
            if (map != null) {
                String str2 = map.get(bx.HEAD_KEY_USER_AGENT);
                if (!TextUtils.isEmpty(str2)) {
                    this.b.setOption(1, "user_agent", str2);
                    map.remove(bx.HEAD_KEY_USER_AGENT);
                }
            }
            this.b.setDataSource(this.d, parse, map);
        } catch (Exception unused) {
            ((VideoView) this.a).h();
        }
    }

    public void setOnTimedTextListener(IMediaPlayer.OnTimedTextListener onTimedTextListener) {
        this.b.setOnTimedTextListener(onTimedTextListener);
    }

    @Override // androidx.base.b60
    public void u() {
        s3 s3Var = this.e;
        if (s3Var == null) {
            l3 d = l3.d();
            d.getClass();
            s3Var = d.g((String) Hawk.get("ijk_codec", ""));
        }
        LinkedHashMap<String, String> linkedHashMap = s3Var.b;
        if (linkedHashMap != null) {
            for (String str : linkedHashMap.keySet()) {
                String str2 = linkedHashMap.get(str);
                String[] split = str.split("\\|");
                int parseInt = Integer.parseInt(split[0].trim());
                String trim = split[1].trim();
                try {
                    this.b.setOption(parseInt, trim, Long.parseLong(str2));
                } catch (Exception unused) {
                    this.b.setOption(parseInt, trim, str2);
                }
            }
        }
        this.b.setOption(4, "subtitle", 1);
    }

    public x4 v() {
        IjkTrackInfo[] trackInfo = this.b.getTrackInfo();
        if (trackInfo == null) {
            return null;
        }
        x4 x4Var = new x4();
        int selectedTrack = this.b.getSelectedTrack(3);
        int selectedTrack2 = this.b.getSelectedTrack(2);
        int i = 0;
        for (IjkTrackInfo ijkTrackInfo : trackInfo) {
            boolean z = true;
            if (ijkTrackInfo.getTrackType() == 2) {
                y4 y4Var = new y4();
                y4Var.a = ijkTrackInfo.getInfoInline();
                y4Var.b = ijkTrackInfo.getLanguage();
                y4Var.c = i;
                y4Var.d = i == selectedTrack2;
                x4Var.a.add(y4Var);
            }
            if (ijkTrackInfo.getTrackType() == 3) {
                y4 y4Var2 = new y4();
                y4Var2.a = ijkTrackInfo.getInfoInline();
                y4Var2.b = ijkTrackInfo.getLanguage();
                y4Var2.c = i;
                if (i != selectedTrack) {
                    z = false;
                }
                y4Var2.d = z;
                x4Var.b.add(y4Var2);
            }
            i++;
        }
        return x4Var;
    }
}
