package androidx.base;

import androidx.base.kt;
import androidx.base.tt;
import com.google.errorprone.annotations.concurrent.LazyInit;
import java.io.Serializable;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public class xt<E> extends js<E> {
    public static final xt<Object> EMPTY = new xt<>(new tt());
    public final transient tt<E> contents;
    public final transient int d;
    @LazyInit
    public transient ls<E> e;

    public final class b extends ps<E> {
        public b(a aVar) {
        }

        @Override // androidx.base.zr
        public boolean contains(@NullableDecl Object obj) {
            return xt.this.contains(obj);
        }

        @Override // androidx.base.ps
        public E get(int i) {
            tt<E> ttVar = xt.this.contents;
            tq.g(i, ttVar.c);
            return (E) ttVar.a[i];
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return true;
        }

        public int size() {
            return xt.this.contents.c;
        }
    }

    public static class c implements Serializable {
        private static final long serialVersionUID = 0;
        public final int[] counts;
        public final Object[] elements;

        public c(kt<?> ktVar) {
            int size = ktVar.entrySet().size();
            this.elements = new Object[size];
            this.counts = new int[size];
            int i = 0;
            for (kt.a<?> aVar : ktVar.entrySet()) {
                this.elements[i] = aVar.getElement();
                this.counts[i] = aVar.getCount();
                i++;
            }
        }

        public Object readResolve() {
            tt ttVar = new tt(this.elements.length);
            int i = 0;
            boolean z = false;
            while (true) {
                Object[] objArr = this.elements;
                if (i >= objArr.length) {
                    break;
                }
                Object obj = objArr[i];
                int i2 = this.counts[i];
                if (i2 != 0) {
                    if (z) {
                        ttVar = new tt(ttVar);
                    }
                    obj.getClass();
                    ttVar.k(obj, ttVar.c(obj) + i2);
                    z = false;
                }
                i++;
            }
            if (ttVar.c == 0) {
                return js.of();
            }
            return new xt(ttVar);
        }
    }

    public xt(tt<E> ttVar) {
        this.contents = ttVar;
        long j = 0;
        for (int i = 0; i < ttVar.c; i++) {
            j += (long) ttVar.f(i);
        }
        this.d = b.g0(j);
    }

    @Override // androidx.base.js, androidx.base.kt
    public int count(@NullableDecl Object obj) {
        return this.contents.c(obj);
    }

    @Override // androidx.base.js
    public kt.a<E> getEntry(int i) {
        tt<E> ttVar = this.contents;
        tq.g(i, ttVar.c);
        return new tt.a(i);
    }

    @Override // androidx.base.zr
    public boolean isPartialView() {
        return false;
    }

    @Override // androidx.base.kt
    public int size() {
        return this.d;
    }

    @Override // androidx.base.zr, androidx.base.js
    public Object writeReplace() {
        return new c(this);
    }

    @Override // androidx.base.js, androidx.base.js, androidx.base.kt
    public ls<E> elementSet() {
        ls<E> lsVar = this.e;
        if (lsVar != null) {
            return lsVar;
        }
        b bVar = new b(null);
        this.e = bVar;
        return bVar;
    }
}
