package androidx.base;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import android.view.ViewTreeObserver;
import android.widget.ImageView;
import androidx.annotation.Nullable;
import androidx.base.dy;
import androidx.core.internal.view.SupportMenu;
import com.squareup.picasso.PicassoProvider;
import java.lang.ref.ReferenceQueue;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.WeakHashMap;

public class xy {
    public static final Handler a = new a(Looper.getMainLooper());
    @SuppressLint({"StaticFieldLeak"})
    public static volatile xy b = null;
    public final c c = null;
    public final f d;
    public final b e;
    public final List<cz> f;
    public final Context g;
    public final ly h;
    public final gy i;
    public final ez j;
    public final Map<Object, dy> k;
    public final Map<ImageView, ky> l;
    public final ReferenceQueue<Object> m;
    public final Bitmap.Config n;
    public boolean o;
    public volatile boolean p;

    public static class a extends Handler {
        public a(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message message) {
            int i = message.what;
            if (i != 3) {
                if (i == 8) {
                    List list = (List) message.obj;
                    int size = list.size();
                    for (int i2 = 0; i2 < size; i2++) {
                        fy fyVar = (fy) list.get(i2);
                        xy xyVar = fyVar.f;
                        xyVar.getClass();
                        dy dyVar = fyVar.o;
                        List<dy> list2 = fyVar.p;
                        boolean z = true;
                        boolean z2 = list2 != null && !list2.isEmpty();
                        if (dyVar == null && !z2) {
                            z = false;
                        }
                        if (z) {
                            Uri uri = fyVar.k.d;
                            Exception exc = fyVar.t;
                            Bitmap bitmap = fyVar.q;
                            d dVar = fyVar.s;
                            if (dyVar != null) {
                                xyVar.b(bitmap, dVar, dyVar, exc);
                            }
                            if (z2) {
                                int size2 = list2.size();
                                for (int i3 = 0; i3 < size2; i3++) {
                                    xyVar.b(bitmap, dVar, list2.get(i3), exc);
                                }
                            }
                            c cVar = xyVar.c;
                            if (!(cVar == null || exc == null)) {
                                cVar.a(xyVar, uri, exc);
                            }
                        }
                    }
                } else if (i == 13) {
                    List list3 = (List) message.obj;
                    int size3 = list3.size();
                    for (int i4 = 0; i4 < size3; i4++) {
                        dy dyVar2 = (dy) list3.get(i4);
                        xy xyVar2 = dyVar2.a;
                        xyVar2.getClass();
                        Bitmap f = ty.shouldReadFromMemoryCache(dyVar2.e) ? xyVar2.f(dyVar2.i) : null;
                        if (f != null) {
                            d dVar2 = d.MEMORY;
                            xyVar2.b(f, dVar2, dyVar2, null);
                            if (xyVar2.p) {
                                String b = dyVar2.b.b();
                                iz.e("Main", "completed", b, "from " + dVar2);
                            }
                        } else {
                            xyVar2.c(dyVar2);
                            if (xyVar2.p) {
                                iz.e("Main", "resumed", dyVar2.b.b(), "");
                            }
                        }
                    }
                } else {
                    StringBuilder j = b2.j("Unknown handler message received: ");
                    j.append(message.what);
                    throw new AssertionError(j.toString());
                }
            } else {
                dy dyVar3 = (dy) message.obj;
                if (dyVar3.a.p) {
                    iz.e("Main", "canceled", dyVar3.b.b(), "target got garbage collected");
                }
                dyVar3.a.a(dyVar3.d());
            }
        }
    }

    public static class b extends Thread {
        public final ReferenceQueue<Object> a;
        public final Handler b;

        public class a implements Runnable {
            public final /* synthetic */ Exception a;

            public a(b bVar, Exception exc) {
                this.a = exc;
            }

            public void run() {
                throw new RuntimeException(this.a);
            }
        }

        public b(ReferenceQueue<Object> referenceQueue, Handler handler) {
            this.a = referenceQueue;
            this.b = handler;
            setDaemon(true);
            setName("Picasso-refQueue");
        }

        public void run() {
            Process.setThreadPriority(10);
            while (true) {
                try {
                    dy.a aVar = (dy.a) this.a.remove(1000);
                    Message obtainMessage = this.b.obtainMessage();
                    if (aVar != null) {
                        obtainMessage.what = 3;
                        obtainMessage.obj = aVar.a;
                        this.b.sendMessage(obtainMessage);
                    } else {
                        obtainMessage.recycle();
                    }
                } catch (InterruptedException unused) {
                    return;
                } catch (Exception e) {
                    this.b.post(new a(this, e));
                    return;
                }
            }
        }
    }

    public interface c {
        void a(xy xyVar, Uri uri, Exception exc);
    }

    public enum d {
        MEMORY(-16711936),
        DISK(-16776961),
        NETWORK(SupportMenu.CATEGORY_MASK);
        
        public final int debugColor;

        /* access modifiers changed from: public */
        d(int i) {
            this.debugColor = i;
        }
    }

    public enum e {
        LOW,
        NORMAL,
        HIGH
    }

    public interface f {
        public static final f a = new a();

        public static class a implements f {
        }
    }

    public xy(Context context, ly lyVar, gy gyVar, c cVar, f fVar, List<cz> list, ez ezVar, Bitmap.Config config, boolean z, boolean z2) {
        this.g = context;
        this.h = lyVar;
        this.i = gyVar;
        this.d = fVar;
        this.n = null;
        ArrayList arrayList = new ArrayList(7);
        arrayList.add(new dz(context));
        arrayList.add(new iy(context));
        arrayList.add(new sy(context));
        arrayList.add(new jy(context));
        arrayList.add(new ey(context));
        arrayList.add(new ny(context));
        arrayList.add(new vy(lyVar.d, ezVar));
        this.f = Collections.unmodifiableList(arrayList);
        this.j = ezVar;
        this.k = new WeakHashMap();
        this.l = new WeakHashMap();
        this.o = z;
        this.p = z2;
        ReferenceQueue<Object> referenceQueue = new ReferenceQueue<>();
        this.m = referenceQueue;
        b bVar = new b(referenceQueue, a);
        this.e = bVar;
        bVar.start();
    }

    public static xy d() {
        if (b == null) {
            synchronized (xy.class) {
                if (b == null) {
                    Context context = PicassoProvider.a;
                    if (context != null) {
                        Context applicationContext = context.getApplicationContext();
                        wy wyVar = new wy(applicationContext);
                        qy qyVar = new qy(applicationContext);
                        zy zyVar = new zy();
                        f fVar = f.a;
                        ez ezVar = new ez(qyVar);
                        b = new xy(applicationContext, new ly(applicationContext, zyVar, a, wyVar, qyVar, ezVar), qyVar, null, fVar, null, ezVar, null, false, false);
                    } else {
                        throw new IllegalStateException("context == null");
                    }
                }
            }
        }
        return b;
    }

    public void a(Object obj) {
        ky remove;
        iz.a();
        dy remove2 = this.k.remove(obj);
        if (remove2 != null) {
            remove2.a();
            Handler handler = this.h.i;
            handler.sendMessage(handler.obtainMessage(2, remove2));
        }
        if ((obj instanceof ImageView) && (remove = this.l.remove((ImageView) obj)) != null) {
            remove.a.getClass();
            remove.c = null;
            ImageView imageView = remove.b.get();
            if (imageView != null) {
                remove.b.clear();
                imageView.removeOnAttachStateChangeListener(remove);
                ViewTreeObserver viewTreeObserver = imageView.getViewTreeObserver();
                if (viewTreeObserver.isAlive()) {
                    viewTreeObserver.removeOnPreDrawListener(remove);
                }
            }
        }
    }

    public final void b(Bitmap bitmap, d dVar, dy dyVar, Exception exc) {
        if (!dyVar.l) {
            if (!dyVar.k) {
                this.k.remove(dyVar.d());
            }
            if (bitmap == null) {
                dyVar.c(exc);
                if (this.p) {
                    iz.e("Main", "errored", dyVar.b.b(), exc.getMessage());
                }
            } else if (dVar != null) {
                dyVar.b(bitmap, dVar);
                if (this.p) {
                    String b2 = dyVar.b.b();
                    iz.e("Main", "completed", b2, "from " + dVar);
                }
            } else {
                throw new AssertionError("LoadedFrom cannot be null.");
            }
        }
    }

    public void c(dy dyVar) {
        Object d2 = dyVar.d();
        if (!(d2 == null || this.k.get(d2) == dyVar)) {
            a(d2);
            this.k.put(d2, dyVar);
        }
        Handler handler = this.h.i;
        handler.sendMessage(handler.obtainMessage(1, dyVar));
    }

    public bz e(@Nullable String str) {
        if (str == null) {
            return new bz(this, null, 0);
        }
        if (str.trim().length() != 0) {
            return new bz(this, Uri.parse(str), 0);
        }
        throw new IllegalArgumentException("Path must not be empty.");
    }

    public Bitmap f(String str) {
        Bitmap bitmap = this.i.get(str);
        if (bitmap != null) {
            this.j.c.sendEmptyMessage(0);
        } else {
            this.j.c.sendEmptyMessage(1);
        }
        return bitmap;
    }
}
