package androidx.base;

import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public final class yt<E> extends ls<E> {
    public static final yt<Object> EMPTY = new yt<>(new Object[0], 0, null, 0, 0);
    public final transient int c;
    public final transient int d;
    public final transient int e;
    public final transient Object[] elements;
    public final transient Object[] table;

    public yt(Object[] objArr, int i, Object[] objArr2, int i2, int i3) {
        this.elements = objArr;
        this.table = objArr2;
        this.c = i2;
        this.d = i;
        this.e = i3;
    }

    @Override // androidx.base.zr
    public boolean contains(@NullableDecl Object obj) {
        Object[] objArr = this.table;
        if (obj == null || objArr == null) {
            return false;
        }
        int H = tq.H(obj);
        while (true) {
            int i = H & this.c;
            Object obj2 = objArr[i];
            if (obj2 == null) {
                return false;
            }
            if (obj2.equals(obj)) {
                return true;
            }
            H = i + 1;
        }
    }

    @Override // androidx.base.zr
    public int copyIntoArray(Object[] objArr, int i) {
        System.arraycopy(this.elements, 0, objArr, i, this.e);
        return i + this.e;
    }

    @Override // androidx.base.ls
    public bs<E> createAsList() {
        return bs.asImmutableList(this.elements, this.e);
    }

    @Override // androidx.base.ls
    public int hashCode() {
        return this.d;
    }

    @Override // androidx.base.zr
    public Object[] internalArray() {
        return this.elements;
    }

    @Override // androidx.base.zr
    public int internalArrayEnd() {
        return this.e;
    }

    @Override // androidx.base.zr
    public int internalArrayStart() {
        return 0;
    }

    @Override // androidx.base.ls
    public boolean isHashCodeFast() {
        return true;
    }

    @Override // androidx.base.zr
    public boolean isPartialView() {
        return false;
    }

    public int size() {
        return this.e;
    }

    @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.util.Set, androidx.base.ls, androidx.base.ls, java.lang.Iterable
    public mu<E> iterator() {
        return asList().iterator();
    }
}
