package androidx.base;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamConverter;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import com.thoughtworks.xstream.converters.extended.ToAttributedValueConverter;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;

@XStreamAlias("class")
public class z3 implements Serializable {
    @XStreamImplicit(itemFieldName = "ty")
    public List<a> sortList;

    @XStreamAlias("ty")
    @XStreamConverter(strings = {"name"}, value = ToAttributedValueConverter.class)
    public static class a implements Serializable, Comparable<a> {
        public HashMap<String, String> filterSelect = new HashMap<>();
        public ArrayList<b> filters = new ArrayList<>();
        public String flag;
        @XStreamAsAttribute
        public String id;
        public String name;
        public boolean select = false;
        public int sort = -1;

        public a() {
        }

        public int compareTo(a aVar) {
            return this.sort - aVar.sort;
        }

        public a(String str, String str2) {
            this.id = str;
            this.name = str2;
        }
    }

    public static class b {
        public String a;
        public String b;
        public LinkedHashMap<String, String> c;
    }
}
