package com.github.tvbox.osc.player.render;

import android.content.Context;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.base.d60;
import androidx.base.l60;
import androidx.base.m60;

public class SurfaceRenderView extends SurfaceView implements l60, SurfaceHolder.Callback {
    public m60 a = new m60();
    public d60 b;

    public SurfaceRenderView(Context context) {
        super(context);
        SurfaceHolder holder = getHolder();
        holder.addCallback(this);
        holder.setFormat(1);
    }

    @Override // androidx.base.l60
    public void a(@NonNull d60 d60) {
        this.b = d60;
    }

    @Override // androidx.base.l60
    public void b(int i, int i2) {
        if (i > 0 && i2 > 0) {
            m60 m60 = this.a;
            m60.a = i;
            m60.b = i2;
            requestLayout();
        }
    }

    @Override // androidx.base.l60
    public View getView() {
        return this;
    }

    public void onMeasure(int i, int i2) {
        int[] a2 = this.a.a(i, i2);
        setMeasuredDimension(a2[0], a2[1]);
    }

    @Override // androidx.base.l60
    public void release() {
    }

    @Override // androidx.base.l60
    public void setScaleType(int i) {
        this.a.c = i;
        requestLayout();
    }

    @Override // androidx.base.l60
    public void setVideoRotation(int i) {
        this.a.d = i;
        setRotation((float) i);
    }

    public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {
        d60 d60 = this.b;
        if (d60 != null) {
            d60.o(surfaceHolder);
        }
    }

    public void surfaceCreated(SurfaceHolder surfaceHolder) {
    }

    public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
    }

    public SurfaceRenderView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        SurfaceHolder holder = getHolder();
        holder.addCallback(this);
        holder.setFormat(1);
    }

    public SurfaceRenderView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        SurfaceHolder holder = getHolder();
        holder.addCallback(this);
        holder.setFormat(1);
    }
}
