package com.github.tvbox.osc.receiver;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import androidx.base.e10;
import androidx.base.u4;
import androidx.base.wc;
import com.github.tvbox.osc.ui.activity.SearchActivity;
import java.util.Iterator;
import java.util.Stack;

public class SearchReceiver extends BroadcastReceiver {
    public static final /* synthetic */ int a = 0;

    public void onReceive(Context context, Intent intent) {
        Activity activity;
        if ("android.content.movie.search.Action".equals(intent.getAction()) && intent.getExtras() != null) {
            Stack<Activity> stack = wc.a;
            if (stack != null) {
                Iterator<Activity> it = stack.iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    activity = it.next();
                    if (activity.getClass().equals(SearchActivity.class)) {
                        break;
                    }
                }
            }
            activity = null;
            if (activity != null) {
                while (true) {
                    if (wc.a.empty()) {
                        break;
                    }
                    Activity pop = wc.a.pop();
                    if (pop.getClass().equals(SearchActivity.class)) {
                        wc.a.push(pop);
                        break;
                    }
                    pop.finish();
                }
                e10.b().f(new u4(2, intent.getExtras().getString("title")));
                return;
            }
            Intent intent2 = new Intent(context, SearchActivity.class);
            intent2.putExtra("title", intent.getExtras().getString("title"));
            intent2.setFlags(335544320);
            context.startActivity(intent2);
        }
    }
}
