package com.github.tvbox.osc.ui.activity;

import android.content.Intent;
import android.graphics.Paint;
import android.graphics.Rect;
import android.os.Bundle;
import android.text.Html;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.base.b4;
import androidx.base.da;
import androidx.base.e10;
import androidx.base.e4;
import androidx.base.ea;
import androidx.base.gx;
import androidx.base.h6;
import androidx.base.i4;
import androidx.base.ie;
import androidx.base.j6;
import androidx.base.je;
import androidx.base.k6;
import androidx.base.ke;
import androidx.base.l3;
import androidx.base.l6;
import androidx.base.le;
import androidx.base.m6;
import androidx.base.n4;
import androidx.base.n6;
import androidx.base.o10;
import androidx.base.o6;
import androidx.base.p6;
import androidx.base.pe;
import androidx.base.q6;
import androidx.base.r3;
import androidx.base.s4;
import androidx.base.t4;
import androidx.base.y3;
import androidx.base.zb;
import androidx.base.zv;
import androidx.fragment.app.FragmentContainerView;
import androidx.lifecycle.ViewModelProvider;
import com.github.tvbox.osc.C0020R$id;
import com.github.tvbox.osc.C0023R$layout;
import com.github.tvbox.osc.base.App;
import com.github.tvbox.osc.base.BaseActivity;
import com.github.tvbox.osc.player.controller.VodController;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.orhanobut.hawk.Hawk;
import com.owen.tvrecyclerview.widget.TvRecyclerView;
import com.owen.tvrecyclerview.widget.V7GridLayoutManager;
import com.owen.tvrecyclerview.widget.V7LinearLayoutManager;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import org.greenrobot.eventbus.ThreadMode;
import org.json.JSONObject;

public class DetailActivity extends BaseActivity {
    public static final /* synthetic */ int e = 0;
    public TvRecyclerView A;
    public LinearLayout B;
    public je C;
    public y3.a D;
    public e4 E;
    public ea F;
    public da G;
    public String H;
    public String I;
    public boolean J = false;
    public View K = null;
    public boolean L;
    public String M = "";
    public boolean N;
    public V7GridLayoutManager O = null;
    public HashMap<String, String> P = null;
    public List<Runnable> Q = null;
    public String R = "";
    public boolean S = false;
    public final List<y3.a> T = new ArrayList();
    public final List<String> U = new ArrayList();
    public ExecutorService V = null;
    public e4 W = null;
    public boolean X = ((Boolean) Hawk.get("show_preview", Boolean.TRUE)).booleanValue();
    public boolean Y = false;
    public ViewGroup.LayoutParams Z = null;
    public ViewGroup.LayoutParams a0 = null;
    public LinearLayout f;
    public FragmentContainerView g;
    public View h;
    public View i;
    public zb j = null;
    public ImageView k;
    public TextView l;
    public TextView m;
    public TextView n;
    public TextView o;
    public TextView p;
    public TextView q;
    public TextView r;
    public TextView s;
    public TextView t;
    public TextView u;
    public TextView v;
    public TextView w;
    public TextView x;
    public TextView y;
    public TvRecyclerView z;

    public class a implements Runnable {
        public final /* synthetic */ String a;

        public a(String str) {
            this.a = str;
        }

        public void run() {
            DetailActivity detailActivity = DetailActivity.this;
            je jeVar = detailActivity.C;
            String str = this.a;
            String str2 = detailActivity.R;
            jeVar.getClass();
            b4 h = l3.d().h(str);
            int i = h.d;
            if (i == 3) {
                try {
                    jeVar.j(jeVar.e, l3.d().e(h).searchContent(str2, true), h.a);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            } else {
                String str3 = "detail";
                String str4 = "ac";
                if (i == 0 || i == 1) {
                    gx gxVar = (gx) new gx(h.c).params("wd", str2, new boolean[0]);
                    if (i != 1) {
                        str4 = null;
                    }
                    if (i != 1) {
                        str3 = null;
                    }
                    ((gx) ((gx) gxVar.params(str4, str3, new boolean[0])).tag("quick_search")).execute(new ke(jeVar, i, h));
                } else if (i == 4) {
                    ((gx) ((gx) ((gx) ((gx) new gx(h.c).params("wd", str2, new boolean[0])).params(str4, str3, new boolean[0])).params("quick", "true", new boolean[0])).tag("search")).execute(new le(jeVar, h));
                } else {
                    jeVar.e.postValue(null);
                }
            }
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            DetailActivity detailActivity = DetailActivity.this;
            detailActivity.A.scrollToPosition(detailActivity.E.playIndex);
        }
    }

    public static void i(DetailActivity detailActivity, TextView textView, String str, String str2) {
        detailActivity.getClass();
        if (str2 == null || str2.trim().isEmpty()) {
            textView.setVisibility(8);
            return;
        }
        textView.setVisibility(0);
        textView.setText(Html.fromHtml(str + "<font color=\"#FFFFFF\">" + str2 + "</font>"));
    }

    public static void j(DetailActivity detailActivity) {
        e4 e4Var = detailActivity.E;
        if (e4Var != null && e4Var.seriesMap.get(e4Var.playFlag).size() > 0) {
            detailActivity.M = detailActivity.E.playFlag;
            Bundle bundle = new Bundle();
            detailActivity.k(detailActivity.I, detailActivity.E);
            bundle.putString("sourceKey", detailActivity.I);
            App.a.b = detailActivity.E;
            if (detailActivity.X) {
                if (detailActivity.W == null) {
                    try {
                        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                        ObjectOutputStream objectOutputStream = new ObjectOutputStream(byteArrayOutputStream);
                        objectOutputStream.writeObject(detailActivity.E);
                        objectOutputStream.flush();
                        objectOutputStream.close();
                        detailActivity.W = (e4) new ObjectInputStream(new ByteArrayInputStream(byteArrayOutputStream.toByteArray())).readObject();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                e4 e4Var2 = detailActivity.W;
                if (e4Var2 != null) {
                    e4 e4Var3 = detailActivity.E;
                    e4Var2.playerCfg = e4Var3.playerCfg;
                    e4Var2.playFlag = e4Var3.playFlag;
                    e4Var2.playIndex = e4Var3.playIndex;
                    e4Var2.seriesMap = e4Var3.seriesMap;
                    App.a.b = e4Var2;
                }
                zb zbVar = detailActivity.j;
                zbVar.getClass();
                zbVar.q = App.a.b;
                zbVar.s = bundle.getString("sourceKey");
                zbVar.t = l3.d().h(zbVar.s);
                try {
                    zbVar.r = new JSONObject(zbVar.q.playerCfg);
                } catch (Throwable unused) {
                    zbVar.r = new JSONObject();
                }
                try {
                    if (!zbVar.r.has("pl")) {
                        JSONObject jSONObject = zbVar.r;
                        int i2 = zbVar.t.k;
                        if (i2 == -1) {
                            i2 = ((Integer) Hawk.get("play_type", 1)).intValue();
                        }
                        jSONObject.put("pl", i2);
                    }
                    if (!zbVar.r.has("pr")) {
                        zbVar.r.put("pr", Hawk.get("play_render", 0));
                    }
                    if (!zbVar.r.has("ijk")) {
                        zbVar.r.put("ijk", Hawk.get("ijk_codec", ""));
                    }
                    if (!zbVar.r.has("sc")) {
                        zbVar.r.put("sc", Hawk.get("play_scale", 0));
                    }
                    if (!zbVar.r.has("sp")) {
                        zbVar.r.put("sp", 1.0d);
                    }
                    if (!zbVar.r.has("st")) {
                        zbVar.r.put("st", 0);
                    }
                    if (!zbVar.r.has("et")) {
                        zbVar.r.put("et", 0);
                    }
                } catch (Throwable unused2) {
                }
                zbVar.m.setPlayerConfig(zbVar.r);
                zbVar.q(false);
                return;
            }
            detailActivity.d(PlayActivity.class, bundle);
        }
    }

    @Override // com.github.tvbox.osc.base.BaseActivity
    public int b() {
        return C0023R$layout.activity_detail;
    }

    @Override // androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        zb zbVar;
        if (!(keyEvent == null || (zbVar = this.j) == null || !this.Y)) {
            zbVar.getClass();
            if (zbVar.m.t(keyEvent)) {
                return true;
            }
        }
        return super.dispatchKeyEvent(keyEvent);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        if (this.X && !this.Y) {
            Rect rect = new Rect();
            this.h.getHitRect(rect);
            if (rect.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
                return true;
            }
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    @Override // com.github.tvbox.osc.base.BaseActivity
    public void init() {
        e10.b().j(this);
        this.f = (LinearLayout) findViewById(C0020R$id.llLayout);
        this.i = findViewById(C0020R$id.previewPlayerPlace);
        this.g = (FragmentContainerView) findViewById(C0020R$id.previewPlayer);
        this.h = findViewById(C0020R$id.previewPlayerBlock);
        this.k = (ImageView) findViewById(C0020R$id.ivThumb);
        int i2 = 8;
        this.i.setVisibility(this.X ? 0 : 8);
        ImageView imageView = this.k;
        if (!this.X) {
            i2 = 0;
        }
        imageView.setVisibility(i2);
        this.l = (TextView) findViewById(C0020R$id.tvName);
        this.m = (TextView) findViewById(C0020R$id.tvYear);
        this.n = (TextView) findViewById(C0020R$id.tvSite);
        this.o = (TextView) findViewById(C0020R$id.tvArea);
        this.p = (TextView) findViewById(C0020R$id.tvLang);
        this.q = (TextView) findViewById(C0020R$id.tvType);
        this.r = (TextView) findViewById(C0020R$id.tvActor);
        this.s = (TextView) findViewById(C0020R$id.tvDirector);
        this.t = (TextView) findViewById(C0020R$id.tvPlayUrl);
        this.u = (TextView) findViewById(C0020R$id.tvDes);
        this.v = (TextView) findViewById(C0020R$id.tvPlay);
        this.w = (TextView) findViewById(C0020R$id.tvSort);
        this.y = (TextView) findViewById(C0020R$id.tvCollect);
        this.x = (TextView) findViewById(C0020R$id.tvQuickSearch);
        this.B = (LinearLayout) findViewById(C0020R$id.mEmptyPlaylist);
        TvRecyclerView tvRecyclerView = (TvRecyclerView) findViewById(C0020R$id.mGridView);
        this.A = tvRecyclerView;
        tvRecyclerView.setHasFixedSize(true);
        this.A.setHasFixedSize(false);
        V7GridLayoutManager v7GridLayoutManager = new V7GridLayoutManager(this.c, isBaseOnWidth() ? 6 : 7);
        this.O = v7GridLayoutManager;
        this.A.setLayoutManager(v7GridLayoutManager);
        da daVar = new da();
        this.G = daVar;
        this.A.setAdapter(daVar);
        TvRecyclerView tvRecyclerView2 = (TvRecyclerView) findViewById(C0020R$id.mGridViewFlag);
        this.z = tvRecyclerView2;
        tvRecyclerView2.setHasFixedSize(true);
        this.z.setLayoutManager(new V7LinearLayoutManager(this.c, 0, false));
        ea eaVar = new ea();
        this.F = eaVar;
        this.z.setAdapter(eaVar);
        this.L = false;
        this.N = false;
        this.M = "";
        if (this.X) {
            this.j = new zb();
            getSupportFragmentManager().beginTransaction().add(C0020R$id.previewPlayer, this.j).commit();
            getSupportFragmentManager().beginTransaction().show(this.j).commitAllowingStateLoss();
            this.v.setText("全屏");
        }
        this.t.setFocusable(false);
        this.w.setOnClickListener(new j6(this));
        this.v.setOnClickListener(new k6(this));
        this.x.setOnClickListener(new l6(this));
        this.y.setOnClickListener(new m6(this));
        this.t.setOnClickListener(new n6(this));
        this.A.setOnItemListener(new o6(this));
        this.z.setOnItemListener(new p6(this));
        this.G.setOnItemClickListener(new q6(this));
        e(this.f);
        je jeVar = (je) new ViewModelProvider(this).get(je.class);
        this.C = jeVar;
        jeVar.f.observe(this, new h6(this));
        Intent intent = getIntent();
        if (intent != null && intent.getExtras() != null) {
            Bundle extras = intent.getExtras();
            l(extras.getString(TtmlNode.ATTR_ID, null), extras.getString("sourceKey", ""));
        }
    }

    public final void k(String str, e4 e4Var) {
        try {
            e4Var.playNote = e4Var.seriesMap.get(e4Var.playFlag).get(e4Var.playIndex).name;
        } catch (Throwable unused) {
            e4Var.playNote = "";
        }
        n4 c = s4.a().e().c(str, e4Var.id);
        if (c == null) {
            c = new n4();
        }
        c.sourceKey = str;
        c.vodId = e4Var.id;
        c.updateTime = System.currentTimeMillis();
        c.dataJson = i4.c().toJson(e4Var);
        s4.a().e().a(c);
        e10.b().f(new t4(1));
    }

    public final void l(String str, String str2) {
        if (str != null) {
            this.H = str;
            this.I = str2;
            g();
            je jeVar = this.C;
            String str3 = this.I;
            String str4 = this.H;
            jeVar.getClass();
            b4 h2 = l3.d().h(str3);
            int i2 = h2.d;
            boolean z2 = false;
            if (i2 == 3) {
                je.a.execute(new pe(jeVar, h2, str4));
            } else if (i2 == 0 || i2 == 1 || i2 == 4) {
                String str5 = "detail";
                gx gxVar = (gx) new gx(h2.c).tag(str5);
                if (i2 == 0) {
                    str5 = "videolist";
                }
                ((gx) ((gx) gxVar.params("ac", str5, new boolean[0])).params("ids", str4, new boolean[0])).execute(new ie(jeVar, i2, h2));
            } else {
                jeVar.f.postValue(null);
            }
            if (s4.a().d().c(this.I, this.H) != null) {
                z2 = true;
            }
            if (z2) {
                this.y.setText("取消收藏");
            } else {
                this.y.setText("加入收藏");
            }
        }
    }

    public void m() {
        boolean z2;
        e4 e4Var = this.E;
        int size = e4Var.seriesMap.get(e4Var.playFlag).size();
        e4 e4Var2 = this.E;
        if (size <= e4Var2.playIndex) {
            e4Var2.playIndex = 0;
        }
        List<e4.b> list = e4Var2.seriesMap.get(e4Var2.playFlag);
        int i2 = 1;
        if (list != null) {
            int i3 = 0;
            while (true) {
                e4 e4Var3 = this.E;
                if (i3 >= e4Var3.seriesMap.get(e4Var3.playFlag).size()) {
                    z2 = true;
                    break;
                }
                e4 e4Var4 = this.E;
                if (e4Var4.seriesMap.get(e4Var4.playFlag).get(i3).selected) {
                    z2 = false;
                    break;
                }
                i3++;
            }
            if (z2) {
                e4 e4Var5 = this.E;
                e4Var5.seriesMap.get(e4Var5.playFlag).get(this.E.playIndex).selected = true;
            }
        }
        Paint paint = new Paint();
        Rect rect = new Rect();
        e4 e4Var6 = this.E;
        List<e4.b> list2 = e4Var6.seriesMap.get(e4Var6.playFlag);
        int i4 = 1;
        for (int i5 = 0; i5 < list2.size(); i5++) {
            String str = list2.get(i5).name;
            paint.getTextBounds(str, 0, str.length(), rect);
            if (i4 < rect.width()) {
                i4 = rect.width();
            }
        }
        int width = (getWindowManager().getDefaultDisplay().getWidth() / 3) / (i4 + 32);
        if (width > 1) {
            i2 = width;
        }
        if (i2 > 6) {
            i2 = 6;
        }
        this.O.setSpanCount(i2);
        da daVar = this.G;
        e4 e4Var7 = this.E;
        daVar.o(e4Var7.seriesMap.get(e4Var7.playFlag));
        this.A.postDelayed(new b(), 100);
    }

    public final void n(r3 r3Var) {
        y3 y3Var;
        List<y3.a> list;
        if (!(r3Var == null || (y3Var = r3Var.movie) == null || (list = y3Var.videoList) == null || list.size() <= 0)) {
            ArrayList arrayList = new ArrayList();
            for (y3.a aVar : r3Var.movie.videoList) {
                if (!aVar.sourceKey.equals(this.I) || !aVar.id.equals(this.H)) {
                    arrayList.add(aVar);
                }
            }
            this.T.addAll(arrayList);
            e10.b().f(new t4(2, arrayList));
        }
    }

    public final void o() {
        HashMap<String, String> hashMap;
        try {
            ExecutorService executorService = this.V;
            if (executorService != null) {
                executorService.shutdownNow();
                this.V = null;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.V = Executors.newFixedThreadPool(5);
        ArrayList arrayList = new ArrayList();
        arrayList.addAll(l3.d().i());
        b4 f2 = l3.d().f();
        arrayList.remove(f2);
        arrayList.add(0, f2);
        ArrayList arrayList2 = new ArrayList();
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            b4 b4Var = (b4) it.next();
            if (b4Var.a()) {
                if ((b4Var.f != 0) && ((hashMap = this.P) == null || hashMap.containsKey(b4Var.a))) {
                    arrayList2.add(b4Var.a);
                }
            }
        }
        Iterator it2 = arrayList2.iterator();
        while (it2.hasNext()) {
            this.V.execute(new a((String) it2.next()));
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        View view;
        if (this.Y) {
            zb zbVar = this.j;
            int requestedOrientation = zbVar.getActivity().getRequestedOrientation();
            boolean z2 = true;
            if (requestedOrientation == 1 || requestedOrientation == 7 || requestedOrientation == 9) {
                zbVar.getActivity().setRequestedOrientation(6);
                zbVar.m.y0.setText("竖屏");
            }
            VodController vodController = zbVar.m;
            if (vodController.s()) {
                vodController.r();
            } else {
                z2 = false;
            }
            if (!z2) {
                p();
                this.A.requestFocus();
            }
        } else if (!this.J || (view = this.K) == null || view.isFocused()) {
            super.onBackPressed();
        } else {
            this.K.requestFocus();
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.github.tvbox.osc.base.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        try {
            ExecutorService executorService = this.V;
            if (executorService != null) {
                executorService.shutdownNow();
                this.V = null;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        zv.b.a.a("fenci");
        zv.b.a.a("detail");
        zv.b.a.a("quick_search");
        e10.b().l(this);
    }

    public void p() {
        if (this.Z == null) {
            this.Z = this.g.getLayoutParams();
        }
        if (this.a0 == null) {
            this.a0 = new FrameLayout.LayoutParams(-1, -1);
        }
        boolean z2 = !this.Y;
        this.Y = z2;
        this.g.setLayoutParams(z2 ? this.a0 : this.Z);
        int i2 = 8;
        this.h.setVisibility(this.Y ? 8 : 0);
        this.A.setVisibility(this.Y ? 8 : 0);
        TvRecyclerView tvRecyclerView = this.z;
        if (!this.Y) {
            i2 = 0;
        }
        tvRecyclerView.setVisibility(i2);
        this.v.setFocusable(!this.Y);
        this.w.setFocusable(!this.Y);
        this.y.setFocusable(!this.Y);
        this.x.setFocusable(!this.Y);
    }

    @o10(threadMode = ThreadMode.MAIN)
    public void refresh(t4 t4Var) {
        int i2 = t4Var.a;
        if (i2 == 0) {
            Object obj = t4Var.b;
            if (obj == null) {
                return;
            }
            if (obj instanceof Integer) {
                int intValue = ((Integer) obj).intValue();
                int i3 = 0;
                while (true) {
                    e4 e4Var = this.E;
                    if (i3 < e4Var.seriesMap.get(e4Var.playFlag).size()) {
                        this.G.r.get(i3).selected = false;
                        this.G.notifyItemChanged(i3);
                        i3++;
                    } else {
                        this.G.r.get(intValue).selected = true;
                        this.G.notifyItemChanged(intValue);
                        this.A.setSelection(intValue);
                        e4 e4Var2 = this.E;
                        e4Var2.playIndex = intValue;
                        k(this.I, e4Var2);
                        return;
                    }
                }
            } else if (obj instanceof JSONObject) {
                this.E.playerCfg = ((JSONObject) obj).toString();
                k(this.I, this.E);
            }
        } else if (i2 == 3) {
            Object obj2 = t4Var.b;
            if (obj2 != null) {
                y3.a aVar = (y3.a) obj2;
                l(aVar.id, aVar.sourceKey);
            }
        } else if (i2 == 5) {
            Object obj3 = t4Var.b;
            if (obj3 != null) {
                zv.b.a.a("quick_search");
                this.T.clear();
                this.R = (String) obj3;
                o();
            }
        } else if (i2 == 7) {
            try {
                Object obj4 = t4Var.b;
                n(obj4 == null ? null : (r3) obj4);
            } catch (Exception unused) {
                n(null);
            }
        }
    }
}
