package com.github.tvbox.osc.ui.activity;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.IntEvaluator;
import android.animation.ObjectAnimator;
import android.os.CountDownTimer;
import android.os.Handler;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;
import androidx.base.a8;
import androidx.base.b2;
import androidx.base.b8;
import androidx.base.ed;
import androidx.base.fx;
import androidx.base.gx;
import androidx.base.l3;
import androidx.base.m7;
import androidx.base.n7;
import androidx.base.nw;
import androidx.base.o7;
import androidx.base.p7;
import androidx.base.pc;
import androidx.base.q7;
import androidx.base.q9;
import androidx.base.r7;
import androidx.base.r9;
import androidx.base.ra;
import androidx.base.s7;
import androidx.base.s9;
import androidx.base.t3;
import androidx.base.t7;
import androidx.base.t9;
import androidx.base.u3;
import androidx.base.u7;
import androidx.base.u9;
import androidx.base.v3;
import androidx.base.v7;
import androidx.base.w3;
import androidx.base.w7;
import androidx.base.x3;
import androidx.base.x7;
import androidx.base.y7;
import androidx.base.yc;
import androidx.base.z7;
import androidx.constraintlayout.motion.widget.Key;
import androidx.recyclerview.widget.RecyclerView;
import com.github.tvbox.osc.C0020R$id;
import com.github.tvbox.osc.C0023R$layout;
import com.github.tvbox.osc.base.App;
import com.github.tvbox.osc.base.BaseActivity;
import com.github.tvbox.osc.player.controller.LiveController;
import com.github.tvbox.osc.ui.tv.widget.ChannelListView;
import com.github.tvbox.osc.ui.tv.widget.ViewObj;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import com.orhanobut.hawk.Hawk;
import com.owen.tvrecyclerview.widget.TvRecyclerView;
import com.owen.tvrecyclerview.widget.V7LinearLayoutManager;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;
import okhttp3.Response;
import org.json.JSONException;
import org.json.JSONObject;
import xyz.doikki.videoplayer.player.VideoView;

public class LivePlayActivity extends BaseActivity {
    public static int e;
    public static u3 f;
    public static Hashtable g = new Hashtable();
    public u3 A = null;
    public v3 B = new v3();
    public ArrayList<Integer> C = new ArrayList<>();
    public ChannelListView D;
    public CountDownTimer E;
    public CountDownTimer F;
    public View G;
    public View H;
    public View I;
    public u9 J;
    public TextView K;
    public TextView L;
    public TextView M;
    public ImageView N;
    public ObjectAnimator O;
    public String P = "";
    public List<pc> Q = new ArrayList();
    public Runnable R = new f();
    public Runnable S = new g();
    public Runnable T = new h();
    public Runnable U = new i();
    public Runnable V = new a();
    public Runnable W = new c();
    public Runnable X = new d();
    public VideoView h;
    public TextView i;
    public TextView j;
    public TextView k;
    public LinearLayout l;
    public TvRecyclerView m;
    public TvRecyclerView n;
    public q9 o;
    public r9 p;
    public LinearLayout q;
    public TvRecyclerView r;
    public TvRecyclerView s;
    public s9 t;
    public t9 u;
    public List<w3> v = new ArrayList();
    public Handler w = new Handler();
    public List<t3> x = new ArrayList();
    public int y = -1;
    public int z = 0;

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            LivePlayActivity livePlayActivity = LivePlayActivity.this;
            int i = livePlayActivity.z + 1;
            livePlayActivity.z = i;
            if (livePlayActivity.A.g == i) {
                livePlayActivity.z = 0;
                Integer[] m = livePlayActivity.m(((Boolean) Hawk.get("live_channel_reverse", Boolean.FALSE)).booleanValue() ? -1 : 1);
                LivePlayActivity.this.r(m[0].intValue(), m[1].intValue(), false);
                return;
            }
            livePlayActivity.t();
        }
    }

    public class b extends nw<String> {
        public final /* synthetic */ String a;

        public b(String str) {
            this.a = str;
        }

        @Override // androidx.base.ow
        public void b(fx<String> fxVar) {
            ArrayList<pc> arrayList = new ArrayList<>();
            try {
                Iterator<JsonElement> it = JsonParser.parseString(fxVar.a).getAsJsonObject().get("epg_data").getAsJsonArray().iterator();
                while (it.hasNext()) {
                    JsonObject jsonObject = (JsonObject) it.next();
                    arrayList.add(new pc(jsonObject.get("title").getAsString().trim(), jsonObject.get(TtmlNode.START).getAsString().trim(), jsonObject.get(TtmlNode.END).getAsString().trim()));
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
            LivePlayActivity livePlayActivity = LivePlayActivity.this;
            int i = LivePlayActivity.e;
            livePlayActivity.A(arrayList);
            if (!LivePlayActivity.g.contains(this.a)) {
                LivePlayActivity.g.put(this.a, arrayList);
            }
            LivePlayActivity.this.y(this.a);
        }

        @Override // androidx.base.qw
        public Object d(Response response) {
            return response.body().string();
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            Date date = new Date();
            LivePlayActivity.this.j.setText(new SimpleDateFormat("HH:mm:ss").format(date));
            LivePlayActivity.this.w.postDelayed(this, 1000);
        }
    }

    public class d implements Runnable {
        public d() {
        }

        public void run() {
            LivePlayActivity livePlayActivity = LivePlayActivity.this;
            VideoView videoView = livePlayActivity.h;
            if (videoView != null) {
                TextView textView = livePlayActivity.k;
                double tcpSpeed = (double) ((float) videoView.getTcpSpeed());
                Double.isNaN(tcpSpeed);
                textView.setText(String.format("%.2fMb/s", Double.valueOf((tcpSpeed / 1024.0d) / 1024.0d)));
                LivePlayActivity livePlayActivity2 = LivePlayActivity.this;
                TextView textView2 = livePlayActivity2.K;
                double tcpSpeed2 = (double) ((float) livePlayActivity2.h.getTcpSpeed());
                Double.isNaN(tcpSpeed2);
                textView2.setText(String.format("%.2fKb/s", Double.valueOf(tcpSpeed2 / 1024.0d)));
                LivePlayActivity.this.w.postDelayed(this, 1000);
            }
        }
    }

    public class e implements ra.b {
        public final /* synthetic */ int a;
        public final /* synthetic */ int b;

        public e(int i, int i2) {
            this.a = i;
            this.b = i2;
        }
    }

    public class f implements Runnable {

        public class a extends AnimatorListenerAdapter {
            public a() {
            }

            public void onAnimationEnd(Animator animator) {
                super.onAnimationEnd(animator);
                LivePlayActivity livePlayActivity = LivePlayActivity.this;
                livePlayActivity.w.removeCallbacks(livePlayActivity.S);
                LivePlayActivity livePlayActivity2 = LivePlayActivity.this;
                livePlayActivity2.w.postDelayed(livePlayActivity2.S, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
            }
        }

        public f() {
        }

        public void run() {
            if (LivePlayActivity.this.m.h() || LivePlayActivity.this.n.h() || LivePlayActivity.this.m.isComputingLayout() || LivePlayActivity.this.n.isComputingLayout()) {
                LivePlayActivity.this.w.postDelayed(this, 100);
                return;
            }
            LivePlayActivity.this.o.p(LivePlayActivity.e);
            LivePlayActivity livePlayActivity = LivePlayActivity.this;
            livePlayActivity.p.q(livePlayActivity.y);
            LivePlayActivity livePlayActivity2 = LivePlayActivity.this;
            RecyclerView.ViewHolder findViewHolderForAdapterPosition = livePlayActivity2.n.findViewHolderForAdapterPosition(livePlayActivity2.y);
            if (findViewHolderForAdapterPosition != null) {
                findViewHolderForAdapterPosition.itemView.requestFocus();
            }
            LivePlayActivity.this.l.setVisibility(0);
            LinearLayout linearLayout = LivePlayActivity.this.l;
            ObjectAnimator ofObject = ObjectAnimator.ofObject(new ViewObj(linearLayout, (ViewGroup.MarginLayoutParams) linearLayout.getLayoutParams()), "marginLeft", new IntEvaluator(), Integer.valueOf(-LivePlayActivity.this.l.getLayoutParams().width), 0);
            ofObject.setDuration(200L);
            ofObject.addListener(new a());
            ofObject.start();
        }
    }

    public class g implements Runnable {

        public class a extends AnimatorListenerAdapter {
            public a() {
            }

            public void onAnimationEnd(Animator animator) {
                super.onAnimationEnd(animator);
                LivePlayActivity.this.l.setVisibility(4);
            }
        }

        public g() {
        }

        public void run() {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) LivePlayActivity.this.l.getLayoutParams();
            if (LivePlayActivity.this.l.getVisibility() == 0) {
                ObjectAnimator ofObject = ObjectAnimator.ofObject(new ViewObj(LivePlayActivity.this.l, marginLayoutParams), "marginLeft", new IntEvaluator(), 0, Integer.valueOf(-LivePlayActivity.this.l.getLayoutParams().width));
                ofObject.setDuration(200L);
                ofObject.addListener(new a());
                ofObject.start();
            }
        }
    }

    public class h implements Runnable {

        public class a extends AnimatorListenerAdapter {
            public a() {
            }

            public void onAnimationEnd(Animator animator) {
                super.onAnimationEnd(animator);
                LivePlayActivity livePlayActivity = LivePlayActivity.this;
                livePlayActivity.w.postDelayed(livePlayActivity.U, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
            }
        }

        public h() {
        }

        public void run() {
            if (LivePlayActivity.this.r.h() || LivePlayActivity.this.s.h() || LivePlayActivity.this.r.isComputingLayout() || LivePlayActivity.this.s.isComputingLayout()) {
                LivePlayActivity.this.w.postDelayed(this, 100);
                return;
            }
            RecyclerView.ViewHolder findViewHolderForAdapterPosition = LivePlayActivity.this.r.findViewHolderForAdapterPosition(0);
            if (findViewHolderForAdapterPosition != null) {
                findViewHolderForAdapterPosition.itemView.requestFocus();
            }
            LivePlayActivity.this.q.setVisibility(0);
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) LivePlayActivity.this.q.getLayoutParams();
            if (LivePlayActivity.this.q.getVisibility() == 0) {
                ObjectAnimator ofObject = ObjectAnimator.ofObject(new ViewObj(LivePlayActivity.this.q, marginLayoutParams), "marginRight", new IntEvaluator(), Integer.valueOf(-LivePlayActivity.this.q.getLayoutParams().width), 0);
                ofObject.setDuration(200L);
                ofObject.addListener(new a());
                ofObject.start();
            }
        }
    }

    public class i implements Runnable {

        public class a extends AnimatorListenerAdapter {
            public a() {
            }

            public void onAnimationEnd(Animator animator) {
                super.onAnimationEnd(animator);
                LivePlayActivity.this.q.setVisibility(4);
                s9 s9Var = LivePlayActivity.this.t;
                int i = s9Var.w;
                s9Var.w = -1;
                if (i != -1) {
                    s9Var.notifyItemChanged(i);
                }
                int i2 = s9Var.w;
                if (i2 != -1) {
                    s9Var.notifyItemChanged(i2);
                }
            }
        }

        public i() {
        }

        public void run() {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) LivePlayActivity.this.q.getLayoutParams();
            if (LivePlayActivity.this.q.getVisibility() == 0) {
                ObjectAnimator ofObject = ObjectAnimator.ofObject(new ViewObj(LivePlayActivity.this.q, marginLayoutParams), "marginRight", new IntEvaluator(), 0, Integer.valueOf(-LivePlayActivity.this.q.getLayoutParams().width));
                ofObject.setDuration(200L);
                ofObject.addListener(new a());
                ofObject.start();
            }
        }
    }

    public static void i(LivePlayActivity livePlayActivity, int i2) {
        boolean z2;
        int i3 = livePlayActivity.t.w;
        if (i3 < 4) {
            if (i2 != livePlayActivity.u.p()) {
                livePlayActivity.u.q(i2, true, true);
            } else {
                return;
            }
        }
        if (i3 == 0) {
            livePlayActivity.A.f = i2;
            livePlayActivity.r(e, livePlayActivity.y, true);
        } else if (i3 == 1) {
            v3 v3Var = livePlayActivity.B;
            VideoView videoView = livePlayActivity.h;
            String str = livePlayActivity.A.c;
            v3Var.getClass();
            videoView.setScreenScaleType(i2);
            JSONObject jSONObject = v3Var.b;
            try {
                jSONObject.put("sc", i2);
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
            if (jSONObject.toString().equals(v3Var.a.toString())) {
                Hawk.delete(str);
            } else {
                Hawk.put(str, jSONObject);
            }
            v3Var.b = jSONObject;
        } else if (i3 == 2) {
            livePlayActivity.h.m();
            v3 v3Var2 = livePlayActivity.B;
            VideoView videoView2 = livePlayActivity.h;
            String str2 = livePlayActivity.A.c;
            JSONObject jSONObject2 = v3Var2.b;
            if (i2 == 0) {
                jSONObject2.put("pl", 0);
                jSONObject2.put("ijk", "软解码");
            } else if (i2 == 1) {
                jSONObject2.put("pl", 1);
                jSONObject2.put("ijk", "硬解码");
            } else if (i2 == 2) {
                jSONObject2.put("pl", 1);
                jSONObject2.put("ijk", "软解码");
            } else if (i2 == 3) {
                try {
                    jSONObject2.put("pl", 2);
                    jSONObject2.put("ijk", "软解码");
                } catch (JSONException e3) {
                    e3.printStackTrace();
                }
            }
            ed.g(videoView2, jSONObject2);
            if (jSONObject2.toString().equals(v3Var2.a.toString())) {
                Hawk.delete(str2);
            } else {
                Hawk.put(str2, jSONObject2);
            }
            v3Var2.b = jSONObject2;
            VideoView videoView3 = livePlayActivity.h;
            u3 u3Var = livePlayActivity.A;
            videoView3.setUrl(u3Var.e.get(u3Var.f));
            livePlayActivity.h.start();
        } else if (i3 == 3) {
            Hawk.put("live_connect_timeout", Integer.valueOf(i2));
        } else if (i3 == 4) {
            if (i2 == 0) {
                z2 = !((Boolean) Hawk.get("live_show_time", Boolean.FALSE)).booleanValue();
                Hawk.put("live_show_time", Boolean.valueOf(z2));
                livePlayActivity.E();
            } else if (i2 == 1) {
                z2 = !((Boolean) Hawk.get("live_show_net_speed", Boolean.FALSE)).booleanValue();
                Hawk.put("live_show_net_speed", Boolean.valueOf(z2));
                livePlayActivity.B();
            } else if (i2 == 2) {
                z2 = !((Boolean) Hawk.get("live_channel_reverse", Boolean.FALSE)).booleanValue();
                Hawk.put("live_channel_reverse", Boolean.valueOf(z2));
            } else if (i2 != 3) {
                z2 = false;
            } else {
                z2 = !((Boolean) Hawk.get("live_cross_group", Boolean.FALSE)).booleanValue();
                Hawk.put("live_cross_group", Boolean.valueOf(z2));
            }
            livePlayActivity.u.q(i2, z2, false);
        }
        livePlayActivity.w.removeCallbacks(livePlayActivity.U);
        livePlayActivity.w.postDelayed(livePlayActivity.U, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
    }

    public final void A(ArrayList<pc> arrayList) {
        if (arrayList == null || arrayList.size() <= 0) {
            arrayList.add(new pc("暂无节目信息", "00:00", "23:59"));
            this.Q = arrayList;
            u9 u9Var = new u9(this.Q, this, 0);
            this.J = u9Var;
            this.D.setAdapter((ListAdapter) u9Var);
            return;
        }
        this.Q = arrayList;
        int size = arrayList.size();
        do {
            size--;
            if (size < 0) {
                break;
            }
        } while (new Date().compareTo(this.Q.get(size).a) < 0);
        this.D.b = size;
        u9 u9Var2 = new u9(this.Q, this, size);
        this.J = u9Var2;
        this.D.setAdapter((ListAdapter) u9Var2);
        this.D.setSelection(size);
    }

    public final void B() {
        if (((Boolean) Hawk.get("live_show_net_speed", Boolean.FALSE)).booleanValue()) {
            this.w.post(this.X);
            this.k.setVisibility(0);
            return;
        }
        this.w.removeCallbacks(this.X);
        this.k.setVisibility(8);
    }

    public final void C(int i2, int i3) {
        if (this.l.getVisibility() == 0) {
            this.w.removeCallbacks(this.S);
        }
        ra raVar = new ra(this);
        raVar.setOnListener(new e(i2, i3));
        raVar.show();
    }

    public final void D() {
        if (this.l.getVisibility() == 0) {
            this.w.removeCallbacks(this.S);
            this.w.post(this.S);
        }
        if (this.q.getVisibility() != 4) {
            this.w.removeCallbacks(this.U);
            this.w.post(this.U);
        } else if (o()) {
            ArrayList<String> arrayList = this.A.d;
            ArrayList<x3> arrayList2 = new ArrayList<>();
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                x3 x3Var = new x3();
                x3Var.a = i2;
                x3Var.b = arrayList.get(i2);
                arrayList2.add(x3Var);
            }
            this.v.get(0).c = arrayList2;
            this.t.o(this.v);
            x(0, false);
            this.r.scrollToPosition(0);
            this.s.scrollToPosition(this.A.f);
            this.w.postDelayed(this.T, 200);
        }
    }

    public void E() {
        if (((Boolean) Hawk.get("live_show_time", Boolean.FALSE)).booleanValue()) {
            this.w.post(this.W);
            this.j.setVisibility(0);
            return;
        }
        this.w.removeCallbacks(this.W);
        this.j.setVisibility(8);
    }

    @Override // com.github.tvbox.osc.base.BaseActivity
    public int b() {
        return C0023R$layout.activity_live_play;
    }

    @Override // androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode == 82) {
                D();
            } else {
                if (!(this.l.getVisibility() == 0 || this.q.getVisibility() == 0)) {
                    if (!(keyCode == 66 || keyCode == 85)) {
                        switch (keyCode) {
                            case 19:
                                if (!((Boolean) Hawk.get("live_channel_reverse", Boolean.FALSE)).booleanValue()) {
                                    v();
                                    break;
                                } else {
                                    s();
                                    break;
                                }
                            case 20:
                                if (!((Boolean) Hawk.get("live_channel_reverse", Boolean.FALSE)).booleanValue()) {
                                    s();
                                    break;
                                } else {
                                    v();
                                    break;
                                }
                            case 21:
                                u();
                                break;
                            case 22:
                                t();
                                break;
                        }
                    }
                    z();
                }
            }
        } else {
            keyEvent.getAction();
        }
        return super.dispatchKeyEvent(keyEvent);
    }

    public void divLoadEpgLeft(View view) {
        this.D.setVisibility(8);
        this.m.setVisibility(0);
        this.I.setVisibility(8);
        this.H.setVisibility(0);
    }

    public void divLoadEpgRight(View view) {
        this.D.setVisibility(0);
        this.m.setVisibility(8);
        this.I.setVisibility(0);
        this.H.setVisibility(8);
    }

    @Override // com.github.tvbox.osc.base.BaseActivity
    public void init() {
        String str = (String) Hawk.get("epg_url", "");
        this.P = str;
        if (str == null || str.length() < 5) {
            this.P = "http://epg.51zmt.top:8000/api/diyp/";
        }
        e(findViewById(C0020R$id.live_root));
        this.h = (VideoView) findViewById(C0020R$id.mVideoView);
        this.l = (LinearLayout) findViewById(C0020R$id.tvLeftChannnelListLayout);
        this.m = (TvRecyclerView) findViewById(C0020R$id.mGroupGridView);
        this.n = (TvRecyclerView) findViewById(C0020R$id.mChannelGridView);
        this.q = (LinearLayout) findViewById(C0020R$id.tvRightSettingLayout);
        this.r = (TvRecyclerView) findViewById(C0020R$id.mSettingGroupView);
        this.s = (TvRecyclerView) findViewById(C0020R$id.mSettingItemView);
        this.i = (TextView) findViewById(C0020R$id.tvChannel);
        this.j = (TextView) findViewById(C0020R$id.tvTime);
        this.k = (TextView) findViewById(C0020R$id.tvNetSpeed);
        TextView textView = (TextView) findViewById(C0020R$id.tv_channel_bar_name);
        TextView textView2 = (TextView) findViewById(C0020R$id.tv_channel_bottom_number);
        TextView textView3 = (TextView) findViewById(C0020R$id.tv_current_program_time);
        TextView textView4 = (TextView) findViewById(C0020R$id.tv_next_program_time);
        TextView textView5 = (TextView) findViewById(C0020R$id.tv_source);
        TextView textView6 = (TextView) findViewById(C0020R$id.tv_current_program);
        TextView textView7 = (TextView) findViewById(C0020R$id.tv_current_program);
        RelativeLayout relativeLayout = (RelativeLayout) findViewById(C0020R$id.ll_epg);
        this.K = (TextView) findViewById(C0020R$id.tv_right_top_tipnetspeed);
        this.L = (TextView) findViewById(C0020R$id.tv_right_top_channel_name);
        this.M = (TextView) findViewById(C0020R$id.tv_right_top_epg_name);
        TextView textView8 = (TextView) findViewById(C0020R$id.tv_right_top_type);
        this.N = (ImageView) findViewById(C0020R$id.iv_circle_bg);
        ImageView imageView = (ImageView) findViewById(C0020R$id.iv_back_bg);
        findViewById(C0020R$id.ll_right_top_loading);
        TextView textView9 = (TextView) findViewById(C0020R$id.tv_shownum);
        TextView textView10 = (TextView) findViewById(C0020R$id.txtNoEpg);
        this.G = findViewById(C0020R$id.ll_right_top_loading);
        findViewById(C0020R$id.ll_right_top_huikan);
        this.D = (ChannelListView) findViewById(C0020R$id.lv_epg);
        this.H = findViewById(C0020R$id.divLoadEpg);
        this.I = findViewById(C0020R$id.divLoadEpgleft);
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this.N, Key.ROTATION, 360.0f);
        this.O = ofFloat;
        ofFloat.setDuration(DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
        this.O.setRepeatCount(-1);
        this.O.start();
        LiveController liveController = new LiveController(this);
        liveController.setListener(new b8(this));
        liveController.setCanChangePosition(false);
        liveController.setEnableInNormal(true);
        liveController.setGestureEnabled(true);
        liveController.setDoubleTapTogglePlayEnabled(false);
        this.h.setVideoController(liveController);
        this.h.setProgressManager(null);
        this.m.setHasFixedSize(true);
        this.m.setLayoutManager(new V7LinearLayoutManager(this.c, 1, false));
        q9 q9Var = new q9();
        this.o = q9Var;
        this.m.setAdapter(q9Var);
        this.m.addOnScrollListener(new m7(this));
        this.m.setOnItemListener(new n7(this));
        this.o.setOnItemClickListener(new o7(this));
        this.n.setHasFixedSize(true);
        this.n.setLayoutManager(new V7LinearLayoutManager(this.c, 1, false));
        r9 r9Var = new r9();
        this.p = r9Var;
        this.n.setAdapter(r9Var);
        this.n.addOnScrollListener(new p7(this));
        this.n.setOnItemListener(new q7(this));
        this.p.setOnItemClickListener(new r7(this));
        this.r.setHasFixedSize(true);
        this.r.setLayoutManager(new V7LinearLayoutManager(this.c, 1, false));
        s9 s9Var = new s9();
        this.t = s9Var;
        this.r.setAdapter(s9Var);
        this.r.addOnScrollListener(new s7(this));
        this.r.setOnItemListener(new t7(this));
        this.t.setOnItemClickListener(new u7(this));
        this.s.setHasFixedSize(true);
        this.s.setLayoutManager(new V7LinearLayoutManager(this.c, 1, false));
        t9 t9Var = new t9();
        this.u = t9Var;
        this.s.setAdapter(t9Var);
        this.s.addOnScrollListener(new v7(this));
        this.s.setOnItemListener(new w7(this));
        this.u.setOnItemClickListener(new x7(this));
        List<t3> list = l3.d().e;
        if (list.isEmpty()) {
            Toast.makeText(App.a, "频道列表为空", 0).show();
            finish();
        } else if (list.size() != 1 || !list.get(0).b.startsWith("http://127.0.0.1")) {
            this.x.clear();
            this.x.addAll(list);
            h();
            n();
        } else {
            g();
            new gx(list.get(0).b).execute(new y7(this));
        }
        ArrayList arrayList = new ArrayList(Arrays.asList("线路选择", "画面比例", "播放解码", "超时换源", "偏好设置"));
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        ArrayList arrayList4 = new ArrayList(Arrays.asList("默认", "16:9", "4:3", "填充", "原始", "裁剪"));
        ArrayList arrayList5 = new ArrayList(Arrays.asList("系统", "ijk硬解", "ijk软解", "exo"));
        ArrayList arrayList6 = new ArrayList(Arrays.asList("5s", "10s", "15s", "20s", "25s", "30s"));
        ArrayList arrayList7 = new ArrayList(Arrays.asList("显示时间", "显示网速", "换台反转", "跨选分类"));
        arrayList2.add(arrayList3);
        arrayList2.add(arrayList4);
        arrayList2.add(arrayList5);
        arrayList2.add(arrayList6);
        arrayList2.add(arrayList7);
        this.v.clear();
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            w3 w3Var = new w3();
            ArrayList<x3> arrayList8 = new ArrayList<>();
            w3Var.a = i2;
            w3Var.b = (String) arrayList.get(i2);
            for (int i3 = 0; i3 < ((ArrayList) arrayList2.get(i2)).size(); i3++) {
                x3 x3Var = new x3();
                x3Var.a = i3;
                x3Var.b = (String) ((ArrayList) arrayList2.get(i2)).get(i3);
                arrayList8.add(x3Var);
            }
            w3Var.c = arrayList8;
            this.v.add(w3Var);
        }
        this.v.get(3).c.get(((Integer) Hawk.get("live_connect_timeout", 1)).intValue()).c = true;
        Boolean bool = Boolean.FALSE;
        this.v.get(4).c.get(0).c = ((Boolean) Hawk.get("live_show_time", bool)).booleanValue();
        this.v.get(4).c.get(1).c = ((Boolean) Hawk.get("live_show_net_speed", bool)).booleanValue();
        this.v.get(4).c.get(2).c = ((Boolean) Hawk.get("live_channel_reverse", bool)).booleanValue();
        this.v.get(4).c.get(3).c = ((Boolean) Hawk.get("live_cross_group", bool)).booleanValue();
    }

    public final void j(int i2) {
        this.p.q(i2);
        r(this.o.w, i2, false);
        if (this.l.getVisibility() == 0) {
            this.w.removeCallbacks(this.S);
            this.w.postDelayed(this.S, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
        }
    }

    public void k() {
        String str = f.c;
        Date date = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        JsonObject jsonObject = yc.b.containsKey(str) ? (JsonObject) yc.b.get(str) : null;
        if (jsonObject != null) {
            str = jsonObject.get("epgid").getAsString().trim();
            if (str.indexOf("51zmt") != -1) {
                str = str.replace("51zmt-", "");
            }
        } else {
            str.replace("+", "[add]").toString();
        }
        if (g.containsKey(str)) {
            ArrayList<pc> arrayList = (ArrayList) g.get(str);
            if (!arrayList.isEmpty()) {
                A(arrayList);
                y(str);
                return;
            }
        }
        ((gx) new gx(this.P + "?ch=" + str).params("date", simpleDateFormat.format(date), new boolean[0])).execute(new b(str));
    }

    public final ArrayList<u3> l(int i2) {
        if (!p(i2)) {
            return this.x.get(i2).d;
        }
        return new ArrayList<>();
    }

    public final Integer[] m(int i2) {
        int i3;
        int i4 = e;
        int i5 = this.y;
        if (i2 > 0) {
            i3 = i5 + 1;
            if (i3 >= l(i4).size()) {
                if (((Boolean) Hawk.get("live_cross_group", Boolean.FALSE)).booleanValue()) {
                    while (true) {
                        i4++;
                        if (i4 >= this.x.size()) {
                            i4 = 0;
                        }
                        if (this.x.get(i4).c.isEmpty() && i4 != e) {
                            break;
                        }
                    }
                }
                i3 = 0;
            }
        } else {
            i3 = i5 - 1;
            if (i3 < 0) {
                if (((Boolean) Hawk.get("live_cross_group", Boolean.FALSE)).booleanValue()) {
                    while (true) {
                        i4--;
                        if (i4 < 0) {
                            i4 = this.x.size() - 1;
                        }
                        if (this.x.get(i4).c.isEmpty() && i4 != e) {
                            break;
                        }
                    }
                }
                i3 = l(i4).size() - 1;
            }
        }
        return new Integer[]{Integer.valueOf(i4), Integer.valueOf(i3)};
    }

    public final void n() {
        int i2;
        String str = (String) Hawk.get("last_live_channel_name", "");
        int i3 = -1;
        int i4 = -1;
        for (t3 t3Var : this.x) {
            Iterator<u3> it = t3Var.d.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                u3 next = it.next();
                if (next.c.equals(str)) {
                    i3 = t3Var.a;
                    i4 = next.a;
                    continue;
                    break;
                }
            }
            if (i3 != -1) {
                break;
            }
        }
        if (i3 == -1) {
            Iterator<t3> it2 = this.x.iterator();
            while (true) {
                if (!it2.hasNext()) {
                    i2 = -1;
                    break;
                }
                t3 next2 = it2.next();
                if (next2.c.isEmpty()) {
                    i2 = next2.a;
                    break;
                }
            }
            i3 = i2 == -1 ? 0 : i2;
            i4 = 0;
        }
        v3 v3Var = this.B;
        VideoView videoView = this.h;
        v3Var.getClass();
        try {
            v3Var.a.put("pl", Hawk.get("play_type", 0));
            v3Var.a.put("ijk", Hawk.get("ijk_codec", "软解码"));
            v3Var.a.put("pr", Hawk.get("play_render", 0));
            v3Var.a.put("sc", Hawk.get("play_scale", 0));
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        v3Var.a(videoView);
        E();
        B();
        this.l.setVisibility(4);
        this.q.setVisibility(4);
        this.o.o(this.x);
        w(i3, false, i4);
    }

    public final boolean o() {
        if (this.A != null) {
            return true;
        }
        Toast.makeText(App.a, "请先选择频道", 0).show();
        return false;
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        if (this.l.getVisibility() == 0) {
            this.w.removeCallbacks(this.S);
            this.w.post(this.S);
        } else if (this.q.getVisibility() == 0) {
            this.w.removeCallbacks(this.U);
            this.w.post(this.U);
        } else {
            this.w.removeCallbacks(this.V);
            this.w.removeCallbacks(this.X);
            super.onBackPressed();
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.github.tvbox.osc.base.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        VideoView videoView = this.h;
        if (videoView != null) {
            videoView.m();
            this.h = null;
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
        VideoView videoView = this.h;
        if (videoView != null) {
            videoView.pause();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity, com.github.tvbox.osc.base.BaseActivity
    public void onResume() {
        super.onResume();
        VideoView videoView = this.h;
        if (videoView != null) {
            videoView.n();
        }
    }

    public final boolean p(int i2) {
        boolean z2;
        if (!this.x.get(i2).c.isEmpty()) {
            Iterator<Integer> it = this.C.iterator();
            while (true) {
                if (it.hasNext()) {
                    if (it.next().intValue() == i2) {
                        z2 = true;
                        break;
                    }
                } else {
                    z2 = false;
                    break;
                }
            }
            if (!z2) {
                return true;
            }
        }
        return false;
    }

    public final void q(int i2, int i3) {
        this.p.o(l(i2));
        if (i2 == e) {
            int i4 = this.y;
            if (i4 > -1) {
                this.n.scrollToPosition(i4);
            }
            this.p.q(this.y);
        } else {
            this.n.scrollToPosition(0);
            this.p.q(-1);
        }
        if (i3 > -1) {
            j(i3);
            this.m.scrollToPosition(i2);
            this.n.scrollToPosition(i3);
            r(i2, i3, false);
        }
    }

    public final boolean r(int i2, int i3, boolean z2) {
        if ((i2 == e && i3 == this.y && !z2) || (z2 && this.A.g == 1)) {
            return true;
        }
        this.h.m();
        if (!z2) {
            e = i2;
            this.y = i3;
            u3 u3Var = l(i2).get(this.y);
            this.A = u3Var;
            Hawk.put("last_live_channel_name", u3Var.c);
            v3 v3Var = this.B;
            VideoView videoView = this.h;
            String str = this.A.c;
            v3Var.getClass();
            JSONObject jSONObject = (JSONObject) Hawk.get(str, null);
            if (jSONObject == null) {
                if (!v3Var.b.toString().equals(v3Var.a.toString())) {
                    v3Var.a(videoView);
                }
            } else if (!jSONObject.toString().equals(v3Var.b.toString())) {
                try {
                    if (jSONObject.getInt("pl") == v3Var.b.getInt("pl") && jSONObject.getInt("pr") == v3Var.b.getInt("pr") && jSONObject.getString("ijk").equals(v3Var.b.getString("ijk"))) {
                        videoView.setScreenScaleType(jSONObject.getInt("sc"));
                    } else {
                        ed.g(videoView, jSONObject);
                    }
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
                v3Var.b = jSONObject;
            }
        }
        u3 u3Var2 = this.A;
        f = u3Var2;
        if (u3Var2.c != null) {
            findViewById(C0020R$id.ll_epg).setVisibility(0);
            ((TextView) findViewById(C0020R$id.tv_channel_bar_name)).setText(f.c);
            StringBuilder j2 = b2.j("");
            j2.append(f.b);
            ((TextView) findViewById(C0020R$id.tv_channel_bottom_number)).setText(j2.toString());
            ((TextView) findViewById(C0020R$id.tv_current_program_time)).setText("咦，暂无信息");
            ((TextView) findViewById(C0020R$id.tv_current_program_name)).setText("");
            ((TextView) findViewById(C0020R$id.tv_next_program_time)).setText("开源测试软件,请勿商用以及播放违法内容!!!!");
            ((TextView) findViewById(C0020R$id.tv_next_program_name)).setText("");
            CountDownTimer countDownTimer = this.E;
            if (countDownTimer != null) {
                countDownTimer.cancel();
            }
            z7 z7Var = new z7(this, 10000, 1000);
            this.E = z7Var;
            z7Var.start();
            u3 u3Var3 = f;
            if (u3Var3 == null || u3Var3.g <= 0) {
                ((TextView) findViewById(C0020R$id.tv_source)).setText("1/1");
            } else {
                StringBuilder j3 = b2.j("[线路 ");
                j3.append(f.f + 1);
                j3.append("/");
                j3.append(f.g);
                j3.append("]");
                ((TextView) findViewById(C0020R$id.tv_source)).setText(j3.toString());
            }
            this.L.setText(f.c);
            this.M.setText(f.c);
            this.G.setVisibility(0);
            CountDownTimer countDownTimer2 = this.F;
            if (countDownTimer2 != null) {
                countDownTimer2.cancel();
            }
            this.F = new a8(this, 10000, 1000);
            this.w.post(this.X);
            this.K.setVisibility(0);
        }
        this.F.start();
        k();
        VideoView videoView2 = this.h;
        u3 u3Var4 = this.A;
        videoView2.setUrl(u3Var4.e.get(u3Var4.f));
        this.h.start();
        return true;
    }

    public final void s() {
        if (o()) {
            Integer[] m2 = m(1);
            r(m2[0].intValue(), m2[1].intValue(), false);
        }
    }

    public void t() {
        if (o()) {
            u3 u3Var = this.A;
            int i2 = u3Var.f + 1;
            u3Var.f = i2;
            if (i2 == u3Var.g) {
                u3Var.f = 0;
            }
            r(e, this.y, true);
        }
    }

    public void u() {
        if (o()) {
            u3 u3Var = this.A;
            int i2 = u3Var.f - 1;
            u3Var.f = i2;
            if (i2 < 0) {
                u3Var.f = u3Var.g - 1;
            }
            r(e, this.y, true);
        }
    }

    public final void v() {
        if (o()) {
            Integer[] m2 = m(-1);
            r(m2[0].intValue(), m2[1].intValue(), false);
        }
    }

    public final void w(int i2, boolean z2, int i3) {
        if (z2) {
            q9 q9Var = this.o;
            q9Var.x = i2;
            if (i2 != -1) {
                q9Var.notifyItemChanged(i2);
            } else {
                int i4 = q9Var.w;
                if (i4 != -1) {
                    q9Var.notifyItemChanged(i4);
                }
            }
            this.p.p(-1);
        }
        if ((i2 > -1 && i2 != this.o.w) || p(i2)) {
            this.o.p(i2);
            if (p(i2)) {
                C(i2, i3);
                return;
            }
            q(i2, i3);
        }
        if (this.l.getVisibility() == 0) {
            this.w.removeCallbacks(this.S);
            this.w.postDelayed(this.S, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
        }
    }

    public final void x(int i2, boolean z2) {
        int i3;
        if (o()) {
            if (z2) {
                s9 s9Var = this.t;
                s9Var.x = i2;
                if (i2 != -1) {
                    s9Var.notifyItemChanged(i2);
                } else {
                    int i4 = s9Var.w;
                    if (i4 != -1) {
                        s9Var.notifyItemChanged(i4);
                    }
                }
                t9 t9Var = this.u;
                int i5 = t9Var.w;
                t9Var.w = -1;
                if (i5 != -1) {
                    t9Var.notifyItemChanged(i5);
                }
                int i6 = t9Var.w;
                if (i6 != -1) {
                    t9Var.notifyItemChanged(i6);
                }
            }
            s9 s9Var2 = this.t;
            int i7 = s9Var2.w;
            if (i2 != i7 && i2 >= -1) {
                s9Var2.w = i2;
                if (i7 != -1) {
                    s9Var2.notifyItemChanged(i7);
                }
                int i8 = s9Var2.w;
                if (i8 != -1) {
                    s9Var2.notifyItemChanged(i8);
                }
                this.u.o(this.v.get(i2).c);
                int i9 = 0;
                if (i2 == 0) {
                    this.u.q(this.A.f, true, false);
                } else if (i2 != 1) {
                    int i10 = 2;
                    if (i2 == 2) {
                        t9 t9Var2 = this.u;
                        v3 v3Var = this.B;
                        v3Var.getClass();
                        try {
                            int i11 = v3Var.b.getInt("pl");
                            String string = v3Var.b.getString("ijk");
                            if (i11 != 0) {
                                if (i11 != 1) {
                                    if (i11 == 2) {
                                        i10 = 3;
                                    }
                                } else if (string.equals("硬解码")) {
                                    i10 = 1;
                                }
                                t9Var2.q(i10, true, true);
                            }
                        } catch (JSONException e2) {
                            e2.printStackTrace();
                        }
                        i10 = 0;
                        t9Var2.q(i10, true, true);
                    }
                } else {
                    t9 t9Var3 = this.u;
                    v3 v3Var2 = this.B;
                    v3Var2.getClass();
                    try {
                        i3 = v3Var2.b.getInt("sc");
                    } catch (JSONException e3) {
                        e3.printStackTrace();
                        i3 = 0;
                    }
                    t9Var3.q(i3, true, true);
                }
                int p2 = this.u.p();
                if (p2 >= 0) {
                    i9 = p2;
                }
                this.s.scrollToPosition(i9);
                this.w.removeCallbacks(this.U);
                this.w.postDelayed(this.U, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
            }
        }
    }

    public final void y(String str) {
        if (g.containsKey(str)) {
            ArrayList arrayList = (ArrayList) g.get(str);
            if (arrayList != null && arrayList.size() > 0) {
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    if (new Date().compareTo(((pc) arrayList.get(size)).a) >= 0) {
                        ((TextView) findViewById(C0020R$id.tv_current_program_time)).setText(((pc) arrayList.get(size)).c + "--" + ((pc) arrayList.get(size)).d);
                        ((TextView) findViewById(C0020R$id.tv_current_program_name)).setText(((pc) arrayList.get(size)).b);
                        if (size != arrayList.size() - 1) {
                            StringBuilder sb = new StringBuilder();
                            int i2 = size + 1;
                            sb.append(((pc) arrayList.get(i2)).c);
                            sb.append("--");
                            sb.append(((pc) arrayList.get(size)).d);
                            ((TextView) findViewById(C0020R$id.tv_next_program_time)).setText(sb.toString());
                            ((TextView) findViewById(C0020R$id.tv_next_program_name)).setText(((pc) arrayList.get(i2)).b);
                            return;
                        }
                        return;
                    }
                }
                return;
            }
            return;
        }
        k();
    }

    public final void z() {
        if (this.q.getVisibility() == 0) {
            this.w.removeCallbacks(this.U);
            this.w.post(this.U);
        }
        if (this.l.getVisibility() == 4) {
            this.p.o(l(e));
            int i2 = this.y;
            if (i2 > -1) {
                this.n.scrollToPosition(i2);
            }
            this.n.setSelection(this.y);
            this.m.scrollToPosition(e);
            this.m.setSelection(e);
            this.w.postDelayed(this.R, 200);
            return;
        }
        this.w.removeCallbacks(this.S);
        this.w.post(this.S);
    }
}
