package com.google.android.exoplayer2.source.dash.manifest;

import androidx.base.b2;
import com.google.android.exoplayer2.metadata.emsg.EventMessage;

public final class EventStream {
    public final EventMessage[] events;
    public final long[] presentationTimesUs;
    public final String schemeIdUri;
    public final long timescale;
    public final String value;

    public EventStream(String str, String str2, long j, long[] jArr, EventMessage[] eventMessageArr) {
        this.schemeIdUri = str;
        this.value = str2;
        this.timescale = j;
        this.presentationTimesUs = jArr;
        this.events = eventMessageArr;
    }

    public String id() {
        String str = this.schemeIdUri;
        String str2 = this.value;
        return b2.r(b2.a(str2, b2.a(str, 1)), str, "/", str2);
    }
}
