package com.thoughtworks.xstream;

import com.thoughtworks.xstream.core.BaseException;

public class XStreamException extends BaseException {
    public XStreamException() {
        this("", null);
    }

    public XStreamException(String str) {
        this(str, null);
    }

    public XStreamException(Throwable th) {
        this("", th);
    }

    public XStreamException(String str, Throwable th) {
        super(str, th);
    }
}
