package com.thoughtworks.xstream.converters.extended;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter;
import java.util.Calendar;
import java.util.Date;

public class ISO8601DateConverter extends AbstractSingleValueConverter {
    public static /* synthetic */ Class class$java$util$Date;
    public static /* synthetic */ Class class$java$util$GregorianCalendar;
    private final ISO8601GregorianCalendarConverter converter = new ISO8601GregorianCalendarConverter();

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.converters.ConverterMatcher, com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
    public boolean canConvert(Class cls) {
        Class cls2 = class$java$util$Date;
        if (cls2 == null) {
            cls2 = class$("java.util.Date");
            class$java$util$Date = cls2;
        }
        if (cls == cls2) {
            ISO8601GregorianCalendarConverter iSO8601GregorianCalendarConverter = this.converter;
            Class cls3 = class$java$util$GregorianCalendar;
            if (cls3 == null) {
                cls3 = class$("java.util.GregorianCalendar");
                class$java$util$GregorianCalendar = cls3;
            }
            if (iSO8601GregorianCalendarConverter.canConvert(cls3)) {
                return true;
            }
        }
        return false;
    }

    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public Object fromString(String str) {
        return ((Calendar) this.converter.fromString(str)).getTime();
    }

    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public String toString(Object obj) {
        Calendar instance = Calendar.getInstance();
        instance.setTime((Date) obj);
        return this.converter.toString(instance);
    }
}
