package com.thoughtworks.xstream.converters.extended;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter;
import java.util.Locale;

public class LocaleConverter extends AbstractSingleValueConverter {
    public static /* synthetic */ Class class$java$util$Locale;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private int[] underscorePositions(String str) {
        int[] iArr = new int[2];
        int i = 0;
        while (i < 2) {
            iArr[i] = str.indexOf(95, (i == 0 ? 0 : iArr[i - 1]) + 1);
            i++;
        }
        return iArr;
    }

    @Override // com.thoughtworks.xstream.converters.ConverterMatcher, com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
    public boolean canConvert(Class cls) {
        Class cls2 = class$java$util$Locale;
        if (cls2 == null) {
            cls2 = class$("java.util.Locale");
            class$java$util$Locale = cls2;
        }
        return cls == cls2;
    }

    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public Object fromString(String str) {
        String str2;
        String str3;
        int[] underscorePositions = underscorePositions(str);
        String str4 = "";
        if (underscorePositions[0] == -1) {
            str2 = str4;
        } else {
            if (underscorePositions[1] == -1) {
                str3 = str.substring(0, underscorePositions[0]);
                String substring = str.substring(underscorePositions[0] + 1);
                str2 = str4;
                str4 = substring;
            } else {
                str3 = str.substring(0, underscorePositions[0]);
                str4 = str.substring(underscorePositions[0] + 1, underscorePositions[1]);
                str2 = str.substring(underscorePositions[1] + 1);
            }
            str = str3;
        }
        return new Locale(str, str4, str2);
    }
}
