package com.thoughtworks.xstream.converters.reflection;

public class MissingFieldException extends ObjectAccessException {
    private final String className;
    private final String fieldName;

    public MissingFieldException(String str, String str2) {
        super("Field not found in class.");
        this.className = str;
        this.fieldName = str2;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(str);
        stringBuffer.append(".");
        stringBuffer.append(str2);
        add("field", stringBuffer.toString());
    }

    public String getClassName() {
        return this.className;
    }

    public String getFieldName() {
        return this.fieldName;
    }
}
