package com.thoughtworks.xstream.io.xml;

import com.thoughtworks.xstream.io.naming.NameCoder;
import org.kxml2.io.KXmlParser;
import org.xmlpull.v1.XmlPullParser;

public class KXml2DomDriver extends AbstractXppDomDriver {
    public KXml2DomDriver() {
        super(new XmlFriendlyNameCoder());
    }

    @Override // com.thoughtworks.xstream.io.xml.AbstractXppDomDriver
    public XmlPullParser createParser() {
        return new KXmlParser();
    }

    public KXml2DomDriver(NameCoder nameCoder) {
        super(nameCoder);
    }
}
