package com.thoughtworks.xstream.io.xml;

import androidx.base.r50;
import com.thoughtworks.xstream.io.naming.NameCoder;
import org.xmlpull.v1.XmlPullParser;

public class Xpp3Driver extends AbstractXppDriver {
    public Xpp3Driver() {
        super(new XmlFriendlyNameCoder());
    }

    @Override // com.thoughtworks.xstream.io.xml.AbstractXppDriver
    public XmlPullParser createParser() {
        return new r50();
    }

    public Xpp3Driver(NameCoder nameCoder) {
        super(nameCoder);
    }
}
