package com.thoughtworks.xstream.mapper;

import androidx.base.b2;
import java.lang.reflect.Proxy;

public class DynamicProxyMapper extends MapperWrapper {
    public static /* synthetic */ Class class$com$thoughtworks$xstream$mapper$DynamicProxyMapper$DynamicProxy;
    private String alias;

    public static class DynamicProxy {
    }

    public DynamicProxyMapper(Mapper mapper) {
        this(mapper, "dynamic-proxy");
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    public String getAlias() {
        return this.alias;
    }

    @Override // com.thoughtworks.xstream.mapper.MapperWrapper, com.thoughtworks.xstream.mapper.Mapper
    public Class realClass(String str) {
        if (!str.equals(this.alias)) {
            return super.realClass(str);
        }
        Class cls = class$com$thoughtworks$xstream$mapper$DynamicProxyMapper$DynamicProxy;
        if (cls != null) {
            return cls;
        }
        Class class$ = class$("com.thoughtworks.xstream.mapper.DynamicProxyMapper$DynamicProxy");
        class$com$thoughtworks$xstream$mapper$DynamicProxyMapper$DynamicProxy = class$;
        return class$;
    }

    @Override // com.thoughtworks.xstream.mapper.MapperWrapper, com.thoughtworks.xstream.mapper.Mapper
    public String serializedClass(Class cls) {
        if (Proxy.isProxyClass(cls)) {
            return this.alias;
        }
        return super.serializedClass(cls);
    }

    public void setAlias(String str) {
        this.alias = str;
    }

    public DynamicProxyMapper(Mapper mapper, String str) {
        super(mapper);
        this.alias = str;
    }
}
