package com.thoughtworks.xstream.security;

import androidx.base.b2;
import java.lang.reflect.Proxy;

public class ProxyTypePermission implements TypePermission {
    public static final TypePermission PROXIES = new ProxyTypePermission();
    public static /* synthetic */ Class class$com$thoughtworks$xstream$mapper$DynamicProxyMapper$DynamicProxy;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$security$ProxyTypePermission;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.security.TypePermission
    public boolean allows(Class cls) {
        if (cls != null) {
            if (!Proxy.isProxyClass(cls)) {
                Class cls2 = class$com$thoughtworks$xstream$mapper$DynamicProxyMapper$DynamicProxy;
                if (cls2 == null) {
                    cls2 = class$("com.thoughtworks.xstream.mapper.DynamicProxyMapper$DynamicProxy");
                    class$com$thoughtworks$xstream$mapper$DynamicProxyMapper$DynamicProxy = cls2;
                }
                if (cls == cls2) {
                    return true;
                }
            }
            return true;
        }
        return false;
    }

    public boolean equals(Object obj) {
        if (obj != null) {
            Class<?> cls = obj.getClass();
            Class<?> cls2 = class$com$thoughtworks$xstream$security$ProxyTypePermission;
            if (cls2 == null) {
                cls2 = class$("com.thoughtworks.xstream.security.ProxyTypePermission");
                class$com$thoughtworks$xstream$security$ProxyTypePermission = cls2;
            }
            if (cls == cls2) {
                return true;
            }
        }
        return false;
    }

    public int hashCode() {
        return 17;
    }
}
