package com.xunlei.downloadlib;

public class LinuxFileCommand {
    public final Runtime shell;

    public LinuxFileCommand(Runtime runtime) {
        this.shell = runtime;
    }

    public final Process copyFile(String str, String str2) {
        return this.shell.exec(new String[]{"cp", "-r", str, str2});
    }

    public final Process createDirectory(String str) {
        return this.shell.exec(new String[]{"mkdir", str});
    }

    public final Process createFile(String str) {
        return this.shell.exec(new String[]{"touch", str});
    }

    public final Process delete(String str) {
        return this.shell.exec(new String[]{"rm", "-r", str});
    }

    public final Process deleteDirectory(String str) {
        return this.shell.exec(new String[]{"rm", "-r", str});
    }

    public final Process deleteFile(String str) {
        return this.shell.exec(new String[]{"rm", str});
    }

    public final Process deleteMult(String[] strArr) {
        return this.shell.exec(strArr);
    }

    public final Process du_s(String str) {
        return this.shell.exec(new String[]{"du", "-s", str});
    }

    public final Process linkFile(String str, String str2) {
        return this.shell.exec(new String[]{"ln", "-l", str, str2});
    }

    public final Process ls_Directory(String str) {
        if (str.equals("/")) {
            str = "";
        }
        return this.shell.exec(new String[]{"ls", "-a", str});
    }

    public final Process ls_lhd(String str) {
        return this.shell.exec(new String[]{"ls", "-l", str});
    }

    public final Process moveFile(String str, String str2) {
        return this.shell.exec(new String[]{"mv", str, str2});
    }
}
