package okio;

import androidx.base.g00;

public final class BlackholeSink implements Sink {
    @Override // java.io.Closeable, java.lang.AutoCloseable, okio.Sink
    public void close() {
    }

    @Override // okio.Sink, java.io.Flushable
    public void flush() {
    }

    @Override // okio.Sink
    public Timeout timeout() {
        return Timeout.NONE;
    }

    @Override // okio.Sink
    public void write(Buffer buffer, long j) {
        if (buffer != null) {
            buffer.skip(j);
        } else {
            g00.f("source");
            throw null;
        }
    }
}
