package org.chromium.content.browser.accessibility.captioning;

import android.annotation.TargetApi;
import androidx.base.b10;

@TargetApi(19)
public final class TextTrackSettings {
    private static final String DEFAULT_VALUE = "";
    private String mTextTrackBackgroundColor;
    private String mTextTrackFontFamily;
    private String mTextTrackFontStyle;
    private String mTextTrackFontVariant;
    private String mTextTrackTextColor;
    private String mTextTrackTextShadow;
    private String mTextTrackTextSize;
    private boolean mTextTracksEnabled;

    public TextTrackSettings() {
    }

    public String getTextTrackBackgroundColor() {
        return b10.a(this.mTextTrackBackgroundColor, "");
    }

    public String getTextTrackFontFamily() {
        return b10.a(this.mTextTrackFontFamily, "");
    }

    public String getTextTrackFontStyle() {
        return b10.a(this.mTextTrackFontStyle, "");
    }

    public String getTextTrackFontVariant() {
        return b10.a(this.mTextTrackFontVariant, "");
    }

    public String getTextTrackTextColor() {
        return b10.a(this.mTextTrackTextColor, "");
    }

    public String getTextTrackTextShadow() {
        return b10.a(this.mTextTrackTextShadow, "");
    }

    public String getTextTrackTextSize() {
        return b10.a(this.mTextTrackTextSize, "");
    }

    public boolean getTextTracksEnabled() {
        return this.mTextTracksEnabled;
    }

    public TextTrackSettings(boolean z, String str, String str2, String str3, String str4, String str5, String str6, String str7) {
        this.mTextTracksEnabled = z;
        this.mTextTrackBackgroundColor = str;
        this.mTextTrackFontFamily = str2;
        this.mTextTrackFontStyle = str3;
        this.mTextTrackFontVariant = str4;
        this.mTextTrackTextColor = str5;
        this.mTextTrackTextShadow = str6;
        this.mTextTrackTextSize = str7;
    }
}
