package org.chromium.ui.gl;

import android.graphics.SurfaceTexture;
import org.chromium.base.annotations.JNINamespace;

@JNINamespace("gl")
public class SurfaceTextureListener implements SurfaceTexture.OnFrameAvailableListener {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private final long mNativeSurfaceTextureListener;

    public SurfaceTextureListener(long j) {
        this.mNativeSurfaceTextureListener = j;
    }

    private native void nativeDestroy(long j);

    private native void nativeFrameAvailable(long j);

    @Override // java.lang.Object
    public void finalize() {
        try {
            nativeDestroy(this.mNativeSurfaceTextureListener);
        } finally {
            super.finalize();
        }
    }

    public void onFrameAvailable(SurfaceTexture surfaceTexture) {
        nativeFrameAvailable(this.mNativeSurfaceTextureListener);
    }
}
