package xyz.doikki.videocontroller.component;

import android.app.Activity;
import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.b;
import androidx.base.s50;
import androidx.base.t50;
import xyz.doikki.videocontroller.R$id;
import xyz.doikki.videocontroller.R$layout;

public class LiveControlView extends FrameLayout implements t50, View.OnClickListener {
    public s50 a;
    public ImageView b;
    public LinearLayout c = ((LinearLayout) findViewById(R$id.bottom_container));
    public ImageView d;

    public LiveControlView(@NonNull Context context) {
        super(context);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_live_control_view, (ViewGroup) this, true);
        ImageView imageView = (ImageView) findViewById(R$id.fullscreen);
        this.b = imageView;
        imageView.setOnClickListener(this);
        ImageView imageView2 = (ImageView) findViewById(R$id.iv_play);
        this.d = imageView2;
        imageView2.setOnClickListener(this);
        ((ImageView) findViewById(R$id.iv_refresh)).setOnClickListener(this);
    }

    @Override // androidx.base.t50
    public void a(int i) {
        switch (i) {
            case -1:
            case 0:
            case 1:
            case 2:
            case 5:
            case 8:
                setVisibility(8);
                return;
            case 3:
                this.d.setSelected(true);
                return;
            case 4:
                this.d.setSelected(false);
                return;
            case 6:
            case 7:
                this.d.setSelected(this.a.isPlaying());
                return;
            default:
                return;
        }
    }

    @Override // androidx.base.t50
    public void b(int i) {
        if (i == 10) {
            this.b.setSelected(false);
        } else if (i == 11) {
            this.b.setSelected(true);
        }
        Activity i0 = b.i0(getContext());
        if (i0 != null && this.a.c()) {
            int requestedOrientation = i0.getRequestedOrientation();
            int cutoutHeight = this.a.getCutoutHeight();
            if (requestedOrientation == 1) {
                this.c.setPadding(0, 0, 0, 0);
            } else if (requestedOrientation == 0) {
                this.c.setPadding(cutoutHeight, 0, 0, 0);
            } else if (requestedOrientation == 8) {
                this.c.setPadding(0, 0, cutoutHeight, 0);
            }
        }
    }

    @Override // androidx.base.t50
    public void e(boolean z, Animation animation) {
        if (z) {
            if (getVisibility() == 8) {
                setVisibility(0);
                if (animation != null) {
                    startAnimation(animation);
                }
            }
        } else if (getVisibility() == 0) {
            setVisibility(8);
            if (animation != null) {
                startAnimation(animation);
            }
        }
    }

    @Override // androidx.base.t50
    public void g(boolean z) {
        e(!z, null);
    }

    public View getView() {
        return this;
    }

    @Override // androidx.base.t50
    public void h(@NonNull s50 s50) {
        this.a = s50;
    }

    @Override // androidx.base.t50
    public void j(int i, int i2) {
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R$id.fullscreen) {
            this.a.k(b.i0(getContext()));
        } else if (id == R$id.iv_play) {
            this.a.l();
        } else if (id == R$id.iv_refresh) {
            this.a.a.a(true);
        }
    }

    public LiveControlView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_live_control_view, (ViewGroup) this, true);
        ImageView imageView = (ImageView) findViewById(R$id.fullscreen);
        this.b = imageView;
        imageView.setOnClickListener(this);
        ImageView imageView2 = (ImageView) findViewById(R$id.iv_play);
        this.d = imageView2;
        imageView2.setOnClickListener(this);
        ((ImageView) findViewById(R$id.iv_refresh)).setOnClickListener(this);
    }

    public LiveControlView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(R$layout.dkplayer_layout_live_control_view, (ViewGroup) this, true);
        ImageView imageView = (ImageView) findViewById(R$id.fullscreen);
        this.b = imageView;
        imageView.setOnClickListener(this);
        ImageView imageView2 = (ImageView) findViewById(R$id.iv_play);
        this.d = imageView2;
        imageView2.setOnClickListener(this);
        ((ImageView) findViewById(R$id.iv_refresh)).setOnClickListener(this);
    }
}
