package xyz.doikki.videoplayer.render;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.SurfaceTexture;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.d60;
import androidx.base.l60;
import androidx.base.m60;

@SuppressLint({"ViewConstructor"})
public class TextureRenderView extends TextureView implements l60, TextureView.SurfaceTextureListener {
    public m60 a = new m60();
    public SurfaceTexture b;
    @Nullable
    public d60 c;
    public Surface d;

    public TextureRenderView(Context context) {
        super(context);
        setSurfaceTextureListener(this);
    }

    @Override // androidx.base.l60
    public void a(@NonNull d60 d60) {
        this.c = d60;
    }

    @Override // androidx.base.l60
    public void b(int i, int i2) {
        if (i > 0 && i2 > 0) {
            m60 m60 = this.a;
            m60.a = i;
            m60.b = i2;
            requestLayout();
        }
    }

    @Override // androidx.base.l60
    public View getView() {
        return this;
    }

    public void onMeasure(int i, int i2) {
        int[] a2 = this.a.a(i, i2);
        setMeasuredDimension(a2[0], a2[1]);
    }

    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i, int i2) {
        SurfaceTexture surfaceTexture2 = this.b;
        if (surfaceTexture2 != null) {
            setSurfaceTexture(surfaceTexture2);
            return;
        }
        this.b = surfaceTexture;
        Surface surface = new Surface(surfaceTexture);
        this.d = surface;
        d60 d60 = this.c;
        if (d60 != null) {
            d60.r(surface);
        }
    }

    public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
        return false;
    }

    public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i, int i2) {
    }

    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
    }

    @Override // androidx.base.l60
    public void release() {
        Surface surface = this.d;
        if (surface != null) {
            surface.release();
        }
        SurfaceTexture surfaceTexture = this.b;
        if (surfaceTexture != null) {
            surfaceTexture.release();
        }
    }

    @Override // androidx.base.l60
    public void setScaleType(int i) {
        this.a.c = i;
        requestLayout();
    }

    @Override // androidx.base.l60
    public void setVideoRotation(int i) {
        this.a.d = i;
        setRotation((float) i);
    }
}
